%define ver 20160519
%define rel 1

%define bonumver   1005
%define pagellaver 1632
%define scholaver  1533
%define termesver  1543

%define fontname texgyre-math
%define _fontdir %{_datadir}/fonts/OpenType-%{fontname}

Summary:     Maths fonts to match tex-gyre text fonts
Summary(ja): TeX Gyre数式フォント
Name:      OpenType-%{fontname}
Version:   %{ver}
Release:   %{rel}%{?_dist_release}
Source0:   http://www.gust.org.pl/projects/e-foundry/tg-math/download/texgyrebonum-math-%{bonumver}.zip
Source1:   http://www.gust.org.pl/projects/e-foundry/tg-math/download/texgyrepagella-math-%{pagellaver}.zip
Source2:   http://www.gust.org.pl/projects/e-foundry/tg-math/download/texgyreschola-math-%{scholaver}.zip
Source3:   http://www.gust.org.pl/projects/e-foundry/tg-math/download/texgyretermes-math-%{termesver}.zip
Source4:   GUST-FONT-LICENSE.txt
License:   GUST Font Licens
Group:     User Interface/X
URL:       http://www.gust.org.pl/projects/e-foundry/tg-math
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     ara_t


%description
TeXGyre-Math is a collection of maths fonts to match the text fonts of
the TeXGyre collection.

TeXGyre-Math-Bonum (to match TeXGyre-Bonum),
TeXGyre-Math-Pagella (to match TeXGyre-Pagella),
TeXGyre-Math-Schola (to match TeXGyre-Schola) and
TeXGyre-Math-Termes (to match TeXGyre-Termes) fonts are provided.

%prep
%setup -q -T -a 0 -a 1 -a 2 -a 3 -c

%build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_fontdir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_docdir}/%{name}
%{__install} -m0644 */opentype/*.otf ${RPM_BUILD_ROOT}%{_fontdir}
%{__install} -m0644 */doc/test-word-texgyre_*_math.{docx,pdf} \
  ${RPM_BUILD_ROOT}%{_docdir}/%{name}
%{__install} -m0644 %{SOURCE4} ${RPM_BUILD_ROOT}%{_docdir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%defattr(-,root,root)
%{_fontdir}
%{_docdir}

%changelog
* Sun Oct 08 2017 Toshiaki Ara <ara_t@384.jp> 2.005-1
- initial build for Vine Linux

