%define fontname komatuna
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary:  Komatuna fonts are modified Konatu and M+
Summary(ja): Komatuna フォントは Konatu と M+ を改造したフォントです
Version: 20101113
Release: 2%{?_dist_release}
License: Creative Commons (CC-BY-SA), mplus font license
# generate script's lincense is Public Domain.
Group: User Interface/X
URL: http://www.geocities.jp/ep3797/modified_fonts_01.html

Source0: %{fontname}-fonts-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Requires: TrueType-%{fontname}-doc

%description
Komatuna fonts are modified Konatu and M+ fonts for Japanese.
This package includes two fonts.

- komatuna.ttf (monospace)
- komatuna-p.ttf (proportional)

%description -l ja
Komatuna フォントは konatu と M+ を日本語用に改造したフォントです。
このパッケージは2つのフォントを含んでいます。

- komatuna.ttf （等幅）
- komatuna-p.ttf （プロポーショナル）

%package doc
Summary: Komatuna font documents
Summary(ja): Komatuna フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Komatuna fonts
includes enduser license.

%description -l ja doc
このパッケージには Komatuna フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -qn %{fontname}-fonts-%{version}
%__tar cjf script-%{fontname}.tar.bz2 script-%{fontname}/
%__tar cjf script-%{fontname}-p.tar.bz2 script-%{fontname}-p/

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/%{fontname}*.ttf

%files doc
%doc ChangeLog README
%doc docs-konatu docs-mplus
%doc script-*.bz2

%changelog
* Mon Jan 13 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 20101113-2
- built with gcc-4.8

* Thu Nov 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20101113-1
- new upstream release

* Wed Nov 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20100114-1
- initial build for VineSeed
