Summary: Install Debian, Slackware, and Stampede packages with rpm.
Summary(ja): Debian, Slackware, Stampede パッケージ等を rpm でインストールするためのツール
Name: alien
Version: 8.93
Release: 1%{?_dist_release}
Source: http://ftp.de.debian.org/debian/pool/main/a/alien/%{name}_%{version}.tar.gz
URL: http://kitenet.net/~joey/code/alien/
License: GPLv2
Group: Applications/Other

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl
Requires: perl

%description
Alien allows you to convert Debian, Slackware, and Stampede Packages into Red
Hat packages, which can be installed with rpm.

It can also convert into Slackware, Debian and Stampede packages.

This is a tool only suitable for binary packages.

%prep
%setup -q -n alien

%build
perl Makefile.PL INSTALLDIRS="vendor"
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	VARPREFIX=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.packlist' -exec rm -f {} \;

find $RPM_BUILD_ROOT%{_prefix}/lib -type f -print |
		sed "s@^$RPM_BUILD_ROOT@@g" > perl-Alien 

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f perl-Alien
%defattr(-,root,root)
%doc debian/changelog GPL README alien.lsm
%dir %{perl_vendorlib}/Alien
%dir %{_localstatedir}/lib/alien
%{_bindir}/alien
%{_datadir}/alien
%{_mandir}/man*/*

%changelog
* Sun Feb 08 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 8.93-1
- new upstream release

* Tue Jul 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 8.87-1
- new upstream release

* Mon May 24 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.81-1
- updated to 8.81

* Sat Apr 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.74-1
- applied new versioning policy, spec in UTF-8
- updated to 8.74
- changed Group to Applications/Other

* Wed Jul 30 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- source update

* Tue Jul 10 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Remove "Packager" field
- Add perl as an build requirement

* Fri Jun 22 2001 Jeff Johnson <jbj@redhat.com>
- Package for Red Hat 7.x.
