Summary: The skeleton package which defines a simple Vine Linux system.
Summary(ja): Vine Linux の基本システムを定義するスケルトンパッケージ
Name: basesystem
Version: 8.0
Release: 2%{?_dist_release}
License: public domain
Group: System Environment/Base
Requires(pre): setup filesystem
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch

%description
Basesystem defines the components of a basic Vine Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description -l ja
Basesystem は Vine Linux の基本的なコンポーネントを定義しています。
(例えば、ブートストラップ時のパッケージインストールの順序など)
Basesystem はシステムに最初にインストールしなければならないパッケー
ジで、絶対に削除されることはありません。

%files

%changelog
* Wed Jul 02 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 8.0-2
- rebuild

* Wed Apr 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.0-1
- rebuild for Vine 6
- add Japanese summary and description
- use Requires(pre) instead of PreReq

* Fri May 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0-1
- new versioning policy

* Wed Sep 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 6.0-4vl4
- rebuild to add gpg sign
- use License: instead of Copyright:

* Sun Dec 10 2000 Daisuke SUZUKI <daisuke@linux.or.jp>  6.0-4vl3
- remove 00upgrade from PreReq to be apt safe.

* Sun Nov 19 2000 Satoshi MACHINO <machino@vinelinux.org> 6.0-4vl2
- build with gcc-2.95.3
- partially used rpmmacros

* Mon Mar  6 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- add Prereq 00upgrade for libwcsmbs probrem (adhoc patch)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- don't require rpm (breaks dependency chain)

* Tue Mar 16 1999 Erik Troan <ewt@redhat.com>
- require rpm

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

