Summary:        Firmware extraction tool for Broadcom wireless driver
Summary(ja):	Broadcom 無線LANドライバ用のファームウエア切り出しツール
Name:           bcm43xx-fwcutter
Version:        006
Release:        1%{?_dist_release}

Group:          System Environment/Base
License:        GPLv2+
URL:            http://bcm43xx.berlios.de/
Source0:        http://bues.ch/b43/fwcutter/%{name}-%{version}.tar.bz2
Source1:	README.Fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux

%description
This package contains the 'bcm43xx-fwcutter' tool which is used to
extract firmware for the Broadcom network devices, from the official
Windows, MacOS or Linux drivers.

See the README.Fedora file shipped in the package's documentation for
instructions on using this tool.

%prep
%setup -q
sed -i -e 's/-O2/$(RPM_OPT_FLAGS)/' Makefile

%build
make
cp %{SOURCE1} .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m0755 bcm43xx-fwcutter $RPM_BUILD_ROOT%{_bindir}/bcm43xx-fwcutter
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m0644 bcm43xx-fwcutter.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README README.Fedora COPYING
%{_bindir}/bcm43xx-fwcutter
%{_mandir}/man1/*

%changelog
* Tue Mar 17 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 006-1
- updated to 006

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 004-2
- rebuilt with rpm-4.8.1-3

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 004-1vl5
- applied new versioning policy, spec in utf-8

* Sun Oct 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 004-0vl1
- initial build for Vine Linux

* Mon Sep 11 2006 David Woodhouse <dwmw2@infradead.org> 004-2
- Rebuild

* Fri Mar 31 2006 David Woodhouse <dwmw2@infradead.org> 004-1
- Update to 004

* Thu Mar 23 2006 David Woodhouse <dwmw2@infradead.org> 003-2
- Package review. Use $RPM_OPT_FLAGS, ship man page, etc.
- Complete documentation, add sample bcm43xx.modprobe file

* Wed Mar 22 2006 David Woodhouse <dwmw2@infradead.org> 003-1
- Initial build.

