%define	ver 1.3.0
%define rel 2

Summary: GUI application for using Bazaar
Summary(ja): Bazaar のための GUI アプリケーション
Name: bzr-explorer
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: GPLv2
Group: Development/Tools
URL: http://doc.bazaar.canonical.com/explorer/en/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

Requires: python >= 2.4, bzr >= 2.3
Requires: qbzr >= 0.19
Requires: PyQt4 >= 4.4
BuildRequires: python-devel >= 2.4

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
GUI application for using Bazaar.

%description -l ja
Bazaar のための GUI アプリケーション

%prep
%setup -q

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root %{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING.txt NEWS README.txt
%{python_sitelib}/bzrlib/plugins/explorer
%{python_sitelib}/explorer-%{version}*.egg-info

%changelog
* Mon Dec 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 1.3.0-2
- fix %%files path: using python_sitelib
- add Vendor, Distribution, Packager tags

* Thu Jan  3 2013 IWAI, Masaharu <iwai@alib.jp> 1.3.0-1
- new upstream release
- update Requires packages version

* Wed Mar 16 2011 IWAI, Masaharu <iwai@alib.jp> 1.1.2-1
- Initial build.


