Name:		cccc
Version:	3.1.4
Release:	3%{_dist_release}
Summary:	C and C++ Code Counter
Group:		Development/Tools
License:	GPL
Url:		http://cccc.sourceforge.net/

Vendor:		Project Vine
Distribution:	Vine Linux
Packager: 	yasumichi

Source:		http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Patch0:		correct-modification.patch

%description
This is a new version of the program CCCC (C and C++ Code Counter).  This 
program exists to analyze and report measurements on source code in C, C++
and Java.  The languages Ada83 and Ada95, which were supported in previous
versions are presently not supported.

%prep
%setup -q
%patch0 -p1

%build
make pccts
make cccc

%install
rm -fr %{buildroot}

cd install
%{__make} INSTDIR=%{buildroot}%{_bindir} MKDIR='mkdir -p' -f install.mak install_cccc

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc cccc/COPYING cccc/*.html
%{_bindir}/%{name}

%changelog
* Sat Jul 02 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-3
- rebuild with gcc-5.4.0

* Sat Feb 08 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.1.4-2
- rebuild with new tool chain
- add Patch0
- devide check script

* Fri Jul 20 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> -1
- Initial build for Vine Linux

