Summary:	Internationalization support for Cinnamon
Summary(ja):	Cinnamon の国際化サポートパッケージ
Name:		cinnamon-translations
Version:	2.8.2
Release:	1%{?_dist_release}
URL:		https://github.com/linuxmint/cinnamon-translations/
License:	GPLv2
Group:		User Interface/Desktops
BuildArch:	noarch

Source0:	%{name}-%{version}.tar.gz

BuildRequires: 	python-polib

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
%{name}


%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_datadir}/locale/
cp -Rp usr/share/locale/* $RPM_BUILD_ROOT%{_datadir}/locale/

rm $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/cinnamon-bluetooth.mo

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING
%{_datadir}/locale/


%changelog
* Sat Nov 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.2-1
- new upstream release

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.1-1
- new upstream release

* Sun May 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.3-1
- new upstream release

* Sat Jan 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.2-1
- new upstream release

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.4-1
- new upstream release

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.3-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- initial build

