Summary: The program which makes convenient installation work of the software using configure script
Summary(ja): configure ; make ; make install という一般的な UNIX 用フリーソフトウェアのインストールを便利にするプログラム
Name: cmmi
Version: 0.5.2
Release: 2%{?_dist_release}
Group: Development/Tools
Source0: http://prdownloads.sourceforge.net/cmmi/cmmi-%{version}.tar.gz
Patch0: cmmi-0.5.2_conf.patch
URL: http://www.netfort.gr.jp/~kiyoka/cmmi/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5
BuildRequires: perl
BuildArch: noarch
License: GPL2

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
Cmmi helps you to simplify your installation process from '.tar.gz' source
archives.You can be a package manager of your local site, if you are not an
expert of your OS.Cmmi can make Debian, RedHat, Slackware and cygwin packages
efficiently.

#%description -l ja 
#configure ; make ; make installという一般的なUNIX用フリーソフトウェアのインストールを便利にするプログラム

%prep
%setup -q
#mv .cmmirc dot.cmmirc
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}
install -m0755 cmmi %{buildroot}%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING CREDITS README README.ja dot.cmmirc*
%{_bindir}/cmmi

%changelog
* Sun Dec 29 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 0.5.2-2
- add config file patch (Patch0)
- drop Prereq: perl
- replace BuildPreReq to BuildRequires
- add Packager

* Sat Sep 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.2-1
- updated to 0.5.2
- apllied new versioning policy

* Fri Oct 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.1-0vl1
- updated to 0.5.1
- rebuilt with new toolchains

* Sat Nov  2 2002 IWAI Masaharu <iwai@alib.jp>
- upstream release
- drop obsoleted cmmi-0.2.0-existed_directory.patch (Patch0)

* Mon Oct  7 2002 IWAI Masaharu <iwai@alib.jp> 0.2.0-0vl1
- upstream release
- added existed_directory.patch (Patch0)

* Mon Sep 30 2002 IWAI Masaharu <iwai@alib.jp> 0.0.9-0vl1
- first build for Vine Linux

