%global upstreamname debian-archive-keyring

%global _keyringsdir %{_datadir}/keyrings

Name:           debian-keyring
Version:        2014.3
Release:        1%{?_dist_release}
Summary:        GnuPG archive keys of the Debian archive
Summary(ja):    Debian アーカイブ用の GnuPG 鍵束

License:        Public Domain
URL:            http://packages.debian.org/unstable/admin/%{upstreamname}
Source0:        http://ftp.debian.org/debian/pool/main/d/%{upstreamname}/%{upstreamname}_%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  jetring

%description
The Debian project digitally signs its Release files. This package contains the
archive keys used for that.

%prep
%setup -q -n %{upstreamname}-%{version}


%build
make


%install
%make_install


%files
%doc README
%exclude %{_sysconfdir}/apt/trusted.gpg.d
%{_keyringsdir}/*.gpg


%changelog
* Sun Nov 15 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 2014.3-1
- initial build for Vine Linux

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Dec 01 2014 Sandro Mani <manisandro@gmail.com> -  2014.1-3
- Update to 2014.3

* Mon Sep 01 2014 Sandro Mani <manisandro@gmail.com> -  2014.1-1
- Update to 2014.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 23 2013 Sandro Mani <manisandro@gmail.com> - 2012.4-2
- Add keyrings-filesystem Requires and BuildRequires.

* Thu Sep 19 2013 Sandro Mani <manisandro@gmail.com> - 2012.4-1
- Initial package
