%define rel 1
%define jmdict_date 20130118
%define jmdict_dir_date 2013-01-18

%define dictdir %{_datadir}/dict/jisx4081
%define dictpkgname engJMD

Summary: JIS X 4081 format EDICT Dictionary
Summary(ja): JIS X 4081 形式の EDICT 辞書
Name: dict-jisx4081-edict
Version: 1.0
Release: %{rel}.JMdict.%{jmdict_date}%{?_dist_release}
License: CC-by-sa 3.0 Unported
Group: Applications/Text
URL: http://www.csse.monash.edu.au/~jwb/edict.html
Source0: ftp://ftp.monash.edu.au/pub/nihongo/edict_en.fpwebz.tar
Source1: dict-jisx4081-edict.README.ja
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim

%description
JIS X 4081 format EDICT Dictionary

%description -l ja
JIS X 4081 形式の EDICT 辞書

%prep
%setup -q -nJMdict_eng_%{jmdict_dir_date}_UTC
%{__cp} -a %{SOURCE1} ./README.ja
%{_fixperms} .

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{dictdir}/%{dictpkgname}
%{__install} -m0644 CATALOGS %{buildroot}%{dictdir}/%{dictpkgname}
%{__cp} -a JMdict %{buildroot}%{dictdir}/%{dictpkgname}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.ja ChangeLog INFO License README
%dir %{dictdir}
%dir %{dictdir}/%{dictpkgname}
%dir %{dictdir}/%{dictpkgname}/JMdict
%dir %{dictdir}/%{dictpkgname}/JMdict/DATA
%dir %{dictdir}/%{dictpkgname}/JMdict/GAIJI
%{dictdir}/%{dictpkgname}/CATALOGS
%{dictdir}/%{dictpkgname}/JMdict/DATA/HONMON.ebz
%{dictdir}/%{dictpkgname}/JMdict/GAIJI/GAI16H.ebz

%changelog
* Fri Jan 25 2013 IWAI, Masaharu <iwai@alib.jp> 1.0-1.JMdict.20130118
- update to 2013-01-19

* Thu Mar 25 2010 IWAI, Masaharu <iwai@alib.jp> 1.0-1.JMdict.20081124
- Initial build.

