Summary: A utility which provides statistics based on the output of diff.
Summary(ja): diff の出力を元に情報を提供するユーティリティ
Name: diffstat
Version: 1.59
Release: 1%{?_dist_release}
Group: Development/Tools
License: distributable
URL: http://dickey.his.com/diffstat/diffstat.html
# (The upstream tarball doesn't have the version in its name.)
Source: ftp://dickey.his.com/diffstat/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
The diff command compares files line by line.  Diffstat reads the
output of the diff command and displays a histogram of the insertions,
deletions and modifications in each file.  Diffstat is commonly used
to provide a summary of the changes in large, complex patch files.

Install diffstat if you need a program which provides a summary of the
diff command's output.  You'll need to also install diffutils.

%description -l ja
diff コマンドは2つのファイルの相違点を行毎に比較します．
diffstat はこの diff の出力を読み込み，各ファイルの追加行/削除行/修正行の
ヒストグラムを出力します．diffstat は大規模で複雑なパッチファイルの
変更点を分かりやすく表示するのによく使われます．

diff コマンドの出力のサマリを表示するプログラムが必要なら
diffstat をインストールして下さい．加えて diffutils も
インストールする必要があるでしょう．


%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/diffstat
%{_mandir}/*/*


%changelog
* Sat Jul 05 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.59-1
- new upstream release
- changed archive type gzip to xz

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 1.45-3
- rebuilt with rpm-4.8.1-3

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.45-2
- spec in utf-8

* Sun May 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.45-1
- new upstream release

* Fri Apr 06 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.41-0vl2
- man file (diffstat.1.gz) located into a wrong directory - fixed.

* Fri Sep 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.41-0vl1
- new upstream reelase

* Wed Dec 04 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.31-1vl1
- based on 1.31-1 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Thu Oct 17 2002 Tim Waugh <twaugh@redhat.com> 1.31-1
- 1.31.  Fixes bug #74971.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May  3 2001 Tim Waugh <twaugh@redhat.com>
- Fix URL.
- 1.28.  Makefile patch no longer needed.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 06 2000 Than Ngo <than@redhat.de>
- use rpm macros

* Wed May 31 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man page in /usr/share/man/*
- use %configure
- fix makefile.in
- cleanup specfile

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- gzip man page.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 1.27, add URL tag.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
