%define pkg_name    elinks
%define pkg_version 0.11.7
%define pkg_release 5%{?_dist_release}

Summary:     A program for browsing the web in text mode
Summary(ja): テキストモードWWWブラウザ
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPLv2
Group:   Applications/Internet
URL:     http://www.elinks.cz/
Source:  %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-root
BuildRequires: zlib-devel expat-devel
BuildRequires: lua lua-devel
Requires: zlib expat

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
ELinks is an advanced and well-established
feature-rich text mode web (HTTP/FTP/..) browser.
ELinks can render both frames and tables,
is highly customizable and can be extended
via Lua or Guile scripts.
It is quite portable and runs on a variety of platforms.
Check the about page for a more complete description.

%description(ja)
ELinks は、高機能で安定したリッチテキストモードWeb（HTTP, FTPなど）ブラウザです。
フレームやテーブルをレンダリングでき、柔軟にカスタマイズ可能です。
また、Perlのスクリプトで拡張することもできます。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{configure} --enable-cgi --enable-finger --enable-256-colors \
             --enable-html-highlight \
             --with-perl

%{__make} %{?_smp_mflags}

%install
%{make_install}
%{__rm} ${RPM_BUILD_ROOT}%{_datadir}/locale/locale.alias

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc ChangeLog COPYING NEWS README SITES THANKS
%{_bindir}/
%{_datadir}/


%changelog
* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 0.11.7-5
- correct SPEC file

* Tue Feb 28 2016 Toshiaki Ara <ara_t@384.jp> 0.11.7-4
- correct Group

* Wed Feb 17 2016 Toshiaki Ara <ara_t@384.jp> 0.11.7-3
- add document

* Sat Oct 17 2015 Toshiaki Ara <ara_t@384.jp> 0.11.7-2
- delete /usr/share/locale/locale.alias
- conflict with the same file in glibc-common

* Sat Oct 17 2015 Toshiaki Ara <ara_t@384.jp> 0.11.7-1
- new package
