Summary: Geeqie Image Viewer
Summary(ja): Geeqie 画像ビューア
Name: geeqie
Version: 1.5.1
Release: 1%{?_dist_release}
Group: Applications/Multimedia
Vendor: Project Vine
Distribution: Vine Linux
Packager:TANAKA hiroaki

License: GPL2
URL: http://www.geeqie.org/
Source: http://www.geeqie.org/%{name}-%{version}.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: exiv2-devel
BuildRequires: gtk3-devel
BuildRequires: lcms2-devel
BuildRequires: poppler-devel

%description
Geeqie is a lightweight Gtk+ based image viewer.

%description -l ja
Geeqie は gtk+ ベースの軽量な画像ファイルブラウザです。


%prep
%setup -q -n %{name}-%{version}


%build
./autogen.sh
%configure \
	--enable-gtk3 \
	--enable-pdf
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT

%__make DESTDIR=$RPM_BUILD_ROOT install

mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} installed-doc

%find_lang %{name}

%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING
%doc README* TODO
%doc installed-doc/html
%{_bindir}/*
%{_prefix}/lib/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/geeqie.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*


%changelog
* Mon May 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.5.1-1
- new upstream release.
- dropped old ja.po.

* Thu Jun 30 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.3-1
- new upstream release.

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1-2
- rebuilt with exiv2-0.25

* Sun Sep 28 2014 TANAKA hiroaki mosaicist@jcom.home.ne.jp 1.1
- new upstream release

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 1.0-4
- rebuilt with rpm-4.8.1-3

* Sat May 08 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0-3
- rebuilt with exiv2-0.19 again (rel+1)

* Wed May  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-2
- rebuilt with exiv2-0.19
- added BR: lcms-devel

* Mon Mar  8 2010 KATO Masashi <mkato@par.odn.ne.jp> 1.0-1
- new upstream release
- renamed spec file to %{name}-vl.spec. (new naming policy)

* Sun Jul 19 2009 Shu KONNO <owa@bg.wakwak.com> 1.0-0.9.beta2
- fixed scripts directory in %%files

* Fri Jul 17 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0-0.8.beta2
- new upstream release
- updated ja.po

* Mon Jun 22 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0-0.7.beta1
- updated ja.po
- udded synlink for documents(for beta version only)

* Thu Jun 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.6.beta1
- update to 1.0beta1

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.5.alpha4
- rebuild with exiv2-0.18.1

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.4.alpha3
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.3.alpha2
- rebuild with new exiv2

* Sat Aug 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.2.alpha2
- new upstream release

* Sun May 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.1.alpha1
- initial build for Vine Linux

