Summary:	GNOME screenshot utility
Summary(ja):	GNOMEスクリーンショットユーティリティ
Name:		gnome-screenshot
Version:	3.18.0
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		Applications/System
URL:		http://www.gnome.org

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.18/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:  desktop-file-utils

Requires(postun,posttrans):	glib2
Requires(postun,posttrans):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This package contains GNOME screenshot utility.

%description -l ja
このパッケージには GNOME 用のスクリーンショットユーティリティが
含まれています。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor "" --delete-original		\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications			\
	--add-only-show-in GNOME								\
	--remove-not-show-in KDE								\
	$RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.Screenshot.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q &> /dev/null ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q &> /dev/null ||:


%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/appdata/org.gnome.Screenshot.appdata.xml
%{_datadir}/applications/org.gnome.Screenshot.desktop
%{_datadir}/dbus-1/services/org.gnome.Screenshot.service
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release

* Tue Jun 10 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-2
- add BuildRequires: desktop-file-utils
- add OnlyShowIn=GNOME; to gnome-screenshot.desktop

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Nov 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- initial build for Vine Linux
