Summary: Basic requirement for icon themes
Summary(ja): アイコンテーマの基本ファイル
Name: hicolor-icon-theme
Version: 0.17
Release: 2%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, inagaki

License: GPL
URL: https://freedesktop.org/wiki/Software/icon-theme/
Source0: http://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Conflicts: kdelibs <= 3.2.3-0vl1
Requires(post): coreutils
Requires: gtk-update-icon-cache

%description
Contains the basic directories and files needed for icon theme support.

%description -l ja
アイコンテーマサポートに必要な基本ディレクトリおよびファイルが含まれています。


%prep
%setup -q


%build
%configure


%install
rm -rf $RPM_BUILD_ROOT
#make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} install
%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT


%transfiletriggerin -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%license COPYING
%doc README
%{_datadir}/icons/hicolor


%changelog
* Mon Mar 08 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.17-2
- added triggers.

* Wed Mar 03 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.17-1
- new upstream release.

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-3
- rebuild with VineSeed environment

* Wed Apr 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-2
- rebuild with rpm-4.8.1

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-1
- new upstream release

* Sun Nov 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.11-1
- new upstream release

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10-2
- spec in utf-8

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10-1vl5
- new upstream release
- add Requires(post): gtk2

* Wed Aug 31 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9-0vl2
- add PreReq: coreutils

* Fri Apr 01 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9-0vl1
- new upstream release
- run gtk-update-icon-cache in %%post script.

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7-0vl1
- new upstream version

* Sat Aug 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5-0vl1
- new upstream release
- add Conflicts: kdelibs <= 3.2.3-0vl1

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3-0vl1
- initial build.
