%define pkg_name    hscolour
%define pkg_version 1.24
%define pkg_release 4%{?_dist_release}

Summary: A small Haskell script to colourise Haskell code
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv2
Group:   Applications/Text
URL:     http://hackage.haskell.org
Source0: http://hackage.haskell.org/package/%{pkg_name}-%{pkg_version}/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-root

BuildRequires: ghc-bootstrap
BuildRequires: gmp-devel
BuildRequires: libffi-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
hscolour is a small Haskell script to colourise Haskell code.
It currently has six output formats: ANSI terminal codes
(optionally XTerm-256colour codes), HTML 3.2 with font tags,
HTML 4.01 with CSS, HTML 4.01 with CSS and mouseover annotations,
XHTML 1.0 with inline CSS styling, LaTeX, and mIRC chat codes.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
ghc -threaded --make Setup
./Setup configure \
        --disable-shared \
        --prefix=%{_prefix} \
        --libsubdir=%{_libdir}/ghc-lib/%{name}-%{version} \
        --datasubdir=%{_docdir}/%{name}-%{version} \
        --docdir=%{_docdir}/%{name}-%{version}
./Setup build

%install
./Setup copy --destdir=${RPM_BUILD_ROOT}

cd ${RPM_BUILD_ROOT}%{_bindir}
%{__ln_s} HsColour hscolour


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/ghc-lib/
%{_datadir}/


%changelog
* Mon May 02 2016 Toshiaki Ara <ara_t@384.jp> 1.24-4
- rebuilt under ghc-bootstrap only (without haskell-platform)
- delete Requires: ghc

* Mon Apr 11 2016 Toshiaki Ara <ara_t@384.jp> 1.24-3
- correct SPEC file

* Sat Feb 20 2016 Toshiaki Ara <ara_t@384.jp> 1.24-2
- rebuild under ghc-7.10.3 and haskell-platform-2015.7.10.3

* Tue Feb 09 2016 Toshiaki Ara <ara_t@384.jp> 1.24-1
- new package

