%define pkg_name    hts_voice
%define pkg_version 1.05
%define pkg_release 2%{?_dist_release}

Summary: HTS voice trained by using the Nitech Japanese Speech Database "NIT ATR503 M001"
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: Creative Commons Attribution 3.0 license
Group:   Applications/Multimedia
URL:     https://osdn.jp/projects/sfnet_open-jtalk/

Source0: %{name}_nitech_jp_atr503_m001-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     ara_t


%description
HTS voice trained by using the Nitech Japanese Speech Database "NIT ATR503
M001" is released as a part of Open JTalk (http://open-jtalk.sourceforge.net/).
This voice consists of HMMs trained by using HMM-based Speech Synthesis System
(HTS) version 2.3 alpha (http://hts.sp.nitech.ac.jp/).


%prep
%setup -q -n %{name}_nitech_jp_atr503_m001-%{version}

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/hts_voice
%{__install} -m 644 *.htsvoice ${RPM_BUILD_ROOT}%{_datadir}/hts_voice

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README COPYING
%{_datadir}/*


%changelog
* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 1.05-2
- correct SPEC file

* Thu Oct 01 2015 Toshiaki Ara <ara_t@384.jp> 1.05-1
- new package
