Summary: 	A script to handle icon names in desktop icon themes
Summary(ja):    デスクトップアイコンテーマ内でアイコン名を扱うためのスクリプト
Name:           icon-naming-utils
Version:        0.8.90
Release:        2%{?_dist_release}

Group:          Development/Tools
License:        GPLv2
URL:            http://tango.freedesktop.org/Tango_Icon_Library

Source0:        http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2

BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  perl(XML::Simple)

%description
A script for creating a symlink mapping for deprecated icon names to
the new Icon Naming Specification names, for desktop icon themes.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libexecdir}/icon-name-mapping
%{_datadir}/icon-naming-utils
%{_datadir}/pkgconfig/icon-naming-utils.pc
%{_datadir}/dtds/*.dtd

%changelog
* Mon Dec 22 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.8.90-2
- rebuilt on current VineSeed
- updated URL

* Sun May  1 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.90-1
- updated to 0.8.90

* Fri Apr 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.7-2
- rebuild with rpm-4.8.1

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.7-1
- new upstream release

* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.6-1
- appiled new versioning policy

* Sun Sep 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.6-0vl1
- new upstream release

* Wed Apr 25 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.2-0vl1
- new upstream release

* Thu Jul 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7.3-0vl1
- new upstream release
- changed Group to Development/Tool

* Thu Mar 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl1
- initial build for Vine Linux

* Mon Feb  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.7-1
- Update to 0.6.7

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.5-1
- Initial import
