Summary:	Firmware for the Intel® PRO/Wireless 2100 Driver.
Summary(ja): 	Intel® PRO/Wireless 2100 ドライバ用ファームウェア
Name:		ipw2100-firmware
Version:	1.3
Release: 	4%{?_dist_release}

License:	Redistributable, no modification permitted
Group:		System Environment/Kernel
URL:		http://ipw1200.sourceforge.net/firmware.php

Source0:	ipw2100-fw-%{version}.tgz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# This is so that the noarch packages only appears for these archs
ExclusiveArch:	noarch i386 x86_64


%description
This package contains the firmware files required by the ipw2100 driver for
Linux. Usage of the firmware is subject to the terms and condtions contained
in %{_datadir}/doc/%{name}-%{version}/LICENSE. Please read it carefully.

%description -l ja
このパッケージは Linux 用 Intel® PRO/Wireless 2100 ドライバに必要なファームウェアを含んでいます。ファームウェアの使用は %{_datadir}/doc/%{name}-%{version}/LICENSE に含まれる内容により制限されています。
このファームウェアを使用する場合はライセンスを必ず読んでください。

%prep
%setup -q -c


%install
%__rm -rf $RPM_BUILD_ROOT
%__mkdir_p $RPM_BUILD_ROOT/lib/firmware
%__install -p -m644 *.fw $RPM_BUILD_ROOT/lib/firmware
#__install -p -m644 LICENSE ${RPM_BUILD_ROOT}/lib/firmware/ipw2100-LICENSE.txt

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
/lib/firmware/*


%changelog
* Wed Apr  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.3-4
- rebuilt on current VineSeed

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 1.3-3
- rebuilt with rpm-4.8.1-3

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 1.3-2vl5
- use /lib/firmware instead of /%%{_lib}/firmware

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.3-1vl5
- applied new versioning policy, spec in utf-8

* Wed Sep 06 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3-0vl2
- fix typo of Group <BTS:VineLinux:148>.

* Thu Jun 08 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3-0vl1
- initial build for Vine Linux
