Summary: 	Firmware for Intel® PRO/Wireless 2200 network adaptors
Summary(ja): 	Intel® PRO/Wireless 2200 ドライバ用ファームウェア
Name:		ipw2200-firmware
Version:	3.1
Release: 	1%{?_dist_release}

License: 	Redistributable, no modification permitted
Group: 		System Environment/Kernel
URL: 		http://ipw2200.sourceforge.net/firmware.php

# License agreement must be displayed before download (referer protection)
Source0: 	ipw2200-fw-%{version}.tgz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# This is so that the noarch packages only appears for these archs
ExclusiveArch:	noarch i386 x86_64

%description
This package contains the firmware files required by the ipw2200 driver for
Linux. Usage of the firmware is subject to the terms and conditions contained
in %{_datadir}/doc/%{name}-%{version}/LICENSE.ipw2200-fw. Please read it
carefully.

%description -l ja
このパッケージは Linux 用 Intel® PRO/Wireless 2200 ドライバに必要なファームウェアを含んでいます。ファームウェアの使用は　%{_datadir}/doc/%{name}-%{version}/LICENSE.ipw2200-fw に含まれる内容により制限されています。
このファームウェアを使用する場合はライセンスを必ず読んでください。

%prep
%setup -q -n ipw2200-fw-%{version}

%install
%__rm -rf $RPM_BUILD_ROOT
%__mkdir_p $RPM_BUILD_ROOT/lib/firmware
%__install -p -m644 *.fw $RPM_BUILD_ROOT/lib/firmware
#__install -p -m644 LICENSE.ipw2200-fw $RPM_BUILD_ROOT/lib/firmware/ipw2200-LICENSE.txt


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE.ipw2200-fw
/lib/firmware/*


%changelog
* Wed Apr  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.1-1
- updated to 3.1
- built on current VineSeed

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 3.0-3
- rebuilt with rpm-4.8.1-3

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 3.0-2vl5
- use /lib/firmware instead of /%%{_lib}/firmware

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 3.0-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 22 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.0-0vl1
- new upstream release.

* Wed Sep 06 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4-0vl2
- fix typo of Group <BTS:VineLinux:148>.

* Thu Jun 08 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4-0vl1
- initial build for Vine Linux
