Name:           itstool
Version:        2.0.6
Release:        1%{?_dist_release}
Summary:        ITS-based XML translation tool
Group:          Development/Tools
Vendor:         Project Vine
Distribution:   Vine Linux
BuildArch:      noarch

License:        GPLv3+
URL:            http://itstool.org/
Source0:        http://files.itstool.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  python3-rpm-macros
BuildRequires:  python3-libxml2
Requires:       python3-libxml2


%description
ITS Tool allows you to translate XML documents with PO files, using rules from
the W3C Internationalization Tag Set (ITS) to determine what to translate and
how to separate it into PO file messages.


%prep
%setup -q


%build
export PYTHON=%{__python3}
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license COPYING COPYING.GPL3
%doc README
%{_bindir}/itstool
%{_datadir}/itstool
%doc %{_mandir}/man1/itstool.1.gz


%changelog
* Fri Apr 10 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.6-1
- new upstream release.

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-2
- rebuild with VineSeed environment

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.2-1
- new upstream release
- add Requires: libxml2-python

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.1-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux


* Mon Jun 27 2011 Shaun McCance <shaunm@gnome.org> 1.1.0-1
- Update to itstool 1.1.0

* Sun May 8 2011 Shaun McCance <shaunm@gnome.org> 1.0.1-1
- Initial packaging
