Summary:      Perl library for Japanese character code conversion
Summary(ja):  日本語コード変換用 perl ライブラリ
Name:         jcode.pl
Version:      2.13
Release:      5%{?_dist_release}
License:      distributable
Group:        Development/Libraries
URL:          http://www.srekcah.org/jcode/
Source0:      ftp://ftp.iij.ad.jp/pub/IIJ/dist/utashiro/perl/%{name}-%{version}
Source1:      ftp://ftp.iij.ad.jp/pub/IIJ/dist/utashiro/perl/%{name}-history

BuildArch:    noarch
Buildroot:    %{_tmppath}/%{name}-%{version}-root
Requires:     perl

Vendor:       Project Vine
Distribution: Vine Linux

%description
Perl library for Japanese character code conversion

%description -l ja
日本語コード変換用Perlライブラリ

%prep
%setup -T -c %{name}-%{version}
%{__cp} -a %{SOURCE1} .

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{perl_vendorlib}
%{__install} -m 0644 %{SOURCE0} %{buildroot}%{perl_vendorlib}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{name}-history
%{perl_vendorlib}/%{name}

%changelog
* Sat Jan 31 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.13-5
- rebuilt on current VineSeed
- moved to Development/Libraries Group

* Tue Feb 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.13-4
- rebuild with Vine6 environment

* Thu Mar 25 2010 IWAI, Masaharu <iwai@alib.jp> 2.13-3
- using %%{perl_vendorlib} macro

* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 2.13-2vl5
- applied new versioning policy, spec in utf-8

* Sat Oct 20 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 2.13-1vl1
- first release for Vine (based RedHat7.1J 2.13-1)
- added Url
- added Requires: perl
- changed Copyright
- use RPM macros

* Fri Jan 25 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 2.13
- Change path

* Fri Aug 04 2000 Satoru SATO <ssato@redhat.com>
- rebuild for new glibc

* Sat Mar 14 2000 Chris Ding <cding@redhat.com>
- initial version
