Name:           kernel-install
Summary:        A post-install script for kernel
Summary(ja):    kernelのインストール後処理を行うスクリプト
Version:        248
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        LGPL2.1+
Source0:        kernel-install

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch

Requires:       dracut
Recommends:     grub2

%description
kernel-install is a script extracted from systemd, and will be called
after installation of kernel.

%description -l ja
　kernel-installはsystemdの一部であり、kernelがインストールされた後の処理を
行います。


%prep


%build


%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}/
install -Dpm755 %{SOURCE0} %{buildroot}%{_bindir}/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/*


%changelog
* Tue Apr 06 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 248-1
- initial build for Vine Linux.
- brought from systemd-248.
