Name:           kexec-tools
Summary:        kexec userspace tools
Version:        2.0.23
Release:        1%{?_dist_release}
Group:          admin-tools
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv2
Source0:        https://mirrors.edge.kernel.org/pub/linux/utils/kernel/kexec/%{name}-%{version}.tar.xz


%description
kexec-tools provides /sbin/kexec binary that facilitates a new
kernel to boot using the kernel's kexec feature either on a
normal or a panic reboot. This package contains the /sbin/kexec
binary and ancillary utilities that together form the userspace
component of the kernel's kexec feature.


%debug_package


%prep
%setup -q


%build
autoreconf
%configure \
    --sbindir=/sbin
make


%install
mkdir -p -m755 $RPM_BUILD_ROOT/sbin
mkdir -p -m755 $RPM_BUILD_ROOT%{_mandir}/man8/
mkdir -p -m755 $RPM_BUILD_ROOT%{_docdir}

install -m 755 build/sbin/kexec $RPM_BUILD_ROOT/sbin/kexec
install -m 755 build/sbin/vmcore-dmesg $RPM_BUILD_ROOT/sbin/vmcore-dmesg
install -m 644 build/man/man8/kexec.8  $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 build/man/man8/vmcore-dmesg.8  $RPM_BUILD_ROOT%{_mandir}/man8/


%files
%license COPYING
%doc News TODO
/sbin/kexec
/sbin/vmcore-dmesg
%{_mandir}/man8/kexec.8.gz
%{_mandir}/man8/vmcore-dmesg.8.gz


%changelog
* Mon Nov 29 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.23-1
- new upstream release.

* Fri May 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.22-1
- initial build for Vine Linux.
