Name:           kio-ftps
Summary:        An ftps KIO slave for KDE
Version:        0.2
Release:        4%{?_dist_release}

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://kasablanca.berlios.de/kio-ftps/

Source0:        http://download.berlios.de/kasablanca/%{name}-%{version}.tar.gz
Patch0:         qtnetwork.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  kdelibs4-devel
BuildRequires:  cmake

#{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
An ftps KIO slave for KDE, based on rfc4217. It should work yet with
most server implementations.

%prep
%setup -q -n %{name}
%patch0 -p0 -b .qtnetwork

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
    -DCMAKE_BUILD_TYPE=release \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README LICENSE.txt rfc4217.txt
%{_libdir}/kde4/kio_ftps.so
%{_datadir}/kde4/services/ftps.protocol


%changelog
* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> - 0.2-4
- rebuild with gcc-5.4.0

* Sun Jan 11 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.2-3
- rebuilt on current VineSeed

* Sun Jan 16 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.2-2
- initial build for Vine Linux

* Tue Apr 28 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.2-1
- initial package
