Summary:	LBreakout2 is a breakout-style arcade game in the manner of Arkanoid
Summary(ja):	ネット対戦ができるブロックくずしのアーケードゲーム第2弾
Name:		lbreakout2
Version:	2.6.5
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Applications/Games
URL:		http://lgames.sourceforge.net/

Requires(post,postun): desktop-file-utils
Requires:	SDL SDL_mixer SDL_net
Requires:	libpng
BuildRequires:	SDL-devel SDL_mixer-devel SDL_net-devel
BuildRequires:	libpng-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
The successor to LBreakout offers you a new challenge in more than 50 
levels with loads of new bonuses (goldshower, joker, explosive balls, 
bonus magnet ...), maluses (chaos, darkness, weak balls, malus magnet ...) 
and special bricks (growing bricks, explosive bricks, regenerative 
bricks ...). If you are hungry for more you can create your own levelsets 
with the integrated level editor. There is also an experimental two player 
mode (via LAN) available.

%description -l ja
LGames プロジェクトのネット対戦ができるブロックくずしの
アーケードゲーム第2弾です。


%prep
%__rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
%configure --prefix=%{_prefix} \
	   --localstatedir=%{_localstatedir}/games \
	   ;
%__make

%install
%__rm -rf ${RPM_BUILD_ROOT}
%__make DESTDIR=${RPM_BUILD_ROOT} install

# remove unpackaged files 
%__rm -rf ${RPM_BUILD_ROOT}/usr/doc

%find_lang %{name}

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%post
# touch --no-create %{_datadir}/icons/hicolor
# if [ -x %{_bindir}/gtk-update-icon-cache ]; then
#   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
# fi 
%{_bindir}/update-desktop-database --quiet %{_datadir}/applications || :

%postun
%{_bindir}/update-desktop-database --quiet %{_datadir}/applications
# touch --no-create %{_datadir}/icons/hicolor
# if [ -x %{_bindir}/gtk-update-icon-cache ]; then
#   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
# fi || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README README-SDL.txt TODO
%doc docs/*.jpg docs/index.html
%{_bindir}/lbreakout2
%{_bindir}/lbreakout2server
%{_datadir}/applications/lbreakout2.desktop
%{_datadir}/icons/lbreakout48.gif
%{_datadir}/%{name}/gfx
%{_datadir}/%{name}/gui_theme
%{_datadir}/%{name}/levels
%{_datadir}/%{name}/sounds
%ghost %{_localstatedir}/games/lbreakout2.hscr


%changelog
* Sun Jan 24 2016 Munehiro Yamamoto <munepi@vinelinux.org> 2.6.5-1
- new upstream release

* Sun Jul 13 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2.6.4-2
- rebuilt with current environment

* Sat Aug 11 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2.6.4-1
- new upstream release

* Sat Feb 11 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2.6.3-2
- fixed License tag
- added Requires(post,postun): desktop-file-utils
- moved game score file to /var/games

* Tue Mar 29 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.6.3-1
- new upstream release

* Mon Jan 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.6.2-1
- new upstream release

* Sat Feb 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2.6.1-1
- new upstream release

* Thu Jul 30 2009 Munehiro Yamamoto <munepi@vinelinux.org> 2.6beta-3.b7
- fixed Japanese desctiption

* Thu Jul 30 2009 Munehiro Yamamoto <munepi@vinelinux.org> 2.6beta-2.b7
- added Japanese desctiption

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 2.6beta-1.b7vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.6beta-0vl0.7.1
- rebuild for VineSeed

* Fri Mar 9 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.6beta-0vl0.7
- initial build for Vine Linux

# * Sun Dec 11 2005 2.6beta-0vl5
# - Update to 2.6beta-5

# * Fri Nov 11 2005 2.6beta-0vl3
# - Update to 2.6beta-3

# * Mon Oct 17 2005 2.6beta-0vl2
# - fix depended packages

# * Mon May 9 2005 2.6beta-0vl1
# - initial build for Vine Linux

# end of file
