%global luaver 5.1
%global luapkgdir %{_datadir}/lua/%{luaver}

Name:           lua-alt-getopt
Version:        0.7.0
Release:        1%{?_dist_release}
Summary:        Argument processing module for Lua
Summary(ja):    Lua 引数処理モジュール

# license text requested from upstream:
# http://luaforge.net/tracker/index.php?func=detail&aid=47674
License:        MIT
URL:            http://sourceforge.net/projects/lua-alt-getopt/
Source0:        http://luaforge.net/frs/download.php/4260/lua-alt-getopt-0.7.0.tar.gz

BuildArch:      noarch
BuildRequires:  lua >= %{luaver}
Requires:       lua

%description
alt-getopt is a module for Lua programming language for processing
application's arguments the same way BSD/GNU getopt_long(3) functions
do. The main goal is compatibility with SUS "Utility Syntax
Guidelines" guidelines 3-13.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{luapkgdir}
cp -p alt_getopt.lua $RPM_BUILD_ROOT%{luapkgdir}



%files
%doc ChangeLog NEWS README
%{luapkgdir}/alt_getopt.lua


%changelog
* Sun Nov 15 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 0.7.0-1
- initial build for Vine Linux

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Tom Callaway <spot@fedoraproject.org> - 0.7.0-5
- lua 5.2
- disabled tests

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 16 2011 Michel Salim <salimma@fedoraproject.org> - 0.7.0-1
- Initial package
