%define ver 0.1.1
%define rel 1

Summary: Language model data package for libkkc
Summary(ja): libkkc のための言語モデルデータ
Name: libkkc-data
Version: %{ver}
Release: %{rel}%{_dist_release}
License: GPLv3
Group: Development/Libraries
URL: https://bitbucket.org/libkkc/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libkkc-devel >= 0.1.0
Requires: libkkc

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
Language model data package for libkkc

%prep
%setup -q

%build
%configure
%__make

%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING AUTHORS NEWS
%dir %{_datadir}/libkkc/models
%{_datadir}/libkkc/models/sorted3

%changelog
* Wed Feb  6 2013 IWAI, Masaharu <iwai@alib.jp> 0.1.1-1
- update to 0.1.1

* Fri Feb  1 2013 IWAI, Masaharu <iwai@alib.jp> 0.1.0-1
- update to 0.1.0
- add requires package version: libkkc-devel >= 0.1.0

* Mon Jan 28 2013 IWAI, Masaharu <iwai@alib.jp> 0.0.1-1
- initial build for Vine Linux

