Summary:	manadic - A dictionaly for Mana
Summary(ja):	真字用辞書
Name:		manadic
Version:	0.1.4
Release:	3%{?_dist_release}

License:	distributable
Group:		System Environment/Libraries
URL:		http://sourceforge.jp/projects/shinji/

Source:		manadic-%{version}.tar.bz2
Patch0:		manadic-0.1.4-Makefile.in.patch

Buildroot:	%{_tmppath}/%{name}-%{version}-root
#BuildArch:	noarch
BuildRequires:	mana
Requires:	mana

Vendor:		Project Vine
Distribution:	Vine Linux

%description
This package contains a dictionaly for Mana.

%description -l ja
このパッケージには真字用の辞書が含まれています。

%prep
%setup -q

%patch0 -p1 -b .Makefile.in

%build
%configure
%__make

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} install

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/manarc
%{_libdir}/mana/dic/ipadic

%changelog
* Thu Jan 29 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.1.4-3
- rebuilt on current VineSeed
- moved to System Environment/Libraries

* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.4-2
- rebuilt with current VineSeed

* Thu Oct  2 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.4-1vl5
- applied new versioning policy
- spec in UTF-8

* Tue Dec 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.1.4-0vl2
- drop BuildArch: noarch (chadic.* may be architecture-dependent)

* Sun May 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.1.4-0vl1
- initial build
