%define major_ver 1.20
%define ver %{major_ver}.0
%define rel 1

Summary:	MATE Faenza Desktop icon theme
Name:		mate-icon-theme-faenza
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Source:		http://pub.mate-desktop.org/releases/%{major_ver}/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	mate-common
BuildRequires:	glib2-devel
BuildRequires:	icon-naming-utils
BuildRequires:	autoconf
BuildRequires:	automake

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       Takemikaduchi, iwaim

%description
This icon theme uses Faenza and Faience icon themes by ~Tiheum and
some icons customized for MATE by Rowen Stipe.

%prep
%setup -q

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/icons/matefaenza
%{_datadir}/icons/matefaenzadark
%{_datadir}/icons/matefaenzagray

%changelog
* Sun May 20 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 1.20.0-1
- update to 1.20.0

* Wed May 10 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.1-1
- update to 1.18.1

* Sat Apr  8 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.0-1
- update to 1.18.0

* Sun Nov 27 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.0-1
- new upstream release

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- initial build
