%define pkg_name    numlockx
%define pkg_version 1.2
%define pkg_release 1%{?_dist_release}

Summary:     enable NumLock in X11 sessions
Summary(ja): X11セッションでNumLockを有効化するユーティリティ
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License:  MIT
Group:    Applications/Other
URL:      https://github.com/rg3/numlockx
Source0:  %{pkg_name}-%{pkg_version}.tar.gz
Source1:  numlockx.sh

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libX11-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Utilities to enable the keyboard's Numeric Lock during X11 session
initialization or using command line utility.
#'

%description -l ja
X11 セッションの初期化時に、またはコマンドラインユーティリティを用いて
キーボードのNumeric Lockを有効化するユーティリティです。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{configure}
%{__make} %{?_smp_mflags}

%install
%{make_install}

%{__mkdir_p} ${RPM_BUILD_ROOT}/etc/profile.d/
%{__install} -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/profile.d/

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog LICENSE README TODO
/etc/profile.d/
%{_bindir}/


%changelog
* Tue Apr 26 2016 Toshiaki Ara <ara_t@384.jp> 1.2-1
- new package

