Summary: simple network-diagram image generator
Summary(ja): シンプルなテキストからネットワーク図を生成するツール
Name: nwdiag
Version: 2.0.0
Release: 1%{?_dist_release}
Group: graphics
Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

License: Apache License 2.0
URL: http://blockdiag.com/ja/nwdiag/
Source0: https://pypi.python.org/packages/source/n/nwdiag/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: python-rpm-macros
BuildRequires: python-devel >= 2.4
BuildRequires: python-setuptools
BuildRequires: python2-rpm-macros
Requires: python(abi) = %pyver
Requires: python >= 2.4
Requires: blockdiag

%description
nwdiag generate network-diagram image file from spec-text file.


%package -n python3-nwdiag
Summary: simple network-diagram image generator
Summary(ja): シンプルなテキストからネットワーク図を生成するツール
Group: graphics
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-rpm-macros
Requires: python3
Requires: python3-blockdiag

%description -n python3-nwdiag
nwdiag generate network-diagram image file from spec-text file.


%prep
%setup -q


%build
%py2_build
%py3_build


%install
%__rm -rf %{buildroot}
%py2_install
%py3_install


%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license LICENSE
%doc README* examples
#%{_bindir}/nwdiag
#%{_bindir}/packetdiag
#%{_bindir}/rackdiag
%{python2_sitelib}/nwdiag-%{version}-py*.egg-info
%{python2_sitelib}/nwdiag
%{python2_sitelib}/packetdiag
%{python2_sitelib}/rackdiag
%{python2_sitelib}/nwdiag_sphinxhelper.*
%{python2_sitelib}/packetdiag_sphinxhelper.*
%{python2_sitelib}/rackdiag_sphinxhelper.*

%files -n python3-nwdiag
%defattr(-,root,root,-)
%license LICENSE
%doc README* examples
%{_bindir}/nwdiag
%{_bindir}/packetdiag
%{_bindir}/rackdiag
%{python3_sitelib}/nwdiag*
%{python3_sitelib}/packetdiag*
%{python3_sitelib}/rackdiag*
%{python3_sitelib}/__pycache__/*


%changelog
* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.0-1
- new upstream release.

* Thu Nov 21 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.4-1
- new upstream release.
- added python3 support.

* Mon Dec 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 1.0.0-1
- update to 1.0.0

* Sun Mar  3 2013 IWAI, Masaharu <iwai@alib.jp> 0.9.4-1
- new upstream release
 - add packetdiag and rackdiag
 - drop sphinxcontrib_nwdiag.*: upstream removed
- add examples in doc dir
- add Requires: python(abi) = %%pyver
- add Summary(ja)
- update URL: upstream moved

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-2
- rebuild with python-2.7.2

* Mon May 16 2011 IWAI, Masaharu <iwai@alib.jp> 0.2.3-1
- Initial build.
