# Basic Information
Name:           ffmpegthumbnailer
Version:        2.2.0
Release:        3%{?_dist_release}
# COPYING  などを参照して License を修正してください。
License:        GPLv2+
# /usr/share/doc/rpm-4.11.1/GROUPS_for_vine.txt を参照して Group を修正してください。
Group:          Applications/Multimedia
#URL:            http://code.google.com/p/ffmpegthumbnailer/
URL:		https://github.com/dirkvdb/ffmpegthumbnailer
#Source0:        http://gdurl.com/z9ne/download/ffmpegthumbnailer-%{version}.tar.gz
Source0:	https://github.com/dirkvdb/ffmpegthumbnailer/releases/download/%{version}/ffmpegthumbnailer-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       Shirow HIGA, iwaim

Summary:        Lightweight video thumbnailer that can be used by file managers
#Summary(ja):   ここに日本語で概要を記述してください。

# Dependency
# 以下に依存関係を記述してください 。
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:  chrpath
BuildRequires:  cmake >= 2.8.5
BuildRequires:	automake
BuildRequires:	autoconf
## *-devel pacages provided by other self-build-* should only be listed
## in self-build-%{name}.spec
#BuildRequires:  ffmpeg-devel >= 2.3

#追加のソースファイル

#追加のパッチファイル

%description
This video thumbnailer can be used to create thumbnails for your video files.

#%description -l ja
#ここに日本語で詳細を記述してください。

%package devel
Summary:        Headers and libraries for building apps that use ffmpegthumbnailer
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This video thumbnailer can be used to create thumbnails for your video files,
development package.

%prep
%setup -q
chmod -x README INSTALL COPYING AUTHORS

%if "%{version}" >= "2.1.0"
cmake   -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_BINDIR=%{_bindir} \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -DCMAKE_INSTALL_MANDIR=%{_mandir} \
        -DCMAKE_INSTALL_DATADIR=%{_datadir} \
        -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir} \
        -DENABLE_GIO=ON \
        -DENABLE_THUMBNAILER=ON
%else
cmake	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DENABLE_GIO=ON \
	-DENABLE_THUMBNAILER=ON
%endif

make %{?_smp_mflags}
 
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chrpath --delete $RPM_BUILD_ROOT/%{_bindir}/ffmpegthumbnailer
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%if "%{version}" < "2.1.0"
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mv $RPM_BUILD_ROOT/usr/man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%{_bindir}/ffmpegthumbnailer
%{_libdir}/libffmpegthumbnailer.so.4*
%{_mandir}/man1/ffmpegthumbnailer.1.gz
# gnome thumbnailer registration
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/ffmpegthumbnailer.thumbnailer

%files devel
%defattr(-,root,root,-)
%{_libdir}/libffmpegthumbnailer.so
%{_libdir}/pkgconfig/libffmpegthumbnailer.pc
%{_includedir}/libffmpegthumbnailer/


%changelog
* Sun Jun 17 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 2.2.0-3
- add Packager
- update BuildRequires

* Tue Apr 24 2018 Shirow HIGA <shirowxxx@gmail.com> - 2.2.0-2
- Rebuild with ffmpeg 4.0

* Fri Mar 31 2017 Shirow HIGA <shirowxxx@gmail.com> - 2.2.0-1
- new upstream release

* Fri Aug 19 2016 Shirow HIGA <shirowxxx@gmail.com> - 2.1.2-1
- new upstream release

* Mon Feb 29 2016 Shirow HIGA <shirowxxx@gmail.com> - 2.1.1-1
- new upstream release

* Sat Nov  7 2015 Shirow HIGA <shirowxxx@gmail.com> - 2.1.0-1
- new upstream release

* Tue Jun 16 2015 Shirow HIGA <shirowxxx@gmail.com> - 2.0.10-1
- new upstream release
- update Source0
- change for URL (https://github.com/dirkvdb/ffmpegthumbnailer)

* Mon Jan 12 2015 Shirow HIGA <shirowxxx@gmail.com> - 2.0.9-1
- initial build for Vine Linux
