Summary:	MPEG audio player.
Summary(ja):	MPEG オーディオプレイヤー
Name:		mpg123
Version:	1.22.1
Release:	1%{?_dist_release}

License:	LGPLv2
Group:		Applications/Multimedia
URL:		http://www.mpg123.de/
Source0:	http://downloads.sourceforge.net/mpg123/%{name}-%{version}.tar.bz2
#Source1:	mp3license

Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	alsa-lib-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:	libtool-ltdl-devel
BuildRequires:	pulseaudio-libs-devel

Vendor:		Project Vine
Distribution:	Vine Linux

%description
Real time command line MPEG audio player for Layer 1, 2 and Layer3.

%package devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for %{name}

%prep
%setup -q 

%build
%configure --with-default-audio=alsa,dummy,jack,oss,pulse

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -r $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/mpg123
%{_bindir}/mpg123-id3dump
%{_bindir}/mpg123-strip
%{_bindir}/out123
%{_libdir}/libmpg123.so.*
%dir %{_libdir}/mpg123
%{_libdir}/mpg123/*.so
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/mpg123.h
%{_libdir}/libmpg123.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Apr  3 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.22.1-1
- updated to 1.22.1
- added devel subpackage

* Mon Jun 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.59r-2vl3
- use better macros

* Wed Oct 11 2000 Yoichi Imai <yoichi@silver-forest.com>
- add setlocale(LC_CTYPE, "");
- for brp-*

* Sun Jul 23 2000 Yoichi Imai <yoichi@silver-forest.com>
- japanese convertion (convert_kanji_auto)

* Wed Jun 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.59r-2vl1
- based on 0.59r-2 of LinuxPPC-Dev-Rel-1.1
- build for Vine Linux

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- 0.59r-pl1
- fix URL in spec.

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- update to 0.59r

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- removed debug output from audio_esd.c.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- hacked to work with esd for 8 bit fallback

* Sat Mar  6 1999 Matt Wilson <msw@redhat.com>
- rebuilt against new libaudio and esd

* Mon Mar  1 1999 Matt Wilson <msw@redhat.com>
- rebuilt against new libaudio and esd

* Fri Feb 26 1999 Michael Maher <mike@redhat.com>
- update package

* Tue Jan 12 1999 Michael Maher <mike@redhat.com>
- allowed to ship ... finally.

* Wed Jan 21 1998 Otto Hammersmith <otto@redhat.com>
- more cleanup

