%define pkg_name    pdf2svg
%define pkg_version 0.2.3
%define pkg_release 4%{?_dist_release}

Summary:     A simple PDF to SVG converter
Summary(ja): PDF-SVGコンバーター
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPLv2
Group:   Applications/Graphics
URL:     http://www.cityinthesky.co.uk/opensource/pdf2svg/
Source:  %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-root
BuildRequires: poppler-devel cairo-devel
Requires: poppler cairo

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
A simple PDF to SVG converter using the Poppler and Cairo libraries.

%description(ja)
PopplerとCairoライブラリを使用したPDF-SVGコンバーター

%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{configure}
%{__make} %{?_smp_mflags}

%install
%{make_install}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc COPYING LICENSE README
%{_bindir}/


%changelog
* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 0.2.3-4
- correct SPEC file

* Mon Feb 28 2016 Toshiaki Ara <ara_t@384.jp> 0.2.3-3
- correct Group

* Wed Feb 17 2016 Toshiaki Ara <ara_t@384.jp> 0.2.3-2
- add document

* Sat Jan 02 2016 Toshiaki Ara <ara_t@384.jp> 0.2.3-1
- new package
