%define real_name Authen-Smb

Summary: Authenticate against an SMB server
Name: perl-Authen-Smb
Version: 0.91
Release: 3%{?_dist_release}
License: Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/Authen-Smb/

Packager: Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
Vendor: Project Vine
Distribution: Vine Linux

Source: http://www.cpan.org/modules/by-module/Authen/Authen-Smb-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: perl >= 5.10.0
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Authen::Smb allows you to authenticate users against an NT server.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorarch}/Authen/Smb.pm
%{perl_vendorarch}/auto/Authen/Smb

%changelog
* Fri Jul 4 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.91-3
- rebuilt with perl-5.16.3.

* Mon Nov 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.91-2
- changed Group to Development/Libraries

* Mon May 04 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.91-1
- Initial package for VineSeed / Vine 5.x

