%define	pkgname	CGI-FastTemplate

# Basic Information
Name:		perl-%{pkgname}
Version:	1.09
Release:	2%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/J/JM/JMOORE/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	CGI::FastTemplate - Perl extension for managing templates, and performing variable interpolation.
Summary(ja):	CGI::FastTemplate - テンプレートの管理および可変的な書き込み実行のための Perl 拡張

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
CGI::FastTemplate - Perl extension for managing templates, and performing variable interpolation.

%description -l ja
CGI::FastTemplate - テンプレートの管理および可変的な書き込み実行のための Perl 拡張

%prep
%setup -q -n CGI-FastTemplate-1.09

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} pure_install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary files.
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# generate file list
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc README

%changelog
* Thu Jul 17 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.09-2
- rebuild with perl-5.16.3

* Thu Oct 04 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.09-1
- initial build for Vine Linux
