Name:           perl-FreezeThaw
Version:        0.5001
Release:        2%{?_dist_release}
Summary:        Convert Perl structures to strings and back

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/FreezeThaw/
Source0:        http://www.cpan.org/authors/id/I/IL/ILYAZ/modules/FreezeThaw-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Converts data to/from stringified form, appropriate for
saving-to/reading-from permanent storage.


%prep
%setup -q -n FreezeThaw-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm*

%changelog
* Sat Nov 22 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.5001-2
- rebuilt with perl 5.16.3
- added Vendor and Distribution tag

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5001-1
- update to 0.5001

* Sat Nov  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.43-6
- applied new versioning policy
- rebuilt with perl-5.10.0

* Thu Nov 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.43-5vl1
- Initial build for Vine Linux

* Thu Sep  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.43-5
- Rebuild for FC6.

* Thu Feb 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.43-4
- Rebuild for FC5 (perl 5.8.8).

* Thu Dec 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.43-3
- Dist tag.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.43-2
- rebuilt

* Sun Oct 31 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.43-0.fdr.1
- Bring up to date with current fedora.us perl spec template.

* Tue Mar 9 2004 Steven Pritchard <steve@kspei.com> - 0.43-0.fdr.0
- Specfile autogenerated.
