%define real_name Geography-Countries

Summary: Classes for 2-letter, 3-letter, and numerical codes for countries
Name: perl-Geography-Countries
Version: 2009041301
Release: 3%{_dist_release}
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/dist/Geography-Countries/

Source: http://search.cpan.org/CPAN/authors/id/A/AB/ABIGAIL/%{real_name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Obsoletes: perl(IP::Country) <= 2.08

Vendor: Project Vine
Distribution: Vine Linux

%description
This module maps country names, and their 2-letter, 3-letter and
numerical codes, as defined by the ISO-3166 maintenance agency [1],
and defined by the UNSD.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} 

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-, root, root, 0755)
%doc MANIFEST
%dir %{perl_vendorlib}/Geography
%{_mandir}/man3/*.3pm*
#%{perl_vendorlib}/Geography/Countries.pm
# %dir %{perl_sitelib}/Geography/
# %{perl_sitelib}/Geography/Countries.pm

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2009041301-2
- rebuild with perl-5.12.3

* Mon Jun 29 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2009041301-1
- new upstream release

* Mon May 05 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 1.4-5
- rebuild with perl 5.10
- new versioning policy

* Sun Feb 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.4-2vl4
- change Group to Development/Libraries

* Tue Oct 17 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 1.4-2vl3
- change group to Development/Languages

* Mon Oct 16 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 1.4-2vl2
- 1st release for VinePlus 4.0
- change install dir (site -> vendor)
- fix changelog typo

* Sun Oct 15 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 1.4-2vl1
- 1st release for VinePlus 3.2
- change install dir (vendor -> site)
- remove smp flag in make section

* Fri Jan 13 2006 Dag Wieers <dag@wieers.com> - 1.4-2 - 3697+/dries
- Cosmetic cleanup.

* Fri Jan 02 2004 Dag Wieers <dag@wieers.com> - 1.4-1
- Obsolete older perl-IP-Country package.

* Wed Dec 03 2003 Dag Wieers <dag@wieers.com> - 1.4-0
- Initial package. (using DAR)
