Name:           perl-List-AllUtils
Version:        0.04
Release:        1%{?_dist_release}
Summary:        Combines List::Util and List::MoreUtils
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/List-AllUtils/

Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/List-AllUtils-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(List::MoreUtils) >= 0.28
BuildRequires:  perl(List::Util)
#BuildRequires:  perl(List::Util) >= 1.31
# Tests:
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More) >= 0.88
# Test::NoTabs not used
# Test::Pod::LinkCheck not used
# Test::Portability::Files not used
# Test::Spelling 0.12 not used
# Test::Synopsis not used
BuildRequires:  perl(Test::Warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux


%description
Are you sick of trying to remember whether a particular helper is defined
in List::Util or List::MoreUtils? I sure am. Now you don't have to remember.
This module will export all of the functions that either of those two
modules defines.

%prep
%setup -q -n List-AllUtils-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Dec 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.04-1
- inital build for Vine Linux
  (we use 0.04, which isn't the newest, due to version of List::Util)

* Wed Oct 08 2014 Petr Pisar <ppisar@redhat.com> - 0.09-1
- 0.09 bump

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 04 2014 Petr Pisar <ppisar@redhat.com> - 0.08-1
- 0.08 bump

* Tue Oct 15 2013 Petr Pisar <ppisar@redhat.com> - 0.07-1
- 0.07 bump

* Mon Sep 02 2013 Petr Pisar <ppisar@redhat.com> - 0.05-1
- 0.05 bump

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 26 2013 Petr Pisar <ppisar@redhat.com> - 0.03-2
- Perl 5.18 rebuild

* Thu Mar 07 2013 Petr Pisar <ppisar@redhat.com> 0.03-1
- Specfile autogenerated by cpanspec 1.78.
