%define	realname 	Mail-Sendmail

Name:		perl-Mail-Sendmail
Summary:	Simple platform-independent mailer
Version:	0.80
Release:	7%{_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPL
URL:		https://metacpan.org/pod/Mail::Sendmail
Source:		https://cpan.metacpan.org/authors/id/N/NE/NEILB/%{realname}-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	perl >= 2:5.34.0
Requires:	perl >= 2:5.34.0

%description
Mail-Sendmail is a Perl module for sending mail through a sendmail SMTP
server.


%prep
%setup -q -n %{realname}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make} 


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc Changes README Todo
%{_mandir}/*/*
%{perl_vendorlib}/Mail


%changelog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.80-7
- new upstream release.
- built with perl-5.34.0.

* Thu Feb  5 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.79.16-6
- moved to Development/Libraries

* Tue Jul 1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.79.16-5
- rebuilt with perl-5.16.3.

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.79.16-4
- rebuild with perl-5.12.3

* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.79.16-3vl5
- rebuild with perl 5.10
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.79.16-2lv1
- rebuilt for VineSeed
- remove Requires: smtpdaemon

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.79.16-2lv0.43
- built to release for VinePlus 4.2
- add Requires: smtpdaemon like a postfix

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.79.16-2lv0.42
- built for Vine 4.2 (testing)
- new upstream release

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.79.16-2mdv2008.0
+ Revision: 64787
- rebuild

* Mon Feb 12 2007 Stew Benedict <sbenedict@mandriva.com> 0.79.16-1mdv2007.0
+ Revision: 120105
- 0.79.16

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Mail-Sendmail

* Sat Jan 21 2006 Michael Scherer <misc@mandriva.org> 0.79-4mdk
- Rebuild to fix 20764 
- use mkrel
- fix rpmlint warning about distribution, and apply perl policy

