Name:           perl-Net-Appliance-Session
Summary:        Run command-line sessions to network appliances
Version:        3.122530
Release:        1%{?_dist_release}
License:        Artistic or GPL+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Appliance-Session/

Source:         http://search.cpan.org/CPAN/authors/id/O/OL/OLIVER/Net-Appliance-Session-%{version}.tar.gz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

Requires:       perl(Moose)
Requires:       perl(Moose::Role)
Requires:       perl(Net::CLI::Interact) >= 1.122530
Requires:       perl(overload)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Run command-line sessions to network appliances

%prep
%setup -q -n Net-Appliance-Session-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot}

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%check
%{__make} test

%files
%defattr(-, root, root, -)
%doc Changes LICENSE MANIFEST META.* README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Dec 24 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 3.122530-1
- updated to 3.122530
- built with perl 5.16.3

* Fri Mar 09 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.120560-1
- initial build for Vine Linux
