%define real_name Net-Interface

Summary:        Access network interfaces
Name:           perl-Net-Interface
Version:        1.012
Release:        2%{?_dist_release}
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{real_name}

Source:         http://www.cpan.org/modules/by-module/Net/%{real_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Net::Interface is designed to make the use of ifconfig(1) and friends
unnecessary from within Perl.  It provides methods to get at set all
the attributes of an interface, and even create new logical or
physical interfaces (if your O/S supports it).

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorarch}/Net/
%{perl_vendorarch}/Net/Interface.pm
%{perl_vendorarch}/Net/Interface/
%dir %{perl_vendorarch}/auto/Net/
%{perl_vendorarch}/auto/Net/Interface/

%changelog
* Fri Dec 12 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.012-2
- rebuilt with perl 5.16.3

* Fri Mar 09 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.012-1
- initial build for Vine Linux
