Name:           perl-Net-MAC-Vendor
Summary:        Lookup the vendor for a MAC address
Version:        1.23
Release:        1%{?_dist_release}
License:        Artistic or GPL
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-MAC-Vendor/

Source:         http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/Net-MAC-Vendor-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Lookup the vendor for a MAC address.

%prep
%setup -q -n Net-MAC-Vendor-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot}

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.yml README examples/
%doc %{_mandir}/man3/Net::MAC::Vendor.3*
%dir %{perl_vendorlib}/Net/MAC/
%{perl_vendorlib}/Net/MAC/Vendor.pm

%changelog
* Sun Feb  8 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.23-1
- updated to 1.23
- built with perl 5.16.3

* Mon Mar 05 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.18-1
- initial build for Vine Linux
