Name:           perl-Net-MAC
Summary:        Perl extension for representing and manipulating MAC addresses
Version:        2.103622
Release:        2%{?_dist_release}
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-MAC/

Source:         http://search.cpan.org/CPAN/authors/id/O/OL/OLIVER/Net-MAC-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl extension for representing and manipulating MAC addresses.

%prep
%setup -q -n Net-MAC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot}

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.* README
%doc %{_mandir}/man3/Net::MAC.3pm*
%dir %{perl_vendorlib}/Net/
%{perl_vendorlib}/Net/MAC.pm

%changelog
* Fri Dec 12 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.103622-2
- rebuilt with perl 5.16.3

* Mon Mar 05 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.103622-1
- initial build for Vine Linux
