Summary:	Perl library for parsing the output of nsgmls.
Name:		perl-SGMLSpm
Version:	1.03ii
Release:	15%{?_dist_release}
Group:		programming
Vendor:		Project Vine
Distribution:	Vine Linux

License:	GPL
URL:		https://metacpan.org/release/RAAB/SGMLSpm-1.03ii
Source0:	https://cpan.metacpan.org/authors/id/D/DM/DMEGG/SGMLSpm-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	perl >= 2:5.34.0
Requires:	perl >= 2:5.34.0
Requires:	openjade

%{?perl_default_filter}

%description
Perl programs can use the SGMLSpm module to help convert SGML, HTML or XML
documents into new formats.


%prep
%setup -n SGMLSpm


%build


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT{%{_bindir},%{perl_vendorlib}}
make install_system \
    BINDIR=$RPM_BUILD_ROOT%{_bindir} \
    PERL5DIR=$RPM_BUILD_ROOT%{perl_vendorlib}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%license COPYING
%doc BUGS ChangeLog DOC/ README TODO elisp
%{_bindir}/sgmlspl
%dir %{perl_vendorlib}/SGMLS
%{perl_vendorlib}/SGMLS.pm
%{perl_vendorlib}/SGMLS/Output.pm
%{perl_vendorlib}/SGMLS/Refs.pm
%{perl_vendorlib}/skel.pl


%ChangeLog
* Sun Nov 21 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.03ii-15
- rebuilt with perl-5.34.0.

* Thu Jul 3 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.03ii-14
- rebuilt with perl-5.16.3.

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 1.03ii-13
- build with perl 5.12.3
- add Vendor and Distribution tags

* Tue May 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.03ii-12
- rebuilt with perl-5.10.0-2
- applied new versioning policy
- s/Copyright/License/

* Mon Nov 29 2004 IWAI, Masaharu <iwai@alib.jp> 1.03ii-11vl4
- rebuild on perl-5.8.6-0vl1

* Wed Dec 10 2003 IWAI, Masaharu <iwai@alib.jp> 1.03ii-11vl3
- build with perl-5.8.2
- add %%{perldir}/SGMLS directory in %%files

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 1.03ii-11vl2
- rebuilt on perl-5.8.1

* Thu May 01 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.03ii-11vl1
- syncd with rawhide

* Sat Apr 12 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.03ii-4vl2
- Rebuild

* Fri Oct 12 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.03ii-4vl1
- Rebuild for Vine.

* Sun Jan 14 2001 Tim Waugh <twaugh@redhat.com>
- Add defattr to files section.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- rm before install.
- Change Copyright: to License:.
- Remove Packager: line.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
