%define	pkgname	Term-Encoding

# Basic Information
Name:		perl-%{pkgname}
Version:	0.02
Release:	2%{?_dist_release}
Summary:	Detect encoding of the current terminal
Summary(ja):	現在の端末のエンコーディングを検出する

License:	Artistic or GPL
Group:		Development/Libraries
URL:            http://search.cpan.org/~miyagawa/Term-Encoding/

Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/%{pkgname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

%description
Term::Encoding is a simple module to detect an encoding the current terminal
expects, in various ways.

%description -l ja
Term::Encoding は、さまざまな方法で現在の端末のエンコーディングを検出する
簡単なモジュールです。

%prep
%setup -q -n Term-Encoding-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test


%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Term/*
%{_mandir}/man3/*


%changelog
* Tue Nov 25 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.02-2
- rebuilt with perl 5.16.3
- installed module to vendor_perl
- added BuildArch: noarch
- added BR: perl(ExtUtils::MakeMaker)
- added URL tag

* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.02-1
- initial build for Vine Linux
