Summary:        Assert that code produces metrics via Metrics::Any
Name:           perl-Test-Metrics-Any
Version:        0.01
Release:        8%{?_dist_release}
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Metrics-Any/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Test-Metrics-Any-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build)
# runtime requirements
BuildRequires:  perl(Metrics::Any::Adapter)
BuildRequires:  perl(Metrics::Any::Adapter::Test)
BuildRequires:  perl(Test::Builder::Module)
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(Metrics::Any)
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(Test::More)
Requires:       perl

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(Test::Metrics::Any::_predicate\\)$

%description
This test module helps write unit tests which assert that the code under
test reports metrics via Metrics::Any.


%prep
%setup -q -n Test-Metrics-Any-%{version}


%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Test*
%{_mandir}/man3/Test*


%changelog
* Thu Nov 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.01-8
- initial build for Vine Linux.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-6
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.01-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.01-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-3
- Perl 5.32 rebuild

* Mon May 18 2020 Emmanuel Seyman <emmanuel@seyman.fr> - 0.01-2
- Take into account review comments (#1836770)

* Sun May 10 2020 Emmanuel Seyman <emmanuel@seyman.fr> - 0.01-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
