Summary: Time-modules module for Perl 
Name: perl-Time-modules
Version: 2013.1113
Release: 1%{?_dist_release}
License: Distributable
Group: Development/Libraries
URL: http://search.cpan.org/~muir/Time-ParseDate/

Source0: http://search.cpan.org/CPAN/authors/id/M/MU/MUIR/modules/Time-ParseDate-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl(ExtUtils::MakeMaker)
Requires: perl >= 5.004

Provides: perl-Time-ParseDate = %{version}-%{release}

%description
This package contains the following perl5 modules:

        Time::CTime.pm
                ctime, strftime, and asctime
        Time::JulianDay.pm
                Julian Day conversions
        Time::ParseDate.pm
                Reverses strftime and also understands relative times
        Time::Timezone.pm
        Time::DaysInMonth.pm

%prep
%setup -q -n Time-ParseDate-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT 

# remove unnecessary files.
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec %{__rm} -f {} ';'
find $RPM_BUILD_ROOT -type f -name .packlist -exec %{__rm} -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Time
%{_mandir}/*/*

%changelog
* Wed Dec 24 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2013.1113-1
- updated to 2013.1113
- built with perl 5.16.3
- updated URL

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2006.0814-2
- rebuild with perl-5.12.3

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2006.0814-1vl5
- applied new versioning policy
- rebuilt with perl-5.10.0

* Tue Sep 25 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2006.0814-0vl1
- new upstream release
- changed Group to Development/Libraries

* Mon Jan 10 2005 Satoshi MACHINO <machino@vinelinux.org> 2003.1126-0vl1
- new upstream release
- built with perl-5.8.6

* Sun Jun 15 2003 IWAI Masaharu <iwai@alib.jp> 2003.0211-0vl1
- first build for Vine Linux
