Summary: The mysqlnd replication and load balancing plugin
Summary(ja): mysqlnd レプリケーション・ロードバランスプラグイン
Name: php-ext-mysqlnd_ms
Version: 1.6.0
Release: 2%{_dist_release}
URL: http://pecl.php.net/package/mysqlnd_ms
Source: mysqlnd_ms-%{version}.tgz
License: The PHP License
Group: Development/Languages
BuildRequires: php5-devel
BuildRequires: libxml2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: php5-mysql

%if "%{?req_php_api}" != ""
Requires: %{req_php_api}
%endif

Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

%description
 The mysqlnd replication and load balancing plugin (mysqlnd_ms) adds
easy to use MySQL replication support to all PHP MySQL extensions that
use mysqlnd.

%description -l ja
  mysqlnd レプリケーション・ロードバランスプラグインは、mysqlndを使用
している全てのPHP MySQL拡張に対し、簡単なMySQLレプリケーション機能の
サポートを追加します。

%prep
%setup -q -n mysqlnd_ms-%{version}
rm -f ../package.xml

/usr/bin/phpize

%build
%configure
%__make %{_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/php5/
mkdir -p %{buildroot}%{_sysconfdir}/php5/php.d
%makeinstall INSTALL_ROOT=%{buildroot}

cat > %{buildroot}%{_sysconfdir}/php5/php.d/mysqlnd_ms.ini <<EOF
; Enable mysqlnd_ms extension module
extension=mysqlnd_ms.so
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES CREDITS LICENSE README
%{_libdir}/php5/*
%{_sysconfdir}/php5/php.d/*

%changelog
* Thu Jan 09 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.0-2
- rebuilt with current environment.

* Thu Oct 03 2013 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.0-1
- new upstream release.

* Sun Apr 29 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.3.2-2
- converted encoding to UTF-8.

* Sat Apr 28 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.3.2-1
- new upstream release.

* Sun Oct 30 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.1-1
- initial build.

