Name:           poppler-data
Summary:        Poppler encoding data.
Summary(ja):    Poppler 用のエンコード用データ
Version:        0.4.10
Release:        1%{?_dist_release}
Group:          publishing
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv2 with exceptions
URL:            https://poppler.freedesktop.org/
Source0:        https://poppler.freedesktop.org/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
This package consists of encoding files for use with poppler.
These files enables poppler to correctly render CJK and 
Cyrillic properly. 

%description -l ja
このパッケージは poppler で使用するエンコード用のファイルを
提供します。これらのファイルにより CJK (中国語と日本語、および
韓国語)やキリル文字を poppler で適切に描画できるようなります。


%package devel
Summary: Developer files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package consists of development files for poppler.


%prep
%setup -q


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} datadir=%{_datadir} install


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%license COPYING COPYING.adobe COPYING.gpl2
%doc README 
%{_datadir}/poppler

%files devel
%{_datadir}/pkgconfig/poppler-data.pc


%changelog
* Wed Mar 03 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4.10-1
- new upstream release.

* Mon Oct 14 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4.9-1
- new upstream release.

* Sun Nov 02 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.4.7-3
- fixed typo...

* Sat Nov 01 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.4.7-2
- added Group tag to devel package

* Fri Sep 05 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.7-1
- new upstream release
- splitted subpackage -devel

* Sun Nov 04 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.6-1
- new upstream release

* Mon Jan 16 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.5-1
- new upstream release
- added COPYING.adobe and COPYING.gpl2 in %%doc

* Tue May 31 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.4-1
- new upstream release

* Fri Oct 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.3-1
- new upstream release

* Sun Mar 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.0-1
- new upstream release

* Sun Nov  2 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.0-1
- new upstream release

* Fri Oct 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.1-1
- new upstream release

* Sat Aug 30 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.0-2
- spec in UTF-8

* Mon Mar 31 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.0-1
- rebuild with new versioning policy.

* Sun Dec 30 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.0-0vl1
- new upstream release.

* Sat Oct 27 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1.1-0vl1
- new upstream release.

* Sun Sep 09 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1-0vl1
- initial build for Vine Linux.
