# -*- encoding: utf-8 -*-
%define ver 0.6.0
%define rel 3

Summary: an application for mass renaming files
Summary: 大量のファイルの名前を変更するためのアプリケーション
Name: pyrenamer
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: GPLv2
Group: Applications/Accessories
URL: http://www.infinicode.org/code/pyrenamer/
Source0: http://www.infinicode.org/code/pyrenamer/files/%{name}-%{version}.tar.gz
Source1: pyrenamer_trunk-ja.po
Source2: pyrenamer-0.6.0-LINGUAS
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pygtk2-devel GConf2-devel
BuildRequires: desktop-file-utils
Requires: pygtk2 GConf2
Requires(post,postun): desktop-file-utils
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
pyRenamer is an application for mass renaming files.

You can rename files using patterns, substitutions,
insert or delete text, or even rename files manually.
You can also rename images using their EXIF tags
and music using their internal tags.

%prep
%setup -q
%__cp -a %{SOURCE1} po/ja.po
%__rm -f po/LINGUAS
%__cp -a %{SOURCE2} po/LINGUAS
%configure

%build
make

%install
%__rm -rf %{buildroot}
%makeinstall

%__rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%check
make check
%{_bindir}/desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%__rm -rf %{buildroot}


%post
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications
fi

%postun
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/pyrenamer
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{python_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}


%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.0-3
- rebuild with VineSeed environment

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.0-2
- rebuild with python-2.7.2

* Mon Jun  7 2010 IWAI, Masaharu <iwai@alib.jp> 0.6.0-1
- Initial build.
