%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define alphatag r154
%define srcname django-tagging

Name:           python-%{srcname}
Version:        0.3
Release:        4.20080217svn%{alphatag}%{?_dist_release}
Summary:        A generic tagging application for Django projects

Group:          Development/Languages
License:        MIT
URL:            http://code.google.com/p/django-tagging/
# svn export -r154 http://django-tagging.googlecode.com/svn/trunk/ django-tagging-0.3-r154
# tar zcf django-tagging-0.3-r154.tar.gz django-tagging-0.3-r154
Source0:        %{srcname}-%{version}-%{alphatag}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python-django

Vendor: Project Vine
Distribution: Vine Linux

%description
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.

%prep
%setup -q -n %{srcname}-%{version}-%{alphatag}

%build
%{__python} setup.py build


%install
%__rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.txt docs/*
%{python_sitelib}/*

%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.3-4.20080217svnr154
- rebuild with VineSeed environment

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.3-3.20080217svnr154
- rebuild with python-2.7.2

* Thu Sep 02 2010 Munehiro Yamamoto <munepi@vinelinux.org> - 0.3-2.20080217svnr154
- changed from Django to python-django in Requires: (see changeset r1742)

* Mon Aug 23 2010 Munehiro Yamamoto <munepi@vinelinux.org> - 0.3-1.20080217svnr154
- initial build based on Fedora development

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-3.20080217svnr154
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2.20080217svnr154
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 02 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.3-1.20080217svnr154
- Add Requires: Django

* Wed Feb 18 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.3-0.20080217svnr154
- Initial RPM release
