Name:           python-pam
Version:        0.1.3
Release:        1%{?_dist_release}
Summary:        Pure Python interface to the Pluggable Authentication Modules system on Linux

Group:          Development/Libraries
License:        MIT
URL:            http://atlee.ca/software/pam/
Source0:        http://atlee.ca/software/pam/dist/%{version}/pam-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%prep
%setup -q -n pam-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%{python_sitelib}/pam.py*
%{python_sitelib}/pam-*.egg-info

%changelog
* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.3-1
- initial build for Vine Linux


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.1.3-1
- Initial packaging
