Summary: a quick hack to use libclamav with python
Name: python-pyclamav
Version: 0.4.1
Release: 4%{?_dist_release}
License: GPLv2
Group: Development/Libraries
URL: http://xael.org/norman/python/pyclamav/
Source0: pyclamav-%{version}.tar.gz
## from Debian python-clamav 0.4.1-5
# http://svn.debian.org/viewsvn/python-modules/packages/python-clamav/trunk/debian/patches/clamav-095-compat.patch?revision=15795&view=markup
Patch0: clamav-095-compat.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: python-devel
BuildRequires: openssl-devel
BuildRequires: clamav-devel >= 0.95

Vendor: Project Vine
Distribution: Vine Linux

%description
pyClamAV is a python binding to libclamav written in C. By using pyClamAV, 
you can add virus detection capabilities to your python software in an 
efficient and easy way.

%prep
%setup -q -n pyclamav-%{version}
%patch0 -p1 -b .debian

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root %{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG README.txt gpl.txt
%{python_sitearch}/pyclamav*

%changelog
* Sat Nov 17 2018 Toshiaki Ara <ara_t@384.jp> 0.4.1-4
- rebuild with VineSeed environment
- add BuildRequires: openssl-devel

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-3
- rebuild with VineSeed environment

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-2
- rebuild with python-2.7.2

* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 0.4.1-1
- Initial build.
- add clamav-095-compat.patch (Patch0) from Debian python-clamav 0.4.1-5
