
# Basic Information
Name:		python-rope
Version:	0.9.3
Release:	3%{?_dist_release}
License:	GPLv2
Group:		Development/Libraries
URL:		http://rope.sf.net/
Source0:	rope-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	a python refactoring library
Summary(ja):	Python リファクタリングライブラリ

# Dependency
Requires:	python
BuildRequires:	python-devel

%description
`Rope`_ is a python refactoring library.

.. _`rope`: http://rope.sf.net/

%description -l ja
`Rope` は、Python 向けのリファクタリングライブラリです。

公式サイト: http://rope.sf.net/

%prep
%setup -q -n rope-0.9.3

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING
%{python_sitelib}/rope-%{version}-py%{pyver}.egg-info
%{python_sitelib}/rope


%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.3-3
- rebuild with VineSeed environment

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.3-2
- rebuild with python-2.7.2

* Sun Oct 16 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9.3-1
- initial build for Vine Linux
