%define	pkgname	stevedore

# Basic Information
Name:		python-stevedore
Version:	1.0.0.0a1
Release:	1%{?_dist_release}
License:	Apache
Group:		Development/Libraries
URL:		https://github.com/dreamhost/stevedore
Source0:	%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Manage dynamic plugins for Python applications
Summary(ja):	Python アプリケーションのための動的プラグイン管理

# Dependency
Requires:	python
BuildRequires:	python-setuptools

%description
=========

Manage dynamic plugins for Python applications

* Free software: Apache license
* Documentation: http://stevedore.readthedocs.org
* Source: http://git.openstack.org/cgit/openstack/stevedore
* Bugs: https://bugs.launchpad.net/python-stevedore

#%%description -l ja
#ここに日本語で詳細を記述してください。

%prep
%setup -q -n stevedore-1.0.0.0a1

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE
%{python_sitelib}/%{pkgname}*

%changelog
* Sun Aug 03 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.0.0.0a1-1
- initial build for Vine Linux
