%global gem_name json

Summary:        This is a JSON implementation as a Ruby extension in C
Summary(ja):    C言語で書かれたRuby用JSON拡張機能
Name:           rubygem-%{gem_name}
Version:        2.3.0
Release:        2%{?_dist_release}
Group:          Development/Libraries
Vendor:         Project Vine
Distribution:   Vine Linux
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

License:        Ruby
URL:            https://rubygems.org/gems/%{gem_name}/
Source0:        https://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildRequires:  ruby-devel ruby-rubygems-devel


%description
This is a implementation of the JSON specification according to RFC 4627.
You can think of it as a low fat alternative to XML, if you want to store
data to disk or transmit it over a network rather than use a verbose
markup language.


%prep
%setup -c -T -n %{name}-%{version}
cp %{SOURCE0} ./


%build


%install
%{__rm} -rf %{buildroot}
%gem_install -d %{buildroot}%{gem_current_dir}

rm -f %{buildroot}%{gem_cache}
rm -f %{buildroot}%{gem_extdir_mri}/{gem_make.out,mkmf.log}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%{gem_spec}
%{gem_instdir}
%{gem_extdir_mri}
%{gem_docdir}


%changelog
* Thu Apr 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.3.0-2
- added a missing file.

* Thu Apr 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.3.0-1
- initial build for Vine Linux.
