Summary:	Spawn fcgi-process directly
Summary(ja):    fcgi プロセスを直接起動
Name:		spawn-fcgi
Version:	1.6.4
Release:	1%{?_dist_release}
Group:		servers

License:	BSD
URL:		https://redmine.lighttpd.net/projects/spawn-fcgi
%global		shortver %(echo %{version} | cut -d . -f 1-2)
Source0:	https://download.lighttpd.net/spawn-fcgi/releases-%{shortver}.x/spawn-fcgi-%{version}.tar.xz
Patch0:		spawn-fcgi-warnings.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root


%debug_package


%description
spawn-fcgi is used to spawn fcgi-process directly without the help of
a webserver or the programm itself.

%description -l ja
spawm-fcgi は fcgi プロセスを webサーバやプログラムそのものの助けを
借りずに直接起動するためのソフトウエアです。


%prep
%autosetup -p1


%build
autoreconf -ivf
%configure
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)
%license README
%doc AUTHORS COPYING NEWS
%attr(755,root,root) %{_bindir}/spawn-fcgi
%{_mandir}/man1/spawn-fcgi.1*


%changelog
* Wed Mar 03 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.4-1
- new upstream release.
- imported Patch0 from upstream.

* Mon Jan 13 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.3-3
- rebuilt with current environment.

* Wed May 02 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.3-2
- rebuilt with current environment.

* Sun Apr 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.3-1
- new upstream release

* Mon Jul 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.2-1
- initial build for Vine Linux
- original changelog of PLD package
  - Revision 1.11  2009/04/20 06:13:48  glen
    - up to 1.6.2
  - Revision 1.10  2009/04/06 08:10:50  shadzik
    - 1.6.1
  - Revision 1.9  2009/03/02 11:46:04  glen
    - 1.6.0 release
  - Revision 1.8  2009/02/19 09:59:41  glen
    - rc1 tarball
  - Revision 1.7  2009/02/18 00:42:11  glen
    - cleanup
  - Revision 1.6  2009/02/18 00:41:15  glen
    - use the spawn-fcgi that was separated from lighttpd code
