%define pkg_name    stalonetray
%define pkg_version 0.8.3
%define pkg_release 2%{?_dist_release}

Summary:     a stand-alone freedesktop.org and KDE system tray
Summary(ja): X Window System向けのスタンドアロンのシステムトレイ
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPL2
Group:   User Interface/Desktops
URL:     http://stalonetray.sourceforge.net/
Source:  %{pkg_name}-%{pkg_version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: xorg-x11-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Stalonetray is a stand-alone freedesktop.org and KDE system tray
 (notification area) for X Window System/X11 (e.g. X.Org or XFree86).
It has full XEMBED support and minimal dependencies: an X11 lib only.
Stalonetray works with virtually any EWMH-compliant window manager.

Window managers that are reported to work well with stalonetray:
- FVWM
- OpenBox
- Enlightenment
- ion3
- Compiz
- Xmonad

%description -l ja
StalonetrayはX Window System向けのスタンドアロンの
freedesktop.orgとKDEのシステムトレイです。
XEMBEDをフルにサポートし、依存パッケージは必要最小限でであり、
EWMHに対応していればどのウィンドウマネージャでも使えます。

Stalonetrayが動作すると報告されているウィンドウマネージャは
FVWM, Openbox, Enlightenment, Ion3, Compiz, Xmonad, awesomeです。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{configure}
%{__make} %{?_smp_mflags}

%install
%{make_install}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/
%{_mandir}/


%changelog
* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 0.8.3-2
- correct SPEC file

* Sat Mar 05 2016 Toshiaki Ara <ara_t@384.jp> 0.8.3-1
- new package

