Name:           task-spooler
Summary:        Personal job scheduler
Summary(ja):    個人用ジョブスケジューラ
Version:        1.0.1
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv2+
URL:            http://vicerveza.homeunix.net/~viric/soft/ts
Source0:        %{url}/ts-%{version}.tar.gz

BuildRequires:  gcc

%description
Task spooler is a Unix batch system where the tasks spooled run one
after the other. Each user in each system has his own job queue. The tasks are
run in the correct context (that of enqueue) from any shell/process, and its
output/results can be easily watched. It is very useful when you know that
your commands depend on a lot of RAM, a lot of disk use, give a lot of
output, or for whatever reason it's better not to run them at the same time.


%debug_package


%prep
%autosetup -n ts-%{version}
touch configure
chmod +x configure


%build
%configure
%make_build


%install
%make_install PREFIX=%{buildroot}%{_prefix}
mv %{buildroot}%{_bindir}/ts %{buildroot}%{_bindir}/tsp
mv %{buildroot}%{_mandir}/man1/ts.1 %{buildroot}%{_mandir}/man1/tsp.1


%files
%license COPYING
%doc Changelog README TRICKS PROTOCOL
%{_bindir}/tsp
%{_mandir}/man1/tsp.1.*


%changelog
* Fri Mar 19 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.0.1-1
- new upstream release.

* Fri Aug 02 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.0-4
- initial build for Vine Linux.

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr 17 2018 Vasiliy N. Glazov <vascom2@gmail.com> - 1.0-1
- Initial package for Fedora
