Name: task-xfce
Version: 4.12.0
Release: 1%{?_dist_release}
Summary: Virtual package for Xfce
Summary(ja): Xfce バーチャルパッケージ

Group: User Interface/Desktops
License: public domain

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
# core
Requires: gtk-xfce-engine
Requires: libxfce4util libxfce4ui xfconf libexo
Requires: xfce4-settings
Requires: xfce4-panel
Requires: xfdesktop
Requires: xfwm4 
Requires: xfce4-appfinder
Requires: xfce4-session xfce4-session-engines
Requires: Thunar 
Requires: thunar-volman
Requires: tumbler

# apps
Requires: mousepad
Requires: orage
Requires: parole
Requires: ristretto
Requires: xarchiver
Requires: xfce4-dict
#Requires: xfce4-mixer
Requires: xfce4-notifyd
Requires: xfce4-screenshooter
Requires: xfce4-taskmanager
Requires: xfce4-terminal
#Requires: xfprint

# plugins
Requires: xfce4-mailwatch-plugin
Requires: xfce4-pulseaudio-plugin
Requires: xfce4-wavelan-plugin
Requires: xfce4-weather-plugin
Requires: xfce4-xkb-plugin

# themes
Requires: xfwm4-themes
Requires: xfce4-icon-theme

%description
This is a virtual package to install Xfce system packages.
If you use apt-get for RPM, this package will install all packages related to Xfce automatically.

%description -l ja
Xfce デスクトップ環境を簡単にインストールするための仮想パッケージです。
apt-get を使ってこのパッケージをインストールすることで、関連する Xfce パッケージをまとめてインストールすることができます。

%changelog
* Sun Mar 15 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.12.0-1
- Xfce 4.12.0
- remove Requires: xfce4-mixer, xfprint
- add Requires: parole, ristretto, xfarchiver, xfce4-dict, xfce4-notifyd
                xfce4-screenshooter, xfce4-taskmanager, xfce4-terminal,
                plugins: mailwatch, pulseaudio, wavelan, weather, xkb

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.0-1
- Xfce 4.10.0
- remove Requires: xfce-utils
- add Requires: thunar-volman, tumbler

* Sat Apr  2 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.0-1
- Xfce 4.8.0

* Fri Sep 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-2
- added Requires: xfce4-icon-theme <wishes:192>

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- XFce 4.6.1
- applied new versioning policy, spec in UTF-8

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4-0vl1
- Xfce 4.4
- delete dbh, xfce4-iconbox, xfce4-systray, xfce4-toys, xfce4-trigger-launcher, xffm, xfcalendar
- add libexo, Thunar, Terminal, mousepad, orage

* Thu Feb 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2-0vl4
- delete xfce4-themes

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2-0vl3
- Xfce 4.2.0
- add xfce4-appfinder, xfce4-icon-theme, xfce4-session*
- delete xffm-icons

* Fri Jan 09 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0-0vl2
- add xfcalendar

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0-0vl1
- initial release

%files
