Summary: Virtual package for xmonad install
Summary(ja): xmonad をインストールするための仮想パッケージ
Name: task-xmonad
Version: 1.0.0
Release: 3%{?_dist_release}
License: public domain
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Requires: xmonad xmonad-contrib xmonad-extras xmonad-utils
# Requires: xmonad xmonad-contrib xmonad-utils
Requires: xmobar stalonetray
Requires: dmenu gmrun
Requires: xorg-x11-devel
Requires: libXrandr-devel libXinerama-devel

# Conflicts: xmonad-extras

%description
This is a virtual package to install xmonad system packages.
If you use apt-get for RPM, This package will install
all packages related to xmonad automatically.

Summary(ja): xmonad 仮想パッケージ
%description -l ja
xmonad を簡単にインストールするための仮想パッケージです。
apt-get を使ってこのパッケージをインストールすることで、
関連する xmoand パッケージをすべてインストールすることができます。


%files

%changelog
* Tue Dec 18 2018 Toshiaki Ara <ara_t@384.jp> 1.0.0-3
- revert BuildRequires: xmonad-extras

* Mon Dec 17 2018 Toshiaki Ara <ara_t@384.jp> 1.0.0-2
- drop BuildRequires: xmonad-extras

* Sat Jan 13 2018 Toshiaki Ara <ara_t@384.jp> 1.0.0-1
- initial release for VineSeed

