%define ver 0.28.0
%define rel 1

Summary: a tool for searching code
Name: the_silver_searcher
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: ASL 2.0
Group: Applications/Text
URL: http://geoff.greer.fm/ag/
Source0: http://geoff.greer.fm/ag/releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pcre-devel
BuildRequires: zlib-devel
BuildRequires: xz-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
The Silver Searcher is a tool for searching code.

%prep
%setup -q
%configure

%build
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENES NOTICE README*
%{_bindir}/ag
%{_mandir}/man1/ag.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/completions

%changelog
* Fri Jan  2 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 0.28.0-1
- initial release for Vine Linux
