Name: tofrodos
Summary: Text file format converter for between DOS and UNIX
Summary(ja): DOS と UNIX のテキストファイルフォーマット相互変換ツール
Version: 1.7.13
Release: 1%{?_dist_release}
License: GPLv2
Group: Applications/Text
URL: http://www.thefreecountry.com/tofrodos/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
DOS text files traditionally have CR/LF (carriage return/line feed) pairs
as their new line delimiters while Unix text files traditionally have
LFs (line feeds) to terminate each line.

Tofrodos comprises two programs, "fromdos" and "todos", which convert
ASCII and Unicode UTF-8 text files to and from these formats. Use "fromdos"
to convert DOS text files to the Unix format, and "todos" to convert Unix
text files to the DOS format.

%prep
%setup -qn %{name}

%build
cd src/
make %{?_smp_flags}

%install
rm -rf %{buildroot}

cd src
%__install -m 755 -d %{buildroot}%{_bindir}
%__install -m 755 -d %{buildroot}%{_mandir}/man1

%__mv fromdos %{buildroot}%{_bindir}/fromdos
%__mv todos %{buildroot}%{_bindir}/todos
%__install -m 755 fromdos.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%doc COPYING readme.txt
%{_bindir}/*
%{_mandir}/man1/fromdos.1.gz

%changelog
* Sat Jul 12 2014 Toshiharu Kudoh <kudoh@vinelinux.org> - 1.7.13-1
- initial build for VineSeed
