Name:           trackballs-music
Version:        1.4
Release:        2%{?_dist_release}
Summary:        In-game music for Trackballs
Group:          Applications/Games
License:        GPLv2+ and EFML
URL:            http://sourceforge.net/projects/trackballs
Source0:        http://downloads.sourceforge.net/trackballs/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       trackballs >= 1.1.2

%description
Some great music to listen to while playing Trackballs.


%prep
%setup -q -n %{name}


%build
# Nothing to build, music only


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/trackballs/music
install -p -m 644 *.ogg $RPM_BUILD_ROOT%{_datadir}/trackballs/music


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc GPL.txt README fml.html
%{_datadir}/trackballs/music/*


%changelog
* Sun Jan 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4-2
- rebuild with VineSeed environment

* Mon Jan 03 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.4-1
- initial build for Vine Linux based on fedora development

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Hans de Goede <hdegoede@redhat.com> 1.4-1
- New upstream release 1.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-4
- Update License tag for new Licensing Guidelines compliance

* Fri Aug 18 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-3
- Add two new music tracks just released by upstream

* Tue Aug 15 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-2
- Avoid unnescesarry copy in %%prep

* Mon Aug 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-1
- Initial Fedora Extras package
