Summary: A handy little utility to display a tree view of directories.
Summary(ja): ディレクトリのツリー構造を表示するお手軽ユーティリティ。
Name: tree
Version: 1.8.0
Release: 1%{?_dist_release}
Group: accessories
Vendor: Project Vine
Distribution: Vine Linux

License: GPL2
URL: http://mama.indstate.edu/users/ice/tree/
Source: http://mama.indstate.edu/users/ice/tree/src/tree-%{version}.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Tree is a recursive directory listing program that produces a depth indented
listing of files, which is colorized ala dircolors if the LS_COLORS environment
variable is set and output is to tty.

%description -l ja
tree は再帰的にディレクトリを表示するプログラムで、ディレクトリの深さに従って
字下げしたファイルの一覧を生成します。LS_COLORS 環境変数が設定されていた場合、
dircolors の様式でカラー化して tty に出力します。


%debug_package


%prep
%setup -q


%build
%{__make} prefix=%{_prefix} MANDIR=%{_mandir}/man1


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc LICENSE
%doc CHANGES README
%{_bindir}/tree
%{_mandir}/man1/tree.1*


%changelog
* Thu Mar 04 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.8.0-1
- new upstream release.

* Sat Dec 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.6.0-2
- rebuild with VineSeed environment

* Wed Oct 12 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 1.6.0-1
- new upstream release

* Tue Dec  2 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.5.2.1-1
- new upstream release
- spec in UTF-8

* Mon May 19 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.1.1-1
- new upstream release

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.0-0vl2
- changed Group to Applications/System

* Fri Aug 20 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 1.5.0-0vl1
- Initial specfile
