Name: vine-notify-update
Summary: Vine Linux Update Notifier
Summary(ja): Vine Linux 更新通知
Version: 0.9.0
Release: 1%{?_dist_release}
Group: Applications/System
License: GPLv2
Source0: vine-notify-update-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: vala libnotify-devel gtk3-devel

%description
 This application notifies package-updates to desktop users.

%description -l ja
　デスクトップユーザにパッケージ更新を通知するアプリケーションです。

%prep
%setup -n vine-notify-update

%build
%configure
make %{?_smp_mflags}


%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%config(noreplace) %{_sysconfdir}/apt/apt.conf.d/*
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/*
%{_sysconfdir}/xdg/autostart/*
%{_bindir}/*
%{_datadir}/locale/ja/LC_MESSAGES/*
%{_datadir}/apt/scripts/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*

%changelog
* Sun Sep  6 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.9.0-1
- fixed some bugs.

* Mon Oct 15 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3-1
- fixed some bugs.

* Mon Oct 15 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.2-1
- fixed some bugs.

* Mon Oct 15 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1-1
- initial build.
