Name:		vine-rescue-guide
Version:	0.9
Release:	2%{?_dist_release}
License:	GFDL
Group:		Applications/Documentation
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	User Guide of Vine Linux rescue mode
Summary(ja):	Vine Linux レスキューモード利用ガイド

# Dependency
Obsoletes:	Vine-manual
Requires:	vine-manual-base

BuildRequires:	vine-manual-base
BuildRequires:	vine-manual-build

%description
This guide description how to use rescue mode of Vine Linux installer.

See %{_docdir}/Vine/rescue-guide/vine-rescue-guide.html after this package
is installed.

%description -l ja
このガイドは、Vine Linux インストーラーのレスキューモードを利用する方法に
ついて説明します。

このパッケージをインストール後、
%{_docdir}/Vine/rescue-guide/vine-rescue-guide.html をご覧ください。

# Prepare
%prep
%setup -q

# Build
%build
%configure
%{__make} html

# Install
%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{__make} install-html DESTDIR=${RPM_BUILD_ROOT}

# Clean
%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

# after install
%post 
scrollkeeper-update > /dev/null 2>&1 || :
vine-manual-regist -p 20 %{_docdir}/Vine/rescue-guide/vine-rescue-guide.html
vine-manual-index-update

%postun
if [ $1 -eq 0 ]; then
	scrollkeeper-update > /dev/null 2>&1 || :
	vine-manual-regist -r %{_docdir}/Vine/rescue-guide/vine-rescue-guide.html
	vine-manual-index-update
fi

# File list
%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_docdir}/Vine/rescue-guide
%{_datadir}/omf/vine-rescue-guide

# Change Log
%changelog
* Tue Oct 23 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9-2
- fixed Summary and description.

* Tue Sep 06 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9-1
- initial build for Vine Linux.


