Summary:      wmnd - WindowMaker Network Devices
Summary(ja):  wmnd - ネットワーク監視 dock app
Name:         wmnd
Version:      0.4.17
Release:      1%{?_dist_release}
License:      GPL2
URL:          http://www.yuv.info/wmnd/
Source0:      ftp://ftp.yuv.info/pub/wmnd/releases/wmnd-%{version}.tar.gz
Patch10:      wmnd_0.2.1-ppc-bitops.diff
Vendor:       Project Vine
Distribution: Vine Linux
Group:        User Interface/Desktops
BuildRequires:     libSM-devel
BuildRequires:     libX11-devel
BuildRequires:     libXpm-devel
BuildRequires:     net-snmp-devel
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
%ifarch ppc
BuildPreReq:  kernel-source
%endif


%description
WMND is a WindowMaker network device traffic monitoring dock app
based on WMiFS 1.3b and improved to suit my usage.

%description -l ja
WMND は，ネットワークトラフィックを監視する WindowMaker
ドックアプリケーションです．WMiFS 1.3b をベースに作成され，
いくつかの拡張が行われています．

%prep
%setup -q

%build
%configure
make


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

mkdir -p %{buildroot}%{_sysconfdir}
install -c -m 644 examples/wmndrc %{buildroot}%{_sysconfdir}

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL README TODO AUTHORS NEWS
%config %{_sysconfdir}/wmndrc
%{_bindir}/wmnd
%{_mandir}/man1/wmnd.1*
%{_docdir}/%{name}/examples/wmndrc


%changelog
* Sat Jul 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.17-1
- update to 0.4.17

* Sun Feb 21 2010 Shu KONNO <owa@bg.wakwak.com> 0.4.12-2
- rebuilt with new toolchain

* Tue Oct 14 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.12-1vl5
- applied new versioning policy, spec in utf-8

* Sat Sep 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.12-0vl1
- new upstream release
- s/Copyright/License/
- changed Group to User Interface/Desktops

* Wed Jun 02 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.4.9-0vl1
- source update

* Tue Feb 20 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.2.1-0vl1 (VinePlus) / 0vl2 (VineSeedPlus)
- updated to the version 0.2.1
- on ppc, bitops.h doesn't have function definitions themselves,
  so added some treatment to use bitops.c

* Thu Jan 13 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.0.4-0vl1
- initial rpm release
