Summary:        Adjust backlight brightness using RandR
Summary(ja):    RandR を利用してバックライトの輝度を調整するツール

Name:           xbacklight
Version:        1.2.0
Release:        1%{?_dist_release}

Group:          User Interface/X Hardware Support
License:        MIT
URL:            http://xorg.freedesktop.org/releases/individual/app/
Source0:        http://xorg.freedesktop.org/releases/individual/app/xbacklight-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libXrandr-devel
BuildRequires:	libXrender-devel
BuildRequires:	xcb-util-devel
BuildRequires:	xorg-x11-util-macros

%description
Xbacklight is used to adjust the backlight brightness where
supported. It finds all outputs on the X server supporting backlight
brightness control and changes them all in the same way.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/xbacklight
%{_datadir}/man/man1/xbacklight.*


%changelog
* Mon Oct 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release
- add BuildRequires: xcb-util-devel

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.2-1
- new upstream release
- add BuildRequires: xorg-x11-util-macros

* Mon Nov 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-1
- initial build for Vine Linux

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1-2
- Autorebuild for GCC 4.3

* Sat Jan 26 2008 Michel Salim <michel.sylvan@gmail.com> - 1.1-1
- Initial Fedora package
