Summary: Get rid of those Wingdows Viruses!
Summary(ja): Wingdows ウィルスを撲滅しよう!
Name: xbill
Version: 2.1
Release: 6%{?_dist_release}

License: GPLv2
Group: Applications/Games
URL: http://www.xbill.org/

Source: ftp://ftp.xbill.org/pub/xbill/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
Source2: %{name}.png

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libXaw3dXft-devel
BuildRequires: libXpm-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
Ever get the feeling that nothing is going right? You're a sysadmin,
and someone's trying to destroy your computers. The little people
running around the screen are trying to infect your computers with
Wingdows [TM], a virus cleverly designed to resemble a popular
operating system. Your objective is to click the mouse on them, ending
their potential threat. If one of the people reaches a computer, it
will attempt to replace your operating system with the virus it
carries. It will then attempt to run off the screen with your vital
software.

%description -l ja
くそ！何もかもうまくいかない。誰かがシステム管理者の俺の目を盗んでコン
ピュータをめちゃめちゃにしやがる。小人さんが画面を駆け回ってありふれた
OS そっくりににせた Wingdows (TM) ウィルスに感染させようとしているに違
いない。かくなるうえはマウスを使ってこいつらをとっつかまえて絞り上げて
やる。なんせやつらはコンピュータに付くやいなや OS をウィルスに取り替え
て、大事なソフトウェアをかっさらって逃げるからな。


%prep
%setup -q

%build
# fixed for building with libXaw3dxft
sed -i -e 's|Xaw3d|Xaw3dxft|g' configure
sed -i -e 's|X11/Xaw/|X11/Xaw3dxft/|g' x11-athena.c

LIBS="-lXpm" ./configure \
    --prefix=%{_prefix} \
    --localstatedir=/var/lib/games \
    --disable-motif \
    --enable-athena \
    --disable-gtk
make 

%install
rm -rf $RPM_BUILD_ROOT

# install desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# install icon
mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps
install -p -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps/%{name}.png

#install man6
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man6/
install -p -m0644 %{name}.6 $RPM_BUILD_ROOT/%{_mandir}/man6/%{name}.6

make DESTDIR=$RPM_BUILD_ROOT install

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT/usr/man/man6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /var/lib/games/xbill/scores
%doc README
%{_bindir}/xbill
%{_mandir}/man6/*
%{_datadir}/xbill
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Wed Jan  7 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.1-6
- linked to libXaw3dxft
- rebuilt with current VineSeed

* Sat Apr 16 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-5
- rebuilt with current VineSeed

* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 2.1-4
- spec in utf-8

* Sat Jun  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1-2
- applied new versioning policy

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1-1vl3
- rebuilt with Xaw3d-1.5E

* Fri Sep 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1-1vl2
- changed Group to Applications/Games

* Wed Feb 8 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> - 2.1-1vl1
- initial build
- summary and description from deb
- setup desktop icon
