Name: 		xfce4-cpufreq-plugin
Summary:        CPU monitor plugin for the Xfce panel
Summary(ja):    Xfce パネル用 CPU モニタプラグイン
Version:        1.1.1
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/1.1/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel >= 2.24.0
BuildRequires:  gtk2-devel >= 2.20.0
BuildRequires:  libxfce4ui-devel >= 4.9.0
BuildRequires:  libxfce4util-devel >= 4.9.0
BuildRequires:  xfce4-panel-devel >= 4.9.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
xfce4-cpufreq-plugin is a Plugin for the Xfce Panel, which shows CPU Informations

%description -l ja
xfce4-cpufreq は Xfce パネル用の CPU 情報を見るためのプラグインです。

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/libcpufreq*
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/xfce4/panel/plugins/cpufreq.desktop

%changelog
* Mon Mar  2 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.1.1-1
- new upstream release
- built with libxfce4util 4.12.1

* Sun Dec 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.1.0-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-1
- initial build for Vine Linux

