Name: 		xfce4-eyes-plugin
Summary:        Eye plugin for the Xfce4 panel
Summary(ja):    Xfce パネル用 目玉表示プラグイン
Version:        4.4.3
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/4.4/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel >= 2.20.0
BuildRequires:  gtk2-devel >= 2.14.0
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  libxfce4util-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Eyes is a xfce4 panel plugin that adds eyes which watch your every step.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/libeyes.so
%{_datadir}/icons/hicolor/*/apps/xfce4-eyes.png
%{_datadir}/xfce4/eyes
%{_datadir}/xfce4/panel/plugins/eyes.desktop

%changelog
* Mon Mar  2 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.4.3-1
- new upstream release
- built with libxfce4util 4.12.1

* Sun Dec 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.4.2-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.4.1-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.4.1-1
- initial build for Vine Linux

