Name: 		xfce4-places-plugin
Version:        1.7.0
Release: 	1%{?_dist_release}
Summary:        GNOME's Places menu plugin for the Xfce panel
Summary(ja):    Xfce パネル用 GNOME Places メニュープラグイン

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/xfce4-places-plugin

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/1.6/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  gettext
BuildRequires:  glib2-devel >= 2.22.0
BuildRequires:  gtk2-devel >= 2.14.0
BuildRequires:  intltool
BuildRequires:  libexo-devel >= 0.5.0
BuildRequires:  libICE-devel
BuildRequires:  libnotify-devel >= 0.4.0
BuildRequires:  libxfce4util-devel >= 4.8.0
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  libX11-devel
BuildRequires:  xfce4-panel-devel >= 4.8.0
BuildRequires:  xfconf-devel >= 4.6.0
Requires:  xfce4-panel >= 4.8.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	inagaki


%description
This plugin brings much of the functionality of GNOME's Places menu to Xfce.

%description -l ja
このプラグインは GNOME の Places メニューの多くの機能を Xfce に追加します．

%prep
%setup -q

%build
%configure --enable-silent-rules --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/xfce4-popup-places
%{_libdir}/xfce4/panel/plugins/libplaces.so
%{_datadir}/xfce4/panel/plugins/places.desktop

%changelog
* Sun Mar 15 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.7.0-1
- new upstream release

* Mon Mar  2 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.6.0-2
- rebuilt with libxfce4util 4.12.1

* Wed Sep 17 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.6.0-1
- initial build for Vine Linux
