Name:           xfce4-taskmanager
Version:        1.1.0
Release:        1%{?_dist_release}
Summary:        Task Manager for Xfce
Summary(ja):    Xfce タスクマネージャー

License:        GPLv2+
Group:          User Interface/Desktops
URL:            http://goodies.xfce.org/projects/applications/xfce4-taskmanager

Source0:        http://archive.xfce.org/src/apps/%{name}/1.1/%{name}-%{version}.tar.bz2

BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: cairo-devel >= 1.5.0
BuildRequires: desktop-file-utils
BuildRequires: gtk2-devel >= 2.14.0
BuildRequires: gtk3-devel >= 3.2.0
BuildRequires: libwnck3-devel >= 3.2.0

Requires:      xfce4-appfinder
Requires:      xfce4-terminal
Requires(post,postun):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, inagaki


%description
Task Manager for Xfce.

%description -l ja
Xfce デスクトップ環境向けのタスクマネージャーです．


%prep
%setup -q

%build
%configure \
    --enable-silent-rules \
    --disable-static \
    --enable-gtk3 \
    --enable-wnck3 \
    --disable-gksu 
    
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
	--add-category="X-XFCE" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications \
        $RPM_BUILD_ROOT%{_datadir}/applications/xfce4-taskmanager.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
update-desktop-database %{_datadir}/applications &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xfce4-taskmanager
%{_datadir}/applications/xfce4-taskmanager.desktop

%changelog
* Sun Mar  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.1.0-1
- updated to 1.1.0
- built with gtk3 and libwnck3
- added R: xfce4-appfinder and xfce4-terminal

* Sun Sep 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.0.1-1
- updated to 1.0.1

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.0-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.0-1
- initial build for Vine Linux

