Summary:	The zeitgeist engine data logger
Name:		zeitgeist-datahub
Version:	0.9.5
Release:	1%{?_dist_release}

Group:		User Interface/Desktops
License:	LGPLv3+
URL:		http://launchpad.net/zeitgeist-datahub

Source0:	http://launchpad.net/%{name}/0.9/0.9.5/+download/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	libzeitgeist-devel
BuildRequires:	glib2-devel gtk2-devel, vala-devel
BuildRequires:	json-glib-devel
BuildRequires:	telepathy-glib-devel
BuildRequires:	gettext, perl-XML-Parser, intltool, pkgconfig

%description
The datahub provides passive plugins which insert events into Zeitgeist.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_bindir}/zeitgeist-datahub
%{_mandir}/man1/zeitgeist-datahub.*
%{_sysconfdir}/xdg/autostart/zeitgeist-datahub.desktop

%changelog
* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.5-1
- new upstream release
- add BuildRequires: json-glib-devel, telepathy-glib-devel

* Sun Nov 20 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.7.0-3
- Initial build for Vine Linux

* Sat Apr 30 2011 Deji Akingunola <dakingun@gmail.com> - 0.7.0-2
- Package review fixes

* Sat Apr 30 2011 Deji Akingunola <dakingun@gmail.com> - 0.7.0-1
- Initial Fedora packaging
