
# Basic Information
Name:		BabelGladeExtractor
Version:	0.3dev_r547
Release:	3%{?_dist_release}
License:	BSD
Group:		Development/Tools
Source0:	%{name}-0.3dev-r547.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Babel Glade XML files translatable strings extractor
Summary(ja):	Glade XML ファイルから翻訳可能な文字列を抽出する Babel プラグイン

# Dependency
Requires:	python-babel
BuildRequires:	python-devel
BuildRequires:	python-babel
BuildRequires:	python-setuptools

%description
Babel Glade XML files translatable strings extractor

%description -l ja
Glade XML ファイルから翻訳可能な文字列を抽出する Babel プラグイン

%prep
%setup -q -n BabelGladeExtractor-0.3dev-r547

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE
%{python_sitelib}/BabelGladeExtractor-%{version}-py*.egg-info
%{python_sitelib}/babelglade

%changelog
* Sun Jul 27 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.3dev_r547-3
- rebuild with Python 2.7.7

* Tue Feb 21 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.3dev_r547-2
- rebuild with python-2.7.2

* Sun Oct 30 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.3dev_r547-1
- initial build for Vine Linux
