%define pkg_name    MMDAgent_Example
%define pkg_version 1.6
%define pkg_release 2%{?_dist_release}

Summary: MMDAgent "Sample Script"
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: Creative Commons Attribution 3.0 license
Group:   Applications/Multimedia
URL:     http://www.mmdagent.jp/

Source0: %{name}-%{version}.zip

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     ara_t


%description
The work is released as a part of MMDAgent (http://www.mmdagent.jp/).

MMDAgent is a toolkit for building voice interaction systems.
This toolkit is released for contributing to the popularization of speech technology.
We expect all users to use the toolkit in the manner not offensive to public order and morals.

Mei is a character of Nagoya Institute of Technology.
For the details, see the "COPYRIGHT.txt" files of each package in the distribution.

This project is linked to Open JTalk (open_jtalk).


%prep
%setup -q

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/hts_voice/mei
%{__install} -m 644 Voice/mei/* ${RPM_BUILD_ROOT}%{_datadir}/hts_voice/mei


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_datadir}/*


%changelog
* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 1.06-2
- correct SPEC file

* Mon Dec 28 2015 Toshiaki Ara <ara_t@384.jp> 1.06-1
- update to 1.06

* Sat Oct 10 2015 Toshiaki Ara <ara_t@384.jp> 1.4-1
- new package
