%define _fontdir %{_datadir}/fonts/%{name}

Summary: monospaced font designed for code listings
Name: OpenType-inconsolata
Version: 001.010
Release: 2%{?_dist_release}
License: SIL OFL v1.1
Group: User Interface/X
URL: http://www.levien.com/type/myfonts/inconsolata.html
Source0: http://www.levien.com/type/myfonts/Inconsolata.otf
Source1: http://www.levien.com/type/myfonts/textest.pdf
Source2: http://www.levien.com/type/myfonts/Inconsolata.sfd
Source3: http://www.levien.com/type/myfonts/Inconsolata.pfa

## OFL.txt and OFL-FAQ.txt are downloaded from http://scripts.sil.org/
Source10: OFL.txt
Source11: OFL-FAQ.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Inconsolata is a monospace font, designed for code listings and the like, 
in print. There are a great many "programmer fonts," designed primarily 
for use on the screen, but in most cases do not have the attention to 
detail for high resolution rendering. 

%prep
%setup -T -c -n %{name}-%{version}
%__cp %{SOURCE1} %{SOURCE10} %{SOURCE11} . || exit 1

%build

%install
%__rm -rf $RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%{_fontdir}
%__cp -a %{SOURCE0} $RPM_BUILD_ROOT%{_fontdir}/

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%defattr(-,root,root,-)
%doc textest.pdf OFL.txt OFL-FAQ.txt
%{_fontdir}/Inconsolata.otf

%changelog
* Sun Jan 12 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 001.010-2
- rebuilt with gcc-4.8

* Sun Jun  5 2011 Munehiro Yamamoto <munepi@vinelinux.org> 001.010-1
- Initial build.
