%define ver 20170310
%define rel 1

%define fontname noto-sans-cjk-jp
%define _fontdir %{_datadir}/fonts/OpenType-%{fontname}

Summary:Noto Sans CJK JP fonts
Name: OpenType-noto-sans-cjk-jp
Version: %{ver}
Release: %{rel}%{?_dist_release}
Source0: https://noto-website.storage.googleapis.com/pkgs/NotoSansCJKjp-hinted.zip
License: OFL
Group: User Interface/X
URL: https://www.google.com/get/noto/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
%{summary}

%prep
%setup -q -T -a 0 -c

%build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_fontdir}
%{__install} -m0644 *.otf ${RPM_BUILD_ROOT}%{_fontdir}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%defattr(-,root,root)
%doc README LICENSE_OFL.txt
%{_fontdir}

%changelog
* Thu Apr 13 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 20170310-1
- initial build for Vine Linux

