%define	_fontdir %{_datadir}/fonts/OpenType-source-sans-pro
%define _fontname SourceSansPro_FontsOnly

Summary: A set of OpenType fonts designed for user interfaces 
Summary(ja): ユーザーインターフェース向けにデザインされた OpenType フォントセット
Name: OpenType-source-sans-pro
Version: 3.006
Release: 1%{?_dist_release}
Group: User Interface/X
Vendor: Project Vine
Distribution: Vine Linux

License: OFL
URL: https://adobe-fonts.github.io/source-sans-pro/
Source:	https://github.com/adobe-fonts/source-sans-pro/releases/download/%{version}R/source-sans-pro-%{version}R.zip

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: unzip
Obsoletes: %{name}-doc < 3.006

%description
Source Sans is a set of OpenType fonts that have been designed 
to work well in user interface (UI) environments, 
as well as in text setting for screen and print.


%prep
%setup -q -n source-sans-pro-%{version}R


%clean
if test -n "%{buildroot}" && test "/" != "%{buildroot}"; then
    rm -rf %{buildroot}
fi


%build


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_fontdir}
cp -a OTF/*.otf %{buildroot}%{_fontdir}


%post
%__font_install_post %{fontdir}

%postun
%__font_install_postun %{fontdir}


%files
%defattr(-,root,root,-)
%license LICENSE.md
%doc README.md
%{_fontdir}/*.otf


%changelog
* Mon May 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.006-1
- new upstream release.

* Sun Jan 12 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 1.050-2
- rebuilt with gcc-4.8

* Sun May 05 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.050-1
- initial build for Vine Linux
