%define ver 2.005
%define rel 1

%define fontname texgyre
%define _fontdir %{_datadir}/fonts/OpenType-%{fontname}

Summary:     The TeX Gyre (TG) Collection of Fonts
Summary(ja): TeX Gyreフォントコレクション
Name:      OpenType-%{fontname}
Version:   %{ver}
Release:   %{rel}%{?_dist_release}
Source0:   http://www.gust.org.pl/projects/e-foundry/tex-gyre/whole/tg-%{version}otf.zip
Source1:   GUST-FONT-LICENSE.txt
License:   GUST Font Licens
Group:     User Interface/X
URL:       http://www.gust.org.pl/projects/e-foundry/tex-gyre
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     ara_t


%description
tex-gyre -- TeX Fonts extending freely available URW fonts
The TeX-Gyre bundle consists of six font families:

TeX Gyre Adventor is based on the URW Gothic L family of fonts
(which is derived from ITC Avant Garde Gothic,
 designed by Herb Lubalin and Tom Carnase).

TeX Gyre Bonum is based on the URW Bookman L family
(from Bookman Old Style, designed by Alexander Phemister).

TeX Gyre Chorus is based on URW Chancery L Medium Italic
(from ITC Zapf Chancery, designed by Hermann Zapf in 1979).

TeX-Gyre Cursor is based on URW Nimbus Mono L
(based on Courier, designed by Howard G. Kettler in 1955, for IBM).

TeX Gyre Heros is based on URW Nimbus Sans L
(from Helvetica, prepared by Max Miedinger, with Eduard Hoffmann in 1957).

TeX Gyre Pagella is based on URW Palladio L
(from Palatino, designed by Hermann Zapf in the 1940s).

TeX Gyre Schola is based on the URW Century Schoolbook L family
(which was designed by Morris Fuller Benton for the American Type Founders).

TeX Gyre Termes is based on the URW Nimbus Roman No9 L family of fonts
(whose original, Times, was designed by Stanley Morison together
 with Starling Burgess and Victor Lardent and first offered by Monotype).

%prep
%setup -q -T -a 0 -c

%build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_fontdir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_docdir}/%{name}
%{__install} -m0644 *.otf ${RPM_BUILD_ROOT}%{_fontdir}
%{__install} -m0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_docdir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%defattr(-,root,root)
%{_fontdir}
%{_docdir}

%changelog
* Sun Oct 08 2017 Toshiaki Ara <ara_t@384.jp> 2.005-1
- initial build for Vine Linux

