%define archivename     ttf-bitstream-vera
%define fontdir         %{_datadir}/fonts/bitstream-vera
%define __fccache	umask 133; which fc-cache >& /dev/null && fc-cache

Name:      TrueType-bitstream-vera
Version:   1.10
Release:   3%{?_dist_release}
Summary:   Bitstream Vera Fonts
Summary:   Bitstream Vera フォント
Group:     User Interface/X
License:   Redistributable, with restrictions
URL:       http://www.gnome.org/fonts/
Source:    ftp://ftp.gnome.org/pub/GNOME/sources/%{archivename}/%{version}/%{archivename}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Provides:  bitstream-vera-fonts

%description
The Vera fonts are high-quality latin fonts donated by Bitstream.
These fonts have been released under a liberal license, see
the licensing FAQ in %{_docdir}/%{name}-%{version}/COPYRIGHT.TXT or the
online up-to-date version at %{url} for details.


%prep
%setup -q -n %{archivename}-%{version}

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT

#fonts
install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf  $RPM_BUILD_ROOT%{fontdir}

# "touch" all files we've got flagged as %ghost  but which are not 
# present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1


%clean
/bin/rm -rf $RPM_BUILD_ROOT


%post
%__fccache %{fontdir} ||:


%postun
if [ "$1" = "0" ]; then
   %__fccache %{_fontdir} ||:
fi


%files
%defattr(0644,root,root,0755)
%doc *.TXT
%dir %{fontdir}
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.cache-1


%changelog
* Mon Jan 13 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 1.10-3
- built with gcc-4.8

* Fri Apr 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10-2
- rebuild with rpm-4.8.1

* Sun Oct 05 2008 Shu KONNO <owa@bg.wakwak.com> 1.10-1vl5
- applied new versioning policy, spec in utf-8

* Sun Dec 28 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10-0vl1
- initial build for Vine Linux

* Tue Jun 10 2003 Owen Taylor <otaylor@redhat.com> 1.10-1
- Base package on spec file from Nicolas Mailhot <Nicolas.Mailhot at laPoste.net>
- Cleanups from Warren Togami and Nicolas Mailhot
