%define fontname misaki
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Misaki font
Summary(ja): 美咲フォント
Version: 20150410
Release: 1%{?_dist_release}
License: m plus font license
Group: User Interface/X
URL: http://www.geocities.jp/littlimi/misaki.htm

Source0: %{fontname}_ttf_2015-04-10.zip

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Buildrequires: unzip

Requires: TrueType-%{fontname}-gothic = %{version}
Requires: TrueType-%{fontname}-mincho = %{version}
Requires: TrueType-%{fontname}-doc = %{version}

Vendor: Project Vine
Distribution: Vine Linux
Packager: kudoh

%description
Misaki font was originally made for PCE-500 SCRNJP 8×8 bitmap font.
Now, this font is provided as TrueType font.

%description -l ja
美咲フォントは元々 PC-E500 SCRNJP 用に作られた
8×8 ビットマップフォントです。
現在は TrueType フォントとして提供されています。

#-- ゴシック
%package gothic
Summary: Misaki gothic Font
Summary(ja): 美咲フォント（ゴシック体）
Group: User Interface/X
Requires: TrueType-misaki-doc

%description gothic
This package include Misaki gothic TrueType font.

%description -l ja gothic
このパッケージには美咲フォントゴシック体が含まれています。

#-- 明朝
%package mincho
Summary: Misaki mincho Font
Summary(ja): 美咲フォント（明朝体）
Group: User Interface/X
Requires: TrueType-misaki-doc

%description mincho
This package include Misaki mincho TrueType font.

%description -l ja mincho
このパッケージには美咲フォント明朝体が含まれています。

%package doc
Summary: Misaki font documents
Summary(ja): 美咲フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Misaki font
includes enduser license.

%description -l ja doc
このパッケージには美咲フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -qcT
%{_bindir}/unzip -oq %{SOURCE0}
# permission fixed
chmod -x *.txt
chmod 644 *.ttf 

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}


%post gothic
%__font_install_post %{_fontdir}

%post mincho
%__font_install_post %{_fontdir}

%postun gothic
%__font_install_postun %{_fontdir}

%postun mincho
%__font_install_postun %{_fontdir}

%files

%files gothic
%{_fontdir}/misaki_gothic.ttf

%files mincho
%{_fontdir}/misaki_mincho.ttf

%files doc
%doc *.txt

%changelog
* Tue Apr 19 2016 Toshiharu Kudoh <toshi.kd2@gmail.com> 20150410-1
- new upstream release

* Mon Jan 13 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 20120603-2
- built with gcc-4.8

* Tue Jun 19 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20120603-1
- initial build for VineSeed
