%define _unpackaged_files_terminate_build 1

Summary: Adwaita icon theme
Summary(ja): Adwaitaアイコンテーマ
Name: adwaita-icon-theme
Version: 40.1.1
Release: 1%{?_dist_release}
Group: desktop-gnome, system
Vendor: Project Vine
Distribution: Vine Linux

License: CC-BY-SA,LGPLv3
%global  shortver %(echo %{version} | cut -d . -f 1)
Source0: https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
BuildArch: noarch
Requires: hicolor-icon-theme
BuildRequires: icon-naming-utils >= 0.8.7
BuildRequires: gtk3
BuildRequires: pkgconfig
BuildRequires: librsvg2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
%{summary}


%prep
%setup -q


%build
%configure --disable-hicolor-check


%install
rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%license COPYING COPYING_CCBYSA3 COPYING_LGPL
%doc NEWS README
%{_datadir}/icons/Adwaita
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Sat May 08 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.1.1-1
- new upstream release.

* Sun Apr 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 40.0-1
- new upstream release.

* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.36.1-1
- new upstream release.

* Fri Dec 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.1-1
- new upstream release.

* Fri Jul 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20-1
- new upstream release

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.0-1
- new upstream release

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2.2-1
- new upstream release

* Fri May 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- initial build

