Version:	3.10.0
Release:	3%{?_dist_release}

Summary:	Several non-core plugins for anjuta
Name:		anjuta-extras
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.10/%{name}-%{version}.tar.xz
License:	GPL2
Group:		Applications/Development
URL: 		http://projects.gnome.org/anjuta/
Summary(ja):	anjutaのいくつかの外部プラグイン

Requires: 	anjuta
Requires:	valgrind
Requires:	graphviz
BuildRequires:	anjuta-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	valgrind
# binutils-devel for valgrind
BuildRequires:	binutils-devel
BuildRequires:	graphviz-devel
BuildRequires:	yelp-tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: yasumichi, Takemikaduchi


%description
anjuta-extras package includes class-inheritance, valgrind, profiler and
scintilla plugin.

%description -l ja
anjuta-extrasパッケージは、クラスの継承、valgrind、プロファイラおよび
scintillaプラグインを含んでいます。

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name} --all-name --with-gnome

# remove no install files

rm -f $RPM_BUILD_ROOT%{_libdir}/anjuta/libanjuta-*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/anjuta/libanjuta-*.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:



%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_libdir}/anjuta/anjuta-*.plugin
%{_libdir}/anjuta/libanjuta-*.so*
%{_datadir}/anjuta/glade/*.ui
%{_datadir}/anjuta/glade/*.png
%{_datadir}/anjuta/properties/*.properties
%{_datadir}/anjuta/ui/anjuta-sample.ui
%{_datadir}/anjuta/ui/anjuta-scintilla.xml
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/pixmaps/anjuta/anjuta-*.png
%{_datadir}/pixmaps/anjuta/anjuta-*.svg


%changelog
* Sun Jul 10 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-3
- rebuild with gcc-5.4.0

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Wed Apr 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release
- add BuildRequires: gnome-doc-utils

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release

* Tue Jan 04 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1.1-1
- new upstream release

* Sat Oct 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0.0-1
- new upstream release

* Sat Oct 09 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.30.1.0-2
- rebuilt with graphviz-2.26.3

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1.0-1
- new upstream release

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Fri Feb 26 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.0-2
- rebuild with anjuta-2.28.2.0

* Thu Nov 05 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.0-1
- first packaging.

