%define pkg_name    antiword
%define pkg_version 0.37
%define pkg_release 1%{?_dist_release}

Summary:     Converts MS Word files to text, PS, PDF and XML
Summary(ja): MS Wordファイルからテキスト、PS、PDF、XMLファイルに変換
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPLv2
Group:   Applications/Text
URL:     http://www.winfield.demon.nl/
Source0: http://agroman.net/corkscrew/linux/%{name}-%{version}.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Antiword is a free MS Word reader.
It converts the binary files from MS Word 2, 6, 7, 97, 2000 and 2003
to text, Postscript, PDF and XML.

%description -l ja
AntiwordはフリーなMS Wordリーダです。
MS Word 6, 7, 97, 2000, 2003のバイナリファイルから
テキスト、PostScript、PDF、XMLファイルに変換します。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{__make} %{?_smp_mflags}

%install
%{__make} global_install \
 GLOBAL_INSTALL_DIR=%{_bindir} \
 DESTDIR=${RPM_BUILD_ROOT}

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man1
%{__install} -m 644 Docs/antiword.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Docs/antiword.old.php Docs/antiword.php
%doc Docs/ChangeLog Docs/COPYING Docs/FAQ Docs/History Docs/QandA Docs/ReadMe
%doc Docs/Emacs Docs/testdoc.doc
%{_bindir}/
%{_datadir}/antiword/
%{_mandir}/man1/


%changelog
* Wed Apr 27 2016 Toshiaki Ara <ara_t@384.jp> 0.37-1
- new package

