Summary:	A subset of AppStream
Summary(ja):	AppStream のサブセット
Name:		appdata-tools
Version:	0.1.8
Release:	2%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Desktops
URL:		http://people.freedesktop.org/~hughsient/appdata/

Source:		http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	libappstream-glib-devel
BuildRequires:	python-lxml

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
%{summary}


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/appdata-validate
%{_datadir}/aclocal/appdata-xml.m4
%{_datadir}/appdata/schema/
%{_datadir}/emacs/site-lisp/site-start.d/appdata-rng-init.el


%changelog
* Sun Nov 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.8-2
- rebuild with libappstream-glib-0.5.2

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.8-1
- new upstream release
- add BuildRequires: libappstream-glib-devel
- remove BuildRequires:	glib2-devel, libsoup-devel, gdk-pixbuf2-devel

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.7-1
- initial build

