Summary: simple block-diagram image generator
Summary(ja): シンプルなテキストからブロック図を生成するツール
Name: blockdiag
Version: 2.0.1
Release: 1%{?_dist_release}
Group: graphics
Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

License: Apache License 2.0
URL: http://blockdiag.com/ja/
Source0: https://pypi.python.org/packages/source/b/blockdiag/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: python-rpm-macros
BuildRequires: python-devel >= 2.4
BuildRequires: python-setuptools
BuildRequires: python2-rpm-macros
Requires: python >= 2.4
Requires: python(abi) = %pyver
Requires: python-pillow
Requires: python-funcparserlib >= 0.3.4
Requires: python-webcolors

%description
blockdiag generate block-diagram image file from spec-text file.


%package -n python3-blockdiag
Summary: simple block-diagram image generator
Summary(ja): シンプルなテキストからブロック図を生成するツール
Group: graphics
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-rpm-macros
Requires: python3
Requires: python3-pillow
Requires: python3-funcparserlib
Requires: python3-webcolors

%description -n python3-blockdiag
blockdiag generate block-diagram image file from spec-text file.


%prep
%setup -q


%build
%py2_build
%py3_build


%install
%__rm -rf %{buildroot}
%py2_install
%py3_install


%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license LICENSE
%doc examples README.rst
#%{_bindir}/blockdiag
%{python_sitelib}/blockdiag-%{version}-py*.egg-info
%{python_sitelib}/blockdiag
%{python_sitelib}/blockdiag_sphinxhelper.*

%files -n python3-blockdiag
%defattr(-,root,root,-)
%license LICENSE
%doc examples README.rst
%{_bindir}/blockdiag
%{python3_sitelib}/blockdiag*
%{python3_sitelib}/__pycache__/*

%changelog
* Sun Aug 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.1-1
- new upstream release.

* Thu Nov 21 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.5.4-1
- new upstream release.
- added python3 support.

* Mon Dec 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 1.3.2-1
- update to 1.3.2

* Sun Mar  3 2013 IWAI, Masaharu <iwai@alib.jp> 1.2.4-1
- new upstream release
- add Requires: python-webcolors
- add Requires: python(abi) = %%pyver
- add Summary(ja)
- update URL: upstream moved

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.1-2
- rebuild with python-2.7.2

* Mon May 16 2011 IWAI, Masaharu <iwai@alib.jp> 0.8.1-1
- Initial build.

