Summary: Virtual package for Build essential packages
Summary(ja): 基本開発パッケージのヴァーチャルパッケージ
Name: build-essential
Version: 1.7
Release: 1%{?_dist_release}
License: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

Requires: rpm-build
Requires: gcc
Requires: gcc-c++
Requires: glibc-devel
Requires: libstdc++-devel
Requires: make
Requires: gzip
Requires: bzip2
Requires: tar
Requires: patch
Requires: findutils
Requires: coreutils
Requires: file
Requires: libtool
Requires: automake
Requires: autoconf
Requires: gettext-devel
Requires: intltool
Requires: xz
Requires: pkgconfig
Requires: unzip
Requires: libxcrypt-devel
Requires: libnsl2-devel
Requires: libtirpc-devel

%description
This is a virtual package for Build essential packages.
When You build rpm package, You need this.

%description -l ja
基本開発パッケージのヴァーチャルパッケージです。rpm のビルドを
始め開発を行う場合にはかならずインストールしてください。

%files

%changelog
* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.7-1
- added libxcrypt-devel, libnsl2-devel, libtirpc-devel.

* Tue Jun 14 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6-1
- add pkgconfig, unzip

* Thu May 19 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-1
- replace libstdc++34-devel with libstdc++-devel 

* Thu Jan  6 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.4-1
- add xz

* Sat Jul 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3-1
- add intltool

* Sun May 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2-1
- add gettext-devel instead of gettext

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.1-1vl5
- applied new versioning policy, spec in utf-8

* Sat Sep 15 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.1-0vl2
- replaced Requires: libstdc++3-devel with libstdc++34-devel

* Wed May 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-0vl1
- add gettext, coreutils
- remove fileutils
- change Group: to Development/Tools

* Sun Mar  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl2
- add fileutils, libtool, automake and autoconf to Requires.

* Fri Mar  5 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- initial package

