Name: ccache
Version: 3.1.9
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
License: GPL
Group: Development/Tools
URL: http://ccache.samba.org/
Source0: http://samba.org/ftp/ccache/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: a fast compiler cache

# From upstream post 3.1.9
Patch0: ccache-3.1.9-gcc48-tests.patch

BuildRequires: perl(File::Spec)
BuildRequires: zlib-devel >= 1.2.3

%description
ccache is a compiler cache. It acts as a caching pre-processor to C/C++
compilers, using the -E compiler switch and a hash to detect when a compilation
can be satisfied from cache. This often results in a 5 to 10 times speedup in
common compilations.

%prep
%setup -q
%patch0 -p1

%build
%configure
%__make

%install
%__rm -rf %{buildroot}
%makeinstall

%check
%__make check

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS.* GPL-3.0.txt LICENSE.* MANUAL.* NEWS.* README.*
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Fri Jan 10 2014 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.1.9-1
- new upstream release
- import Patch0 from Fedora

* Thu Jun  9 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.1.5-1
- new upstream release

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com>
- applied new versioning policy

* Tue Feb 17 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 2.4-0vl1
- Import from Vine 2.6 (But, original spec file has no changelog)
- New upstream version

