%define pkg_name    corkscrew
%define pkg_version 2.0
%define pkg_release 1%{?_dist_release}

Summary: A tool for tunneling SSH through HTTP proxies
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv2
Group:   Applications/Internet
URL:     http://agroman.net/corkscrew/
Source0: http://www.agroman.net/corkscrew/%{name}-%{version}.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Corkscrew is a tool for tunneling SSH through HTTP proxies.

Corkscrew has been compiled on :
- AIX
- HPUX
- Solaris
- FreeBSD
- OpenBSD
- NetBSD
- Linux
- Win32 (Cygwin)
- Mac OS X

Corkscrew has been tested with the following HTTP proxies :
- Gauntlet
- CacheFlow
- JunkBuster
- Squid
- Apache's mod_proxy
#'

%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{configure}
%{__make} %{?_smp_mflags}

%install
%{make_install}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/


%changelog
* Wed Apr 27 2016 Toshiaki Ara <ara_t@384.jp> 2.0-1
- new package

