Summary: C source code tree search and browse tool
Name: cscope
Version: 15.8a
Release: 1%{?_dist_release}
License: BSD
Group: Development/Tools
URL: http://cscope.sourceforge.net/

Source0: cscope-%{version}.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel
BuildRequires: bison
BuildRequires: flex

%description
cscope is a mature, ncurses based, C source code tree browsing tool. It
allows users to search large source code bases for variables, functions,
macros, etc, as well as perform general regex and plain text searches.
Results are returned in lists, from which the user can select individual
matches for use in file editing. 

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1

install -s -m 755 src/cscope $RPM_BUILD_ROOT/%{_bindir}/cscope
install -m 755 doc/cscope.1 $RPM_BUILD_ROOT/%{_mandir}/man1/cscope.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc TODO COPYING ChangeLog AUTHORS README NEWS 
%{_bindir}/cscope
%{_mandir}/man1/cscope.1*

%changelog
* Sat Feb 28 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 15.8a-1
- update to 15.8a

* Sat Jun 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp>
- new upstream release
- add BuildRequires: bison, flex

* Mon Aug 20 2001 Yoichi Imai <yoichi@silver-forest.com>
- applied new versioning policy
- s/Copyright/License/

* Mon Aug 20 2001 Yoichi Imai <yoichi@silver-forest.com>
- use macros for path
- rebuilded for Vine Linux

* Mon Jul 2 2001 Cscope development team
- Version 15.3 release
- New flex scanner
- XEmacs support improvements
- Vim support improvements
- 64 bit fixes
- MSDOS support
- More editing keys
- Webcscope added to contrib
* Wed Nov 20 2000 Cscope development team
- Version 15.1 release
- New menu and line matching interface
- Support for up to 62 (up from 9) matching lines on screen
- Numerous fixes
- Updated documentation
* Tue May 15 2000 Cscope development team
- Version 15.0bl2 (build 2) pre-alpha release
- Fixes and enhancements
- Updated documentation
- Autoconf/automake support
- directory restructuring
* Sun Apr 16 2000 Petr Sorfa <petrs@sco.com>
- Initial Open Source release
- Ported to GNU environment
- Created rpm package
