Name: eboard-extras2
Summary: eboard-extras pack 2
Summary(ja): eboard 用の駒とサウンドのオプションパック - その 2
Version: 2
Release: 3%{?_dist_release}

License:: GPL
Group: Applications/Games
URL: http://www.bergo.eng.br/eboard/

Source: ttp://prdownloads.sourceforge.net/eboard/eboard-extras-2.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: eboard >= 0.3.1
Requires: eboard >= 0.3.1

Vendor: Project Vine
Distribution: Vine Linux
Packager: IKEDA, inagaki, owa

%description
eboard-extras are packages of piece themes and sounds ready
to be used with eboard. They're optional (eboard works without them).

%description -l ja
eboard-extras は、eboard で使用できる駒テーマとサウンドのオプションパッケージ
です。

%prep
%setup -q -n eboard-extras-2

%build
%configure
make

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/eboard
touch ${RPM_BUILD_ROOT}%{_datadir}/eboard/eboard_themes.conf
make DATADIR=${RPM_BUILD_ROOT}%{_datadir}/eboard install
rm ${RPM_BUILD_ROOT}%{_datadir}/eboard/eboard_themes.conf

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README CREDITS COPYING
%{_datadir}/eboard/Adventurer.png
%{_datadir}/eboard/Altinov.png
%{_datadir}/eboard/Berlin.png
%{_datadir}/eboard/Dominical72.png
%{_datadir}/eboard/Ebony.png
%{_datadir}/eboard/Harlequin.png
%{_datadir}/eboard/Lcd.png
%{_datadir}/eboard/NutBolt.png
%{_datadir}/eboard/Primepov.png
%{_datadir}/eboard/SadGreen.png
%{_datadir}/eboard/Utretch.png
%{_datadir}/eboard/Whitney.png
%{_datadir}/eboard/Beat1.wav
%{_datadir}/eboard/Beat2.wav
%{_datadir}/eboard/Boing1.wav
%{_datadir}/eboard/Challenge1.wav
%{_datadir}/eboard/Cling1.wav
%{_datadir}/eboard/GameOver1.wav
%{_datadir}/eboard/Tick1.wav
%{_datadir}/eboard/ShallWePlay.wav
%{_datadir}/eboard/Victory1.wav
%{_datadir}/eboard/Voosh.wav
%{_datadir}/eboard/extras2.prevconf
%{_datadir}/eboard/themeconf.extras2

%changelog
* Fri Oct  3 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2-3
- rebuilt with new environment
- added BR: eboard
- updated URL

* Sun May 16 2010 Shu KONNO <owa@bg.wakwak.com> 2-2
- rebuilt with new environment

* Sat Aug 30 2008 Shu KONNO <owa@bg.wakwak.com> 2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Sep 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2-0vl4
- changed Group to Applications/Games

* Mon Aug 16 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 2-0vl3
- Rebuild for Vine Linux 3.0.

* Fri Jul 23 2004 IKEDA Katsumi <ikeda@webmaster.gr.jp> 2-0vl2
- Removed duplicated configure.
- Modified Summary(ja), description -l ja and %%indtall.

* Tue Apr 13 2004 by IKEDA Katsumi  <ikeda@webmaster.gr.jp>
- 2-0vl1
- Initial spec file.
