Name:		exfat-utils
Summary:	Utilities for exFAT file system
Summary(ja):	exFATファイルシステム用ユーティリティ
Version:	1.2.4
Release:        1%{?_dist_release}
License:	GPLv3+
Group:		System Environment/Base
Source0:	http://exfat.googlecode.com/files/exfat-utils-%{version}.tar.gz
URL:		http://code.google.com/p/exfat/
# BuildRequires:	scons

%description
A set of utilities for creating, checking, dumping and labeling exFAT file
system.

%prep
%setup -q

%build
# scons CFLAGS="%{optflags}"
%{configure}
%{__make} %{?_smp_mflags}

%install
# scons install DESTDIR=%{buildroot}/%{_bindir}
%{makeinstall}
%{__mkdir_p} %{buildroot}/%{_mandir}/man8/
%{__cp} -a dump/dumpexfat.8 %{buildroot}/%{_mandir}/man8/dumpexfat.8
%{__cp} -a fsck/exfatfsck.8 %{buildroot}/%{_mandir}/man8/exfatfsck.8
%{__ln_s} %{_mandir}/man8/exfatfsck.8 %{buildroot}/%{_mandir}/man8/fsck.exfat.8
%{__cp} -a mkfs/mkexfatfs.8 %{buildroot}/%{_mandir}/man8/mkexfatfs.8
%{__ln_s} %{_mandir}/man8/mkexfatfs.8 %{buildroot}/usr/share/man/man8/mkfs.exfat.8
%{__cp} -a label/exfatlabel.8 %{buildroot}/%{_mandir}/man8/exfatlabel.8

%files
%doc COPYING
%{_sbindir}/dumpexfat
%{_sbindir}/exfatfsck
%{_sbindir}/exfatlabel
%{_sbindir}/fsck.exfat
%{_sbindir}/mkexfatfs
%{_sbindir}/mkfs.exfat
%{_mandir}/man8/*

%changelog
* Sat Nov 17 2016 Toshiaki Ara <ara_t@384.jp>  1.2.4-1
- new upstream release

* Fri Nov 14 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 	1.0.1-1
- initial build for Vine Linux

* Sun Mar 17 2013 TingPing <tingping@tingping.se> - 1.0.1-1
- Initial package

