Name:           fuse-exfat
Summary:        Free exFAT file system implementation
Summary(ja):    フリーの exFAT ファイルシステム実装
Version:        1.2.4
Release:        1%{?_dist_release}
License:        GPLv3+
Group:          System Environment/Base
Source0:        http://exfat.googlecode.com/files/fuse-exfat-%{version}.tar.gz
URL:            http://code.google.com/p/exfat/
BuildRequires:  fuse-devel
# BuildRequires:  scons

%description
This driver is the first free exFAT file system implementation with write
support. exFAT is a simple file system created by Microsoft. It is intended
to replace FAT32 removing some of it's limitations. exFAT is a standard FS
for SDXC memory cards.
#'

%prep
%setup -q

%build
# scons CFLAGS="%{optflags}"
%{configure}
%{__make} %{?_smp_mflags}

%install
# scons install DESTDIR=%{buildroot}%{_sbindir}
%{makeinstall}
# move /usr/sbin/* to /sbin/* for automount
%{__mkdir_p} %{buildroot}/sbin
%{__ln_s} %{_sbindir}/mount.exfat %{buildroot}/sbin/
%{__mv} %{buildroot}/%{_sbindir}/* %{buildroot}/sbin/
%{__rm} -rf %{buildroot}/%{_sbindir}

%{__mkdir} -p %{buildroot}%{_mandir}/man8/
%{__cp} -a fuse/mount.exfat-fuse.8 %{buildroot}%{_mandir}/man8/mount.exfat-fuse.8
%{__ln_s} %{_mandir}/man8/mount.exfat-fuse.8 %{buildroot}%{_mandir}/man8/mount.exfat.8

%files
%doc COPYING
/sbin/mount.exfat
/sbin/mount.exfat-fuse
%{_mandir}/man8/*

%changelog
* Sat Nov 19 2016 Toshiaki Ara <ara_t@384.jp>  1.2.4-1
- new upstream release
- move /usr/sbin/* to /sbin/* for automaunt

* Fri Nov 14 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 1.0.1-1
- initial build for Vine Linux

* Sun Mar 17 2013 TingPing <tingping@tingping.se> - 1.0.1-1
- Initial package

