%global with_my_japo 0
#% global svnrevision 205
%global pretestversion b
#% global rcversion 1

Name:           gmtk           
Summary:        Library of common functions and widgets for gnome-mplayer and gecko-mediaplayer
Summary(ja):    GNOME Media Player と Gecko Media Player に共通する機能・ウィジェットに関するライブラリ
Version:        1.0.9
Release:        2%{?pretestversion:.%pretestversion}%{?svnrevision:.svn%svnrevision}%{?rcversion:.rc%rcversion}%{?_dist_release}

License:        GPLv2+
Group:		System Environment/Libraries
URL:            http://code.google.com/p/%{name}/ 
Source0:        http://code.google.com/p/%{name}/files/%{name}-%{version}%{?pretestversion:%pretestversion}%{?svnrevision:.svn%svnrevision}%{?rcversion:.rc%rcversion}.tar.%{?svnrevision:xz}%{!?svnrevision:gz}
Source10:       gmtk-snapshot.sh

## Vine
%if %{with_my_japo}
Source100:      gmtk-1.0.8a.svn205-ja.po
%endif

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  alsa-lib-devel
BuildRequires:  GConf2-devel
BuildRequires:  gettext
%if %{?_dist_release} == "vl7"
BuildRequires:  gtk3-devel
%else
%if %{?_dist_release} == "vl6"
BuildRequires:  gtk2-devel
%endif
%endif
BuildRequires:  intltool
BuildRequires:  pulseaudio-libs-devel
#Requires:       mplayer

%description
Library of common functions and widgets for gnome-mplayer and gecko-mediaplayer

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:		Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
#% setup -q %{?rcversion:-n %{name}-%{version}.rc%{rcversion}}
%setup -q %{?pretestversion:-n %{name}-%{version}%pretestversion}

## vine
%if %{with_my_japo}
%__install -m644 %{SOURCE100} po/ja.po
%endif

##
#autoreconf --install --force --verbose

%build
%configure --disable-static
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec %__rm -f {} ';'
%find_lang %{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%{_docdir}/%{name}
%{_libdir}/*.so.*

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Nov 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.0.9-2.b
- updated to 1.0.9b
- added Group tag

* Tue Sep 17 2013 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.9-1.a
- updated to 1.0.9a; this is first alpha version

* Thu Mar  7 2013 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.8-4
- new upstream release

* Wed Feb 20 2013 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.8-3.b
- updated to 1.0.8b (beta)

* Sun Feb 17 2013 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.8-2.a.svn205
- updated to svn205
- updated ja.po: gmtk-1.0.8a.svn205-ja.po

* Fri Feb  1 2013 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.8-1.a.svn198
- updated to svn198
- updated ja.po: gmtk-1.0.8a.svn198-ja.po

* Thu Nov  1 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.7-1
- new upstream release

* Mon Apr 16 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.6-3
- new upstream release

* Thu Apr  5 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.6-2.b1
- updated ja.po

* Sat Mar 24 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.6-1.b1
- new upstream release

* Fri Dec 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-1
- new upstream release

* Sat Oct 15 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-1.b1.svn56
- initial build
- updated ja.po
