Summary: Extra GNOME icons for specific devices and file types
Name: gnome-icon-theme-extras
Version: 3.12.0
Release: 1%{?_dist_release}
Source0: http://download.gnome.org/sources/%{name}/3.12/%{name}-%{version}.tar.xz
License: CC-BY-SA
BuildArch: noarch
Group: User Interface/Desktops
BuildRequires: icon-naming-utils >= 0.8.7
Requires: gnome-icon-theme >= 2.30.2.1-2

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
This package contains extra GNOME icons for specific devices and file types.

%prep
%setup -q

%build
export ac_cv_path_GTK_UPDATE_ICON_CACHE=/bin/true

%configure

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/gnome &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/gnome &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :


%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_datadir}/icons/gnome/*


%changelog
* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- initial build

