Summary:        Collection of GStreamer video effects
Name:           gnome-video-effects
Version:        0.5.0
Release:        1%{?_dist_release}
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPLv2
URL:            http://live.gnome.org/GnomeVideoEffects
%global         shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source0:        https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
Buildarch:      noarch

BuildRequires:  meson
BuildRequires:  intltool

%description
A collection of GStreamer effects to be used in different GNOME Modules.


%prep
%setup -q


%build
%meson
%meson_build


%install
%meson_install


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README
%{_datadir}/pkgconfig/gnome-video-effects.pc
%{_datadir}/gnome-video-effects


%changelog
* Mon Aug 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.5.0-1
- new upstream release.

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@seea.plala.or.jp> 0.4.0-2
- rebuild with VineSeed environment

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@seea.plala.or.jp> 0.4.0-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@seea.plala.or.jp> 0.3.0-1
- initial build for Vine Linux


* Thu Mar 10 2011 Yanko Kaneti <yaneti@declera.com> 0.3.0-1
- Update to 0.3.0.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  6 2010 Yanko Kaneti <yaneti@declera.com> 0.2.0-1
- Update to 0.2.0. New effects.

* Wed Sep  1 2010 Yanko Kaneti <yaneti@declera.com> 0.1.0-1
- Packaged for review
