%define pkg_name    hts_engine_API
%define pkg_version 1.10
%define pkg_release 2%{?_dist_release}

Summary:      The HMM-Based Speech Synthesis Engine
Summary(ja):  HMMベースの音声合成エンジンAPIのランタイムおよびアプリケーション
Name:         %{pkg_name}
Version:      %{pkg_version}
Release:      %{pkg_release}

License: Modified BSD license
Group:   Applications/Multimedia
URL:     https://osdn.jp/projects/sfnet_hts-engine/
Source0: %{name}-%{version}.tar.gz

BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     ara_t


%description
hts_engine is software to synthesize speech waveform
from HMMs trained by the HMM-based speech synthesis system (HTS).


%package devel-static
Summary: Development files for the hts_engine_API library.
Group:   Development/Libraries

%description devel-static
Header files needed to develop applications using hts_engine_API.

%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%{configure}

%build
%{__make} %{?_smp_mflags}

%install
%{make_install}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_bindir}/

%files devel-static
%defattr(-,root,root)
%{_includedir}/
%{_libdir}/*.a


%changelog
* Sun Apr 10 2016 Toshiaki Ara <ara_t@384.jp> 1.10-2
- correct SPEC file

* Mon Dec 28 2015 Toshiaki Ara <ara_t@384.jp> 1.10-1
- update to 1.10

* Thu Oct 01 2015 Toshiaki Ara <ara_t@384.jp> 1.09-1
- new package
