Name:           jetring
Version:        0.21
Release:        1%{?_dist_release}
Summary:        GPG keyring maintenance using changesets

License:        GPLv2+
URL:            http://joeyh.name/code/jetring/
Source0:        http://ftp.debian.org/debian/pool/main/j/%{name}/%{name}_%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  gnupg
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       gnupg

%description
jetring is a collection of tools that allow for GPG keyrings to be maintained
using changesets. It was developed with the Debian keyring in mind, and aims to
solve the problem that a GPG keyring is a binary blob that's hard for multiple
people to collaboratively edit.

%prep
%setup -q -n %{name}


%build
make %{?_smp_mflags}


%install
%make_install
install -Dpm 0644 jetring.7 %{buildroot}%{_mandir}/man7/jetring.7
install -d %{buildroot}%{_mandir}/man1
install -pm 0644 jetring-*.1 %{buildroot}%{_mandir}/man1


%files
%doc README
%license GPL
%{_bindir}/jetring*
%{_mandir}/man1/*
%{_mandir}/man7/*


%changelog
* Sun Nov 15 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 0.21-1
- initial build for Vine Linux

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 02 2015 Sandro Mani <manisandro@gmail.com> - 0.21-1
- Update to 0.21

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 23 2013 Sandro Mani <manisandro@gmail.com> - 0.20-3
- Add manpages

* Sun Sep 22 2013 Sandro Mani <manisandro@gmail.com> - 0.20-2
- Add missing BR
- Use smp_mflags
- Use correct homepage

* Thu Sep 19 2013 Sandro Mani <manisandro@gmail.com> - 0.20-1
- Initial package
