%define ver 1.2.1
%define rel 1

Summary: a tool and file format for losslessly compressing JPEGs
Name: lepton
Version: %{ver}
Release: %{rel}%{_dist_release}
License: ASL 2.0
Group: Applications/Graphics
URL: https://github.com/dropbox/lepton/
Source0: https://github.com/dropbox/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim

%description
Lepton is a tool and file format for losslessly compressing JPEGs by an average of 22%.
This can be used to archive large photo collections, or to serve images live and save 22% banwdith.

%prep
%setup -q
./autogen.sh
%configure

%build
%{__make} %{?_smp_mflags}

%install
%makeinstall

%check
make check

%files
%defattr(-,root,root,-)
%doc AUTHORS README.md license.txt
%{_bindir}/lepton
%{_bindir}/test_invariants

%changelog
* Sun Dec 25 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.2.1-1
- update to 1.2.1

* Sun Jul 17 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.0-1
- initial relase
