Summary:        Linux Standard Base Release Tools
Name:           lsb-release
Version:        3.1
Release:        1%{_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL2+
URL:            https://github.com/thkukuk/lsb-release_os-release
Source:         https://github.com/thkukuk/lsb-release_os-release/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
Tools from the Linux Standard Base project to determine the used distribution


%prep
%setup -q


%build
make


%install
make install INSTALL_ROOT=%{buildroot}%{_prefix}


%files
%license COPYING
%doc README
%{_bindir}/lsb?release
%{_mandir}/man1/lsb?release.1*


%changelog
* Thu Mar 18 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.1-1
- initial build for Vine Linux.
