Summary:	Simple monitor config tool for LXDE
Summary(ja):	LXDE のシンプルなモニタ設定ツール
Name:     	lxrandr
Version:	0.1.2
Release:	3%{?_dist_release}
License:	GPLv3+
Group:		User Interface/Desktops
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz

URL:		http://lxde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk2-devel >= 2.0.0 gettext libXrandr-devel
BuildRequires:  automake autoconf intltool pkgconfig
BuildRequires:  perl-XML-Parser
Requires:	libXrandr

Vendor:         Project Vine
Distribution:   Vine Linux

%description
This is a very basic monitor config tool utilizing XRandR. It can let you
change the screen resolution on the fly. Besides, when you run lxrandr
with external monitor connected, its GUI will change, and show you some 
quick options to get your projector working correctly.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/man/*


%changelog
* Thu Nov 20 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.1.2-3
- moved to User Interface/Desktops Group

* Fri Jul 18 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.2-2
- rebuilt with libpng-1.6.12

* Sun Jul 24 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.2-1
- new upstream release
- added BuildRequires: perl-XML-Parser

* Fri Jul 08 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.1-3
- rebuilt with current environment

* Fri Jul 10 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.1-2
- new upstream release
  - skipped 0.1.1-1 because missed 
- dropt Source1 and Patch0
- added %{_datadir}/man/* in %files 

* Sun Apr 12 2009 IWAI, Masaharu <iwai@alib.jp> 0.1-2
- add ja.po from upstream r1231 (Source1)
- add configure patch for ja.po (Patch0)
- add Vendor and Distribution tags
- fix License tag value
- add documents

* Fri Apr 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1-1vl5
- initial build for VineSeed (import Mandriva Package)

* Sun Jun 22 2008 Funda Wang <fundawang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 227910
- import lxrandr


