Summary: X.Org X11 libXfont2 runtime library
Summary(ja): X.Org X11 libXfont2 ランタイムライブラリ
Name: libXfont2
Version: 2.0.3
Release: 2%{?_dist_release}
License: MIT
Group: System Environment/Libraries
URL: http://www.x.org

Source0: http://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig(fontsproto)
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-xtrans-devel >= 1.0.3
BuildRequires: libfontenc-devel
BuildRequires: freetype-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
X.Org X11 libXfont2 runtime library

%package devel
Summary: X.Org X11 libXfont2 development package
Summary(ja): X.Org X11 libXfont2 開発パッケージ
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: libfontenc-devel%{?_isa}

%description devel
X.Org X11 libXfont development package

%prep
%autosetup

%build
autoreconf -v --install --force
export CFLAGS="$RPM_OPT_FLAGS -Os"
%configure --disable-static
make %{?_smp_mflags}  

%install
%make_install

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS README ChangeLog
%{_libdir}/libXfont2.so.2*

%files devel
%{_includedir}/X11/fonts/libxfont2.h
%{_libdir}/libXfont2.so
%{_libdir}/pkgconfig/xfont2.pc

%changelog
* Fri Sep 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.3-2
- rebuilt with current environment.

* Wed Feb 14 2018 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.3-1
- Initial build for VineLinux
- This package is based on libXfont2-2.0.2-1.fc28
  (Thanks to fc team)


