Summary:        Render SVG Content Using cairo
Summary(ja):	SVGコンテンツをCairoを利用してレンダリングするライブラリ
Name:           libsvg-cairo
Version:        0.1.6
Release:        3%{?_dist_release}
License:        LGPL
Group:          System Environment/Libraries
URL:            http://www.cairographics.org/
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cairo-devel, libjpeg-devel, libsvg-devel


%description
libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.

%package devel
Summary:        Render SVG Content Using cairo
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:       libsvg-devel, cairo-devel

%description devel
libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.


%prep
%setup -q

%build
%configure
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/svg-cairo.h


%changelog
* Fri Aug 08 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.6-3
- rebuilt with libpng-1.6.12

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 0.1.6-1vl5
- applied new versioning policy, spec in utf-8

* Sun Feb 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.6-0vl1
- initial build for Vine Linux partially based on opensuse package

* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires

* Wed Nov 02 2005 - sbrabec@suse.cz
- New SuSE package, version 0.1.6 (#120043).
