Summary:	The MATE menu editor
Name:		mate-menu-editor
Version:	1.6.0
Release:	2%{?_dist_release}

Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

License:	GPLv2
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-menus-devel
BuildRequires:	pygtk2-devel >= 2.15.1
BuildRequires:	pygobject-devel >= 2.13.0
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires:		pygtk2
Requires:		pygobject
Requires:		mate-menus-python
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Mozo(mate-menu-editor) is a menu editor for MATE using the
freedesktop.org menu specification.

%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang mozo


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor > /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
	touch --no-create %{_datadir}/icons/hicolor > /dev/null || :
	gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
	update-desktop-database %{_datadir}/applications >& /dev/null ||:
fi

%posttrans
gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :


%files -f mozo.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/mozo
%{python_sitelib}/Mozo
%{_datadir}/applications/mozo.desktop
%{_datadir}/icons/*/*/*
%{_datadir}/mozo/mozo.ui


%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with VineSeed environment

* Mon Sep 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- initial build

