%define ver    0.6.3b
%define vdate  20111013

Name:           mecab-naist-jdic
Summary:        NAIST Japanese Dictionary for MeCab
Version:        %{ver}.%{vdate}
Release:        3%{_dist_release}
Group:          office
Vendor:         Project Vine
Distribution:   Vine Linux

License:        BSD
URL:            https://ja.osdn.net/projects/naist-jdic/
Source0:        https://ja.osdn.net/dl/naist-jdic/%{name}-%{ver}-%{vdate}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-root
BuildArch:      noarch

BuildRequires:  mecab-devel
Requires:       mecab

%description
 NAIST-jdic is an alternative of IPAdic.

%description -l ja
　NAIST-jdic は、IPAdic の代替です。 形態素解析用辞書 IPAdic の ICOT 条項を
クリアするとともに、表記ゆれ情報、複合語情報を付与する作業を行っています。


%prep
%setup -q -n %{name}-%{ver}-%{vdate}


%build
%configure --with-charset=utf-8
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS ChangeLog INSTALL NEWS README RESULT
%{_libdir}/mecab/dic/naist-jdic
%dir %{_sysconfdir}/mecab/dic/naist-jdic
%config(noreplace) %{_sysconfdir}/mecab/dic/naist-jdic/*


%changelog
* Fri Mar 19 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.6.3b.20111013-3
- rebuilt with current environment.

* Wed Oct 30 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.6.3b.20111013-2
- rebuilt with current environment.

* Wed Oct 28 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.6.3b.20111013-1
- new upstream release.

* Thu Mar 31 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.6.3.20100801-1
- new upstream release.

* Sun Feb 21 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.6.2.20100208-1
- initial build.
