Summary: TrueType Font alias defining utility
Summary(ja): TrueType フォントの alias を定義するユーティリティ
Name: mktcapdir
Version: 0.6.0
Release: 3%{?_dist_release}
Group: User Interface/X
BuildArch: noarch

Distribution: Vine Linux
Vendor: Project Vine

License: GPL
Source: mktcapdir-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}
Requires: perl
Requires: ftdumps


%description
TrueType font alias defining utility (for xtt)

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 mktcapdir.pl $RPM_BUILD_ROOT/%{_bindir}/mktcapdir


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.Vine
%{_bindir}/*

%changelog
* Sun Mar 29 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.6.0-3
- rebuilt with VineSeed environment.

* Sat Apr 23 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.0-2
- rebuild for Vine 6

* Sat Jan 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.0-1
- do not create alias font symlink by mktcapdir.

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.5.4-1vl5
- applied new versioning policy

* Fri Jan 28 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.4-0vl2
- rebuild with new toolchains (%doc is /usr/share/doc now)
- s/Copyright/License/

* Sun Oct 06 2002 Shoji Matsumoto <shom@vinelinux.org> 0.5.4-0vl1
- update to 0.5.4
- add feature "alias with spacing" (but still has a bug...)
- fix pointsize calculation algorithm

* Wed Mar 20 2002 Shoji Matsumoto <shom@vinelinux.org> 0.5.3-0vl1
- update to 0.5.3
- exclude 0-255 from iso10646-1

* Wed Mar 13 2002 Shoji Matsumoto <shom@vinelinux.org> 0.5.2-0vl1
- update to 0.5.2
- fix alias symlink bug

* Tue Mar 12 2002 Shoji Matsumoto <shom@vinelinux.org> 0.5.1-0vl1
- update to 0.5.1
- enabled .ttfconf.alias

* Sun Mar 10 2002 Shoji Matsumoto <shom@vinelinux.org> 0.5-0vl1
- update to 0.5

* Mon Dec 03 2001 Shoji Matsumoto <shom@vinelinux.org> 0.3-0vl1
- update to 0.3

* Mon Sep 10 2001 Shoji Matsumoto <shom@vinelinux.org> 0.1-0vl0
- add pcell in mktcapdir.pl

* Sat Sep 08 2001 Shoji Matsumoto <shom@vinelinux.org> 0.1-0vl0
- create
