;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  -*- coding: utf-8-unix -*-
;;  FSF Emacs 23 用 Vine Linux mozc 設定
;;     <iwai@alib.jp>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; mozc の設定
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(setq mozc-helper-program-name "/usr/libexec/mozc_emacs_helper")

(if (or (equal emacs-ime "mozc-el")
        (equal emacs-ime "mozc"))
(progn
  (require 'mozc)

  (set-language-environment "Japanese")
  (setq default-input-method "japanese-mozc")

))

(provide 'vine-default-mozc)

;; Local Variables:
;; mode: emacs-lisp
;; End:
