%define	pkgname	CGI-SSI

# Basic Information
Name:		perl-%{pkgname}
Version:	0.92
Release:	2%{?_dist_release}
Summary:	CGI::SSI - Use SSI from CGI scripts
Summary(ja):	CGI::SSI - CGI スクリプトからの SSI の利用

Group:		Development/Libraries
License:	Artistic or GPL
URL:            http://search.cpan.org/~james/CGI-SSI/

Source0:	http://search.cpan.org/CPAN/authors/id/J/JA/JAMES/%{pkgname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# Dependency
BuildRequires:  perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi


%description
CGI::SSI - Use SSI from CGI scripts

%description -l ja
CGI::SSI - CGI スクリプトからの SSI の利用

%prep
%setup -q -n CGI-SSI-0.92

chmod -x Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} pure_install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary files.
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# generate file list
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Tue Dec 23 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.92-2
- rebuilt with perl 5.16.3

* Thu Oct 04 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.92-1
- initial build for Vine Linux
