%define real_name Class-Accessor-Fast-Contained

Summary:	Fast accessors with data containment
Name:		perl-Class-Accessor-Fast-Contained
Version:	1.01
Release:	2%{?_dist_release}
License:	Artistic or GPL+
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Class-Accessor-Fast-Contained/
Source0:	http://www.cpan.org/modules/by-module/Class/Class-Accessor-Fast-Contained-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Class::Accessor)

%description
Fast accessors with data containment.

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS="vendor"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Changes INSTALL MANIFEST META.yml README examples/
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Dec 20 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.01-2
- rebuilt with perl 5.16.3

* Tue Mar 13 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.01-1
- initial build for Vine Linux
