Summary: A perlish implementation of Java like inner classes
Name: perl-Class-Inner
Version: 0.1
Release: 3%{?_dist_release}
Group: Development/Libraries
License: GPL+ or Artistic
URL: http://search.cpan.org/dist/Class-Inner/
Source0: http://search.cpan.org/CPAN/authors/id/P/PD/PDCAWLEY/Class-Inner-%{version}.tar.gz
# Upstream RT bug 33533
Patch0:	perl-Class-Inner-0.1-perl510-testfix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl >= 5.004
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
Yet another implementation of an anonymous class with per object
overrideable methods, but with the added attraction of sort of working
dispatch to the parent class's method.

%prep
%setup -q -n Class-Inner-%{version} 
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor 
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} pure_install

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%dir %{perl_vendorlib}/Class
%{perl_vendorlib}/Class/*
%{_mandir}/man3/*.3*

%changelog
* Wed Dec 17 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.1-3
- rebuilt with perl 5.16.3

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1-2
- rebuild with perl-5.12.3

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1-1vl5
- applied new versioning policy
- added Patch0 from Fedora for fixing test on perl 5.10

* Thu Feb 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1-0vl2
- changed Group Development/Libraries

* Sat May 10 2003 IWAI Masaharu <iwai@alib.jp> 0.1-0vl1
- first build for Vine Linux
