%define real_name Data-Phrasebook-Loader-YAML

Summary:        Absract your phrases with YAML
Name:           perl-%{real_name}
Version:        0.13
Release:        1%{?_dist_release}
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Phrasebook-Loader-YAML/
Source0:        http://www.cpan.org/modules/by-module/Data/Data-Phrasebook-Loader-YAML-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Data::Phrasebook) >= 0.18
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(YAML) >= 0.35
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Absract your phrases with YAML.

%prep
%setup -q -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Changes LICENSE MANIFEST MANIFEST.SKIP README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Feb  8 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.13-1
- updated to 0.13
- built with perl 5.16.3

* Tue Mar 13 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.09-1
- initial build for Vine Linux
