%define real_name Data-Phrasebook

Summary:        Base class for Phrasebook Models
Name:           perl-%{real_name}
Version:        0.35
Release:        1%{?_dist_release}
License:        Artistic or GPL+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Phrasebook/
Source0:        http://www.cpan.org/modules/by-module/Data/Data-Phrasebook-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Module::Pluggable) >= 2.7
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Test::More) >= 0.47
Requires:       perl(Module::Pluggable) >= 2.7

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Base class for Phrasebook Models.

%prep
%setup -q -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

chmod -c -x examples/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog Changes INSTALL LICENSE MANIFEST MANIFEST.SKIP META.* README
%doc examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Nov 12 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.35-1
- updated to 0.35
- built with perl 5.16.3

* Tue Mar 13 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.31-1
- initial build for Vine Linux
