Summary: a simple generic namespace support class for perl 
Name: perl-XML-NamespaceSupport
Version: 1.12
Release: 2%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux

License: distributable
URL: https://metacpan.org/pod/XML::NamespaceSupport
Source0: https://cpan.metacpan.org/authors/id/P/PE/PERIGRIN/XML-NamespaceSupport-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: perl >= 2:5.34.0
Requires: perl >= 2:5.34.0

%{?perl_default_filter}

%description
 This module offers a simple to process namespaced XML names 
(unames) from within any application that may need them. It 
also helps maintain a prefix to namespace URI map, and provides 
a number of basic checks.


%prep
%setup -q -n XML-NamespaceSupport-%{version} 


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?__smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT


%check
make test


%clean 
rm -rf $RPM_BUILD_ROOT


%files
%doc README Changes
%{perl_vendorlib}/XML/
%{_mandir}/man?/*


%changelog
* Sat Nov 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.12-2
- rebuilt with perl-5.34.0.

* Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.12-1
- new upstream release.
- rebuilt with perl-5.26.

* Tue Jul 1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.11-1
- new upstream release.

* Fri May 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.09-2
- rebuild with perl-5.12.3

* Fri May 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.09-1
- new upsteram release
- used vendor_perl dir
- changed Group to Development/Libraries
- rebuilt with perl 5.10.0-2

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 1.08-0vl2
- build on perl-5.8.6-0vl1

* Sun Oct 17 2004 Satoshi MACHINO <machino@vinelinux.org> 1.08-0vl1
- new upstream version
- changed to License

* Mon Apr 15 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.04-0vl1
- first build for Vine Linux
