Summary:        Postfix SRS forwarding agent
Summary(ja):    Postfix SRS 転送エージェント
Name:           postforward
Version:        1.1.1
Release:        1%{?_dist_release}

Vendor:         Project Vine
Distribution:   Vine Linux

License:        BSD
URL:            https://github.com/zoni/postforward
Source0:        https://github.com/zoni/postforward/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Requires:       postsrsd
BuildRequires:  golang
BuildRoot:      %{_tmppath}/%{name}-%{version}-root


%description
 Postforward is a mail forwarding utility which aims to compliment the Postfix
Sender Rewriting Scheme daemon (PostSRSd).

%description -l ja
　Postforwardは、Postfix Sender Rewriting Schemeデーモン（PostSRSd）を補完
することを目的としたメール転送ユーティリティです。


%prep
%setup -q


%build
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
install -m755 postforward %{buildroot}%{_sbindir}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%license LICENSE.txt
%doc README.md CHANGES.md
%{_sbindir}/*


%changelog
* Thu Apr 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.1-1
- initial build for Vine Linux
