Summary: Python kanji-code module
Summary(ja): Python 漢字コード変換モジュール
Name: python-pykf
Version: 0.3.4
Release: 8%{?_dist_release}
Group: programming
Distribution: Vine Linux
Vendor: Project Vine
Packager: owa

License: BSD like
URL: http://www.gembook.jp/tsum/page.pys?wiki=PyKf
Source0: http://www.gembook.jp/html/download/pykf-%{version}.tgz
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-rpm-macros
BuildRequires: python2-rpm-macros
BuildRequires: nkf
Requires(pre): nkf
Requires: python >= 2.3
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
pykf is a japanese code exchange filter for python.
%description -l ja
pykf は ShiftJIS, EUC-JP, JISコードを相互に変換するためのモジュールです.


%prep
%setup -n pykf-%{version}
nkf -e readme.sjis > readme.euc


%build
%py2_build


%install
%py2_install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{python2_sitearch}/*.so
%{python2_sitearch}/*.egg-info
%doc readme.euc


%changelog
* Wed Aug 19 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.4-8
- rebuilt with current environment.

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.4-7
- rebuild with VineSeed environment

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.4-6
- rebuild with python-2.7.2

* Sun May 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.4-5
- add BuildRequires: python-devel, nkf

* Mon May 02 2011 Shu KONNO <owa@bg.wakwak.com> 0.3.4-4
- rebuilt

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.3.4-3
- rebuild with python-2.6

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.4-2vl5
- rebuilt with python-2.5.2

* Thu Jul 17 2008 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.4-1vl5
- applied new versioning policy and spec in utf-8
- added python_platlib macro

* Sat May 28 2005 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.4-0vl1
- changed spec for vine seed
- updated pykf to 0.3.4

* Mon Mar 21 2005 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.3-uvl3
- rebuild with python 2.4

* Mon Apr 19 2004 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.3-uvl2
- rebuild with python-2.3.3-0vl1

* Sat Feb 28 2004 Shu KONNO <owa@bg.wakwak.com> python2.3-pykf-0.3.3-uvl1
- renamed

* Sat Sep  6 2003 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.3
- modified

* Sat Apr 19 2003 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.0-1
- created

