Name:           raw-thumbnailer
Version:        3.0.0
Release:        2%{?_dist_release}
Summary:        Nautilus file manager thumbnailer for RAW images

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://libopenraw.freedesktop.org/wiki/RawThumbnailer
Source0:        http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires(post): shared-mime-info
Requires(postun): shared-mime-info

BuildRequires:  libgsf-devel
BuildRequires:  libopenraw-gnome-devel >= 0.0.9
BuildRequires:  gtk3-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
RawThumbnailer is a thumbnailer for RAW files that works with Nautilus.

%prep
%setup -q


%build
%configure --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root,-)
%{_bindir}/raw-thumbnailer
%{_datadir}/mime/packages/*.xml
%doc AUTHORS COPYING NEWS ChangeLog
%{_datadir}/thumbnailers/raw.thumbnailer


%changelog
* Fri Jan  3 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 3.0.0-2
- build with current VineSeed

* Mon Jan 14 2013 IWAI, Masaharu <iwai@alib.jp> 3.0.0-1
- new upstream release
- update GTK version
 - drop BuildRequires: gtk2-devel
 - add BuildRequires: gtk3-devel
- drop BuildRequires: gnome-vfs2-devel, perl(XML::Parser)
- drop Requires: GConf2 for scripts
- add Requires(post,postun): shared-mime-info
- add BuildRequires: libopenraw-gnome-devel version
- drop GConf schemas file and GConf scripts by upstream
- add ChangeLog file in %%doc
- add missing changelog for 0.0.8-1
- add Vendor and Distribution tags

* Mon Jun 13 2011 IWAI, Masaharu <iwai@alib.jp> 0.0.8-1
- initial build for Vine Linux

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 22 2010 Victor Bogado <victor@bogado.net> - 0.99.1-5
- License tag
- gconf schemas don't recieve the "config" macro.

* Mon Feb 08 2010 Victor Bogado <victor@bogado.net> - 0.99.1-4
- More adjustments, fine tunnings, sugjested by ELMORABITY Mohamed in (https://bugzilla.redhat.com/show_bug.cgi?id=533887#c6).

* Wed Dec 30 2009 Victor Bogado <victor@bogado.net> - 0.99.1-3
- Fixed problems pointed out by ELMORABITY Mohamed in (https://bugzilla.redhat.com/show_bug.cgi?id=533887#c2).

* Mon Nov 09 2009 Victor Bogado <victor@bogado.net> - 0.99.1-2
- Compleated some missing some build requires.

* Mon Nov 09 2009 Victor Bogado <victor@bogado.net> - 0.99.1-1
- Initial spec file
