
# Basic Information
Name:		remake
Version:	3.82
Release:	2%{?_dist_release}
License:	GPLv3+
Group:		Development/Tools
URL:		http://bashdb.sourceforge.net/remake/
Source0:	%{name}-%{version}+dbg-0.7.tar.gz
Source1:	https://github.com/rocky/remake/raw/master/implicit.h
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	GNU Make Debugger, Remake
Summary(ja):	GNU Make デバッガー Remake

# Dependency
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildRequires:	perl
BuildRequires:	readline-devel

%description
remake is a patched version of GNU Make that adds improved error reporting,
the ability to trace execution in a comprehensible way, and a debugger.

%description -l ja
remake は、GNU Make にエラー報告の改良、理解可能な方法でトレースを実行する
能力、およびデバッガーを追加するパッチを適用したバージョンです。

%prep
%setup -q -n remake-3.82+dbg-0.7
cp %{SOURCE1} .

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{_infodir}/dir

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/remake
%{_infodir}/remake.info*
%{_mandir}/man1/remake.1*


%changelog
* Sun Aug 02 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.82-2
- rebuild with readline-6.3

* Sat Oct 15 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.82-1
- initial build for Vine Linux
