%define libdir %{_prefix}/lib

Summary:	Shared code for ROX applications
Name: 		rox-lib2
Version: 	2.0.6
Release: 	3%{?_dist_release}
Source0: 	%{name}-%{version}.tar.bz2
Source2:	rox-lib2-2.0.5.ja.po
License: 	GPL
Group: 		User Interface/Desktops
URL: 		http://roscidus.com/desktop/ROX-Lib/
Vendor:  	Project Vine
Distribution:	Vine Linux
Packager:	OKATANA <mkato@par.odn.ne.jp,mosaicist@jcom.home.ne.jp>
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch: 	noarch
Requires: 	python pygtk2
Requires: 	rox-filer
Obsoletes: 	rox-lib

%description
ROX-Lib contains shared code which can be used by other ROX applications. 
(it's all python).  '

%description -l ja
ROX-Lib は ROX 用アプリケーションから使用可能な共有コードを含んだライブラ
リです。(それらはすべて python で書かれています)

%prep
%setup -q
%__cp %{SOURCE2} ROX-Lib2/Messages/ja.po
pushd ROX-Lib2/Messages/
./dist
popd

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{libdir}
chmod a-x ROX-Lib2/python/rox/templates.py
cp -r ROX-Lib2 %{buildroot}/%{libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ROX-Lib2/Help/README
%{libdir}/ROX-Lib2/

%changelog
* Thu Dec 26 2013 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 2.0.6-3
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- rebuild with gcc-4.8

* Mon Jan 23 2012 TANAKA hiroaki <mosaicist@par.odn.ne.jp> 2.0.6-2
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- rebuild by rpm-4.8

* Sat Sep 12 2009 KATO Masashi <mkato@par.odn.ne.jp> 2.0.6-1
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- new upstream release

* Mon Jul 21 2008 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 2.0.3-0vl1,2
- source update

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 2.0.3-1vl5
- rebuilt with python-2.5.2
- applied new versioning policy

* Sun Aug  6 2006 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 2.0.3-0vl1,2
- rebuild for new Requires rox-filer

* Sat Oct 15 2005 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 2.0.2-0vl,2
- initial package for vine linux

