%define pkg_version   1.2
%define pkg_release   1%{?_dist_release}

%define GIN_VER   2.1.2
%define GWT_VER   2.8.1
%define JUNIT_VER 4.9b3

Summary: gwt source files for RStudio
Name:    rstudio-gwt
Version: %{pkg_version}
Release: %{pkg_release}

License: AGPLv3
Group:   Applications/Edutainment
URL:     https://www.rstudio.com/

Source0: https://s3.amazonaws.com/rstudio-buildtools/gin-%{GIN_VER}.zip
Source1: https://s3.amazonaws.com/rstudio-buildtools/gwt-%{GWT_VER}.zip
Source2: https://s3.amazonaws.com/rstudio-buildtools/junit-%{JUNIT_VER}.jar

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t

%description
gwt source files for RStudio


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__mkdir_p} ${RPM_BUILD_ROOT}/usr/src/%{name}
%{__cp} \
 %{SOURCE0} %{SOURCE1} %{SOURCE2} \
 ${RPM_BUILD_ROOT}/usr/src/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
/usr/src/rstudio-gwt/


%changelog
* Mon Oct 28 2019 Toshiaki Ara <ara_t@384.jp> 1.2-1
- update for RStudio-1.2

* Wed Aug 03 2016 Toshiaki Ara <ara_t@384.jp> 1.1-1
- new package
