Summary: List or change SCSI disk parameters
Summary(ja): SCSI ディスクパラメータの一覧表示や変更を行うためのツール
Name: sdparm
Version: 1.08
Release: 1%{?_dist_release}
License: BSD
Group: Applications/System
URL: http://sg.danny.cz/sg/sdparm.html

Source: http://sg.danny.cz/sg/p/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SCSI disk parameters are held in mode pages. This utility lists or
changes those parameters. Other SCSI devices (or devices that use
the SCSI command set) such as CD/DVD and tape drives may also find
parts of sdparm useful. Requires the linux kernel 2.4 series or later.
In the 2.6 series any device node the understands a SCSI command set
may be used (e.g. /dev/sda). In the 2.4 series SCSI device node may be used.

Fetches Vital Product Data pages. Can send commands to start or stop
the media and load or unload removable media.

Warning: It is possible (but unlikely) to change SCSI disk settings
such that the disk stops operating or is slowed down. Use with care.

%prep
%setup -q

%build
%configure

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING CREDITS README notes.txt
%{_bindir}/sas_disk_blink
%{_bindir}/scsi_ch_swp
%{_bindir}/sdparm
%doc %{_mandir}/man8/sas_disk_blink.8*
%doc %{_mandir}/man8/scsi_ch_swp.8*
%doc %{_mandir}/man8/sdparm.8*

%changelog
* Sun Nov  2 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.08-1
- updated to 1.08
- added Japanese summary

* Sun Feb 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.05-2
- rebuild with Vine6 environment

* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.05-1
- new upstream release
- built with new toolchain

* Sun Sep  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.03-1
- new upstream release
- applied new versioning policy

* Sun Nov 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.00-0vl1
- initial package for Vine Linux based on DAG package

* Tue Oct 17 2006 Dag Wieers <dag@wieers.com> - 1.00-1 - +/
- Initial package. (based on upstream package)
