Summary: SGPIO captive backplane tool
Summary(ja): SGPIO バックプレーンツール
Name: sgpio
Version: 1.2.1
Release: 1%{?_dist_release}
Group: System Environment/Base
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2+
URL: http://www.sourceware.org/lvm2/wiki/DMRAID_Eventing
Source: http://www.sourceware.org/lvm2/wiki/DMRAID_Eventing?action=AttachFile&do=get&target=sgpio-%{version}.tgz#/sgpio-%{version}.tgz
# there is no official download link for the latest package
#Source: http://sources.redhat.com/lvm2/wiki/DMRAID_Eventing?action=AttachFile&do=get&target=sgpio-1.2.tgz
Patch0: sgpio-1.2-makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: nkf

%description
Intel SGPIO enclosure management utility

%description -l ja
Intel SGPIO エンクロージャ管理ユーティリティ

%prep
%setup -q -n sgpio
%patch0 -p1 -b .makefile
nkf --unix --in-place README
chmod a-x *

%build
#@@@ workaround for #474755 - remove with next update
make clean
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT SBIN_DIR=$RPM_BUILD_ROOT/sbin MANDIR=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%license LICENSE_GPL
%doc README
/sbin/sgpio
%{_mandir}/man1/sgpio.*

%changelog
* Sat Mar 28 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.1-1
- new upstream release.

* Wed Apr 06 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0.10-1
- initial build for Vine Linux

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun  1 2009  Jiri Moskovcak <jmoskovc@redhat.com> 1.2.0.10-3
- rebuild for F12

* Tue Apr 14 2009  Jiri Moskovcak <jmoskovc@redhat.com> 1.2.0.10-2
- move the EOL conversion and the removal of 
  executable bits from %%install to %%prep section

* Wed Dec 10 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.2.0_10-1
- initial Fedora release
