%define name silvercity
%define srcname SilverCity
%define version 0.9.7
%define release 4%{?_dist_release}
%define pyexeclib %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')

Summary: lexing analyzer for over 20 programming and markup langauges
Summary(ja): 20 以上のプログラミング言語とマークアップ言語用の構文解析器
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/silvercity/%{srcname}-%{version}.tar.gz
Patch0: SilverCity-0.9.7-shebang.diff
License: redistributable
Group: Applications/Text
URL: http://silvercity.sourceforge.net/

Requires: python
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
SilverCity is a lexing package, based on Scintilla,
that can provide lexical analysis for over 20 programming
and markup langauges.

Scripting language bindings currently exist for Python. 

%description -l ja
SilverCity は Scintilla ベースの構文解析器です。
20 以上のプログラミング言語とマークアップ言語の
構文を解析できます。

スクリプト言語のバインディングは現在 Python 用のものが
提供されています。

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{_bindir}/*
%{pyexeclib}/SilverCity/
%{python_sitearch}/SilverCity*.egg-info

%changelog
* Fri Sep 02 2016 Toshiaki Ara <ara_t@384.jp> 0.9.7-4
- rebuild with gcc-5.4.0

* Wed Feb 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.7-3
- rebuilt with python-2.7.2

* Sat Mar 20 2010 Shu KONNO <owa@bg.wakwak.com> 0.9.7-2
- rebuilt with python-2.6

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.7-1vl5
- rebuilt with python-2.5.2
- applied new versioning policy and spec in utf-8
- added pyexeclib macro

* Tue Aug 28 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.9.7-0vl2
- initial build for Vine Linux
- add Patch0 to have cgi-styler-form.py work correctly
