Name:         sl
Summary:      Just install and type 'sl' and you'll understand.
Summary(ja):  インストールして単に 'sl' とタイプすれば分かるでしょう :-)
Version:      5.1
Release:      1%{?_dist_release}

Source0:      %{name}-%{version}.tar.gz

License:      Copyright 1993,1998,2014 Toyoda Masashi (mtoyoda@acm.org)
Group:        Applications/Other

Buildroot:    %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel

Distribution: Vine Linux
Vendor:       Project Vine

Packager: inagaki

%description
sl is an highly developed animation programm,
which corrects your miss typing.

%description -l ja
sl は、高度に発達したアニメーションプログラムであり、
キータイプ矯正を目的としています。

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_mandir}/ja/man1

install sl $RPM_BUILD_ROOT%{_bindir}
install sl.1 $RPM_BUILD_ROOT%{_mandir}/man1
install sl.1.ja $RPM_BUILD_ROOT%{_mandir}/ja/man1/sl.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README.ja.md README.md
%{_bindir}/sl
%{_mandir}/man1/sl.1*
%{_mandir}/ja/man1/sl.1*

%changelog
* Sat Sep  6 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 5.1-1
- updated to 5.1 (source is retrieved from github)

* Sat Apr 16 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-4
- rebuilt with current VineSeed

* Fri Jul  3 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-3
- spec in UTF-8

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-2
- applied new versioning policy

* Sat Jul  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-1vl6
- s/Copyright/License/
- changed Group to Applications/Other

* Sat May 17 2003 KAZUKI SHIMURA <rito@pos.to> 1.0-1vl5
- added clean section
- added -q option to %%setup
- separated Japanese description

* Tue Jan 23 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.0-1vl4
- based on 1.0-1vl3 from old VinePlus (really?)
- use better macros and modified Patch0
