Summary: Tango Icon Theme
Summary(ja): Tango デスクトップアイコンテーマ
Name: tango-icon-theme
Version: 0.8.90
Release: 2%{?_dist_release}

License: Creative Commons Attribution-ShareAlike 2.5
Group: User Interface/Desktops
URL: http://tango.freedesktop.org/Tango_Icon_Library

Source0: %{name}-%{version}.tar.bz2
Patch10: %{name}-0.7.1-smaller-emblems.patch

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ImageMagick-devel
BuildRequires: icon-naming-utils >= 0.8.90

Distribution: Vine Linux
Vendor: Project Vine
Packager: inagaki

%description
Contains the tango icons provided by the Tango Desktop Project

%description -l ja
Tango デスクトッププロジェクトで提供されているアイコンテーマ
が含まれています.

%prep
%setup -q
%patch10 -p1 -b .smaller-emblems

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS
%{_datadir}/icons/Tango

%changelog
* Sat Dec 13 2014 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.90-2
- rebuilt on current VineSeed
- BR: ImageMagick-devel instead of ImageMagick
- updated URL

* Sun May  1 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.90-1
- updated to 0.8.90

* Tue Jun  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.1-2
- spec in UTF-8

* Mon Jun  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.1-1
- applied new versioning policy
- added BuildRequires: icon-naming-utils

* Sun Sep 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.1-0vl1
- new upstream release

* Mon Jul 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.0-0vl1
- new upstream release

* Mon Apr 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl3
- correct License to Creative Commons.

* Mon Apr 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl2
- modify index.theme to fix too large emblems

* Thu Mar 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl1
- initial build

