Summary: Virtual package for GNOME
Summary(ja): GNOME バーチャルパッケージ
Name: task-gnome
Version: 3.20.2
Release: 1%{?_dist_release}
License: GPL
Group: User Interface/Desktops

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>, Takemikaduchi

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
Obsoletes: task-gnome2 < 2.2.0, task-gnome2-devel < 2.2.0
Obsoletes: task-nautilus
Provides: task-gnome3 = %{version}-%{release}

# libraries
Requires: atk >= 2.20.0
Requires: cairo >= 1.14.6
Requires: cogl >= 1.22.0
Requires: clutter >= 1.26.0
Requires: clutter-gtk >= 1.8.0
Requires: pango >= 1.40.1
Requires: glib2 >= 2.48.1
Requires: gdk-pixbuf2 >= 2.34.0
Requires: gobject-introspection >= 1.48.0
Requires: gjs >= 1.42.0
Requires: gtk2 >= 2.24.30
Requires: gtk3 >= 3.20.6
Requires: gtksourceview3 >= 3.20.4
Requires: libgnome-keyring >= 3.12.0
Requires: libgnomekbd >= 3.6.0
Requires: libgweather >= 3.20.1
Requires: libgtop2 >= 2.34.0
Requires: librsvg2 >= 2.40.16
Requires: libsecret >= 0.18.5
Requires: libsoup >= 2.54.1
Requires: libwnck3 >= 3.20.1
Requires: libxklavier >= 5.3
Requires: libxml2 >= 2.9.4
Requires: libxml2-python >= 2.9.2
Requires: libxslt >= 1.1.28
Requires: pygobject3 >= 3.20.1
Requires: vte3 >= 0.44.2

# support utilities/libs
Requires: dconf >= 0.26.0
Requires: gtk2-engines >= 2.20.1
Requires: gtk3-engines >= 2.91.1
Requires: gamin >= 0.1.10
Requires: gstreamer1 >= 1.8.2
Requires: gstreamer1-plugins-base >= 1.8.2
Requires: gstreamer1-plugins-good >= 1.8.2
Requires: gstreamer1-plugins-bad-free >= 1.8.2
Requires: hicolor-icon-theme >= 0.12
Requires: gnome-themes >= 3.0.0
Requires: gnome-themes-standard >= 3.14.0
Requires: vine-themes >= 7.0
Requires: desktop-file-utils >= 0.22
Requires: pulseaudio >= 9.0
Requires: pulseaudio-utils >= 9.0
Requires: pulseaudio-module-x11 >= 9.0
Requires: startup-notification >= 0.12
Requires: usermode >= 1.107
Requires: usermode-gtk >= 1.107
Requires: gvfs >= 1.28.2
Requires: gvfs-afc >= 1.28.2
Requires: gvfs-archive >= 1.28.2
Requires: gvfs-fuse >= 1.28.2
Requires: gvfs-gphoto2 >= 1.28.2
Requires: gvfs-smb >= 1.28.2

# applications
Requires: NetworkManager >= 1.0.12
Requires: network-manager-applet >= 1.0.10
Requires: adwaita-icon-theme >= 3.20
Requires: baobab >= 3.20.1
Requires: brasero >= 3.12.1
Requires: brasero-libs >= 3.12.1
Requires: brasero-nautilus >= 3.12.1
Requires: caribou >= 0.4.21
Requires: cheese >= 3.20.2
Requires: control-center >= 3.20.1
Requires: eog >= 3.20.3
Requires: epiphany >= 3.20.3
Requires: evince >= 3.20.1
Requires: evince-dvi >= 3.20.1
Requires: evolution >= 3.20.4
Requires: evolution-bogofilter >= 3.20.4
Requires: evolution-data-server >= 3.20.4
Requires: evolution-help >= 3.20.4
Requires: evolution-spamassassin >= 3.20.4
Requires: file-roller >= 3.20.2
Requires: gdm >= 3.20.1
Requires: gedit >= 3.20.2
Requires: gimp >= 2.8.16
Requires: gnome-color-manager >= 3.18.0
Requires: gnome-clocks >= 3.20.1
Requires: gnome-desktop3 >= 3.20.2
Requires: gnome-dictionary >= 3.20.0
Requires: gnome-disk-utility >= 3.20.2
Requires: gnome-font-viewer >= 3.20.2
Requires: gnome-games >= 3.8.0
Requires: gnome-icon-theme >= 3.12.0
Requires: gnome-icon-theme-symbolic >= 3.12.0
Requires: gnome-keyring >= 3.20.0
Requires: gnome-keyring-pam >= 3.20.0
Requires: gnome-mime-data >= 2.18.0
Requires: gnome-music >= 3.20.2
Requires: gnome-power-manager >= 3.20.0
Requires: gnome-photos >= 3.20.2
Requires: gnome-screenshot >= 3.18.0
Requires: gnome-search-tool >= 3.6.0
Requires: gnome-session >= 3.20.2
Requires: gnome-settings-daemon >= 3.20.1
Requires: gnome-shell >= 3.20.3
Requires: gnome-system-log >= 3.8.1
Requires: gnome-system-monitor >= 3.20.1
Requires: gnome-terminal >= 3.20.2
Requires: gnome-tweak-tool >= 3.20.1
Requires: gnome-user-docs >= 3.20.2
Requires: gnome-weather >= 3.20.1
Requires: gnote >= 3.20.1
Requires: grilo >= 0.3.1
Requires: grilo-plugins >= 0.3.2
Requires: gsettings-desktop-schemas >= 3.20.0
Requires: gucharmap >= 3.18.2
Requires: ibus-gtk3 >= 1.5.13
Requires: inkscape >= 0.91
Requires: metacity >= 3.20.2
Requires: mutter >= 3.20.3
Requires: nautilus >= 3.20.2
Requires: seahorse >= 3.20.0
Requires: shotwell >= 0.23.2
Requires: sound-juicer >= 3.20.0
Requires: totem >= 3.20.1
Requires: totem-pl-parser >= 3.10.6
Requires: tracker >= 1.8.0
Requires: vinagre >= 3.18.2
Requires: vine-menus >= 3.2
Requires: vino >= 3.20.2
Requires: yelp >= 3.20.1
Requires: yelp-tools >= 3.18.0
Requires: yelp-xsl >= 3.20.1
Requires: zenity >= 3.20.0


Obsoletes: bonobo-activation
Obsoletes: fontilus, themus
Conflicts: ee
Obsoletes: ee
Conflicts: gnome-vfs < 1.0.5
Conflicts: sawfish <= 1.1
Obsoletes: sawfish <= 1.1

%description
This is a virtual package to install GNOME3 system packages.
If you use apt-get for RPM, This package will install
all packages related to GNOME3 automatically.
** This is experimental package **

%description -l ja
GNOME を簡単にインストールするための仮想パッケージです。
apt-get を使ってこのパッケージをインストールすることで、
関連する GNOME パッケージをすべてインストールすることができます。

%package devel
Summary: Development files for GNOME3 virtual package
Summary(ja): GNOME3 開発用バーチャルパッケージ
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: atk-devel >= 2.20.0
Requires: cairo-devel >= 1.14.6
Requires: cogl-devel >= 1.22.0
Requires: clutter-devel >= 1.26.0
Requires: clutter-gtk-devel >= 1.8.0
Requires: pango-devel >= 1.40.1
Requires: glib2-devel >= 2.48.1
Requires: gdk-pixbuf2-devel >= 2.34.0
Requires: gobject-introspection-devel >= 1.48.0
Requires: gjs-devel >= 1.42.0
Requires: gtk2-devel >= 2.24.30
Requires: gtk3-devel >= 3.20.6
Requires: gtksourceview3-devel >= 3.20.4
Requires: libgnomekbd-devel >= 3.6.0
Requires: libgweather-devel >= 3.20.1
Requires: libgtop2-devel >= 2.34.0
Requires: librsvg2-devel >= 2.40.16
Requires: libsecret-devel >= 0.18.5
Requires: libsoup-devel >= 2.54.1
Requires: libwnck3-devel >= 3.20.1
Requires: libxklavier-devel >= 5.3
Requires: libxml2-devel >= 2.9.4
Requires: libxslt-devel >= 1.1.28
Requires: pygobject3-devel >= 3.20.1
Requires: vte3-devel >= 0.44.2
Requires: brasero-devel >= 3.12.1
Requires: gnome-settings-daemon-devel >= 3.20.1
Requires: evince-devel >= 3.20.1
Requires: evolution-devel >= 3.20.4
Requires: evolution-data-server-devel >= 3.20.4
Requires: gucharmap-devel >= 3.18.2
Requires: grilo-devel >= 0.3.1
Requires: totem-pl-parser-devel >= 3.10.6
Requires: metacity-devel >= 3.20.2


%description devel
This is a virtual package for GNOME3 development files.


%files

%files devel

%changelog
* Sun Jul 31 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.2-1
- update to 3.20.2

* Fri Nov 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.2-1
- update to 3.18.2

* Fri Nov 06 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.18.1-1
- update to 3.18.1

* Wed Jun 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- update to 3.16.2
- remove evolution-data-server-doc

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- update to 3.16.0
- fix Requires of task-gnome
  - remove gvfs-obexftp

* Sun Nov 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- update to 3.14.1
- fix Requires of task-gnome
  - remove banshee, tomboy, GConf2
  - add gnote, grilo-plugins

* Wed Jul 16 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 3.12.0-2
- add R: vine-themes instead of gnome-themes

* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- fix Requires of task-gnome
  - add gnome-clocks, gnome-weather, gnome-photos, gnome-music
  - remove libgnome

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- fix Requires of task-gnome
  - remove gnome-panel, gnome-applets

* Sun Oct 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-3
- fix Requires of task-gnome
  - add NetworkManager-gnome

* Wed Oct 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-2
- fix Requires of task-gnome
  - add banshee, epiphany, inkscape, pulseaudio, pulseaudio-utils, pulseaudio-module-x11

* Sun Oct 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- update for gnome-3.6.1
  - remove unused packages

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- update for gnome-3.1.4
  - added GNOME3 packages

* Sun Oct 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- update for gnome-2.32.0
- fix Requires of task-gnome
  - add gdk-pixbuf2, seahorse
- fix Requires of task-gnome-devel
  - add gdk-pixbuf2-devel

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- update for gnome-2.30.2
- fix Requires of task-gnome
  - remove eel2, totem-common, totem-gstreamer, gstreamer-plugins
  - add libgnome-keyring, gstreamer-plugins-base, gstreamer-plugins-good, gvfs-afc
- fix Requires of task-gnome-devel
  - remove eel2-devel
  - add libgnome-keyring-devel

* Mon May 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- spec in utf-8, new versioning policy
- update for gnome-2.26.1
- add gvfs, brasero, evince, evolution, file-roller,
  gucharmap, sound-juicer, totem, vinagre, vino,
  cheese, zenity
- remove obsolete components

* Sat Sep  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- update for gnome-2.14.2
- use gamin instead of fam
- changed devel Group to Development/Libraries

* Sat May 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- update for gnome-2.10
- remove nautilus-media

* Wed Jun 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl3
- update versions

* Sun Jun  6 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl2
- obsoletes bonobo-activation*

* Mon Jan 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- add gdm

* Sun May 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl3
- add obsolete fontulus/themus that is nou included in control-center-2.3

* Mon May 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl2
- add obsolete sawfish/ee

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- gnome-2.2.1

* Sun Jan 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl0.1
- gnome-2.2 prerelease

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl5
- add gstreamer-plugins, nautilus-media
- update required versions.

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl4
- add gstreamer, gnome-media

* Sat Jan 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl3
- remove Requires: gnome-vfs-devel from devel package.

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl2
- fixed typo

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- add version number to dependancies.

* Sun Jan  5 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl4
- add fontilus, esound

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl3
- modified Requires.

* Sat Dec 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- add task-gnome2-devel sub package.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- initial package

