Summary:	Virtual package for MATE
Summary(ja):	MATE バーチャルパッケージ
Name:		task-mate
Version:	1.18.0
Release:	1%{?_dist_release}
License:	GPL
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildRoot:	 %{_tmppath}/%{name}-%{version}-root

BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim

# base
Requires:	task-xorg-x11
Requires:	libmatekbd
Requires:	libmateweather
Requires:	libmatemixer
Requires:	mate-backgrounds
Requires:	mate-control-center
Requires:	mate-desktop
Requires:	caja
Requires:	mate-icon-theme
Requires:	mate-menus
Requires:	mate-notification-daemon
Requires:	mate-panel
Requires:	mate-polkit
Requires:	mate-session-manager
Requires:	mate-settings-daemon
Requires:	marco

# extra
Requires:	mate-applets
Requires:	mate-calc
Requires:	atril
Requires:	engrampa
Requires:	eom
Requires:	mate-media
Requires:	mate-power-manager
Requires:	mate-screensaver
Requires:	mate-system-monitor
Requires:	mate-terminal
Requires:	pluma
Requires:	mate-utils

# docs
Requires:	mate-user-guide

# others
Requires:	vine-themes
Requires:	xdg-utils
Requires:	gtk3-engines
Requires:	zenity
Requires:	NetworkManager
Requires:	network-manager-applet
Requires:	pulseaudio
Requires:	gnome-keyring
#Requires:	caja-extensions
#Requires:	caja-dropbox

%description
This is a virtual package to install MATE system packages.

%description -l ja
MATE を簡単にインストールするための仮想パッケージです。

%files

%changelog
* Tue Jun 13 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.0-1
- update to 1.18.0
- add Packager
- add R: task-xorg-x11

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- update to 1.14.0

* Tue Dec 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.1-1
- update to 1.12.1
- remove caja-extensions, caja-dropbox

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- update to 1.12.0
- add caja-extensions, caja-dropbox

* Sat Jul 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- update to 1.10.1

* Sun Jun 14 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-4
- remove mate-keyring
- add gnome-keyring

* Sat Jun 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-3
- add mate-user-guide

* Sun May 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-2
- add network-manager-applet

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- update to 1.10.0
- remove mate-dialog, mate-common, mate-doc-utils
- add libmatemixer, xdg-utils, gtk2-engines, zenity, NetworkManager, pulseaudio

* Sun Mar 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- update to 1.8.2

* Wed Jul 16 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 1.8.1-3
- add vine-themes

* Sun Jun 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-2
- remove mate-system-tools

* Sun May 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- update to 1.8.1

* Thu Apr 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- remove libmatewnck

* Mon Sep 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-2
- add mate-media

* Sat May 25 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- update to 1.6.1
- remove mate-corba, mate-conf, mate-conf-editor, libmatecomponent, libmatecomponentui, mate-mime-data, mate-vfs, libmate, libmatecanvas, libmatenotify, libmateui, mate-display-manager

* Fri Aug 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- update to 1.4.0

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- update to 1.2.0

* Sat Dec 24 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- add mate-conf-editor, mate-utils

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial package

