# -*- coding: utf-8 -*-
Name: 		tegaki-pygtk
Version: 	0.3.1
Release: 	2%{?_dist_release}
Summary: 	Base user interface library for the Tegaki project
Summary(ja): 	Tegaki プロジェクトのための基本ユーザインターフェースライブラリ

License: 	GPLv2
Group: 		Development/Libraries
URL: 		http://www.tegaki.org/
Source0: 	http://www.tegaki.org/releases/%{version}/%{name}-%{version}.tar.gz

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: 	noarch
BuildRequires: 	python-devel >= 2.4
Requires: 	python >= 2.4
Requires: 	pygtk2 >= 2.10
Requires: 	tegaki-python >= 0.2

%description
Base user interface library for the Tegaki project.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --prefix %{buildroot}%{_prefix}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYRIGHT README COPYING ChangeLog TODO
%{python_sitelib}/tegaki_pygtk*.egg-info
%{python_sitelib}/tegakigtk
%dir %{_datadir}/tegaki
%dir %{_datadir}/tegaki/icons
%{_datadir}/tegaki/icons/handwriting.png

%changelog
* Fri Jun 19 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.3.1-2
- rebuilt on current VineSeed

* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 0.3.1-1
- Initial build.
