# -*- coding: utf-8 -*-
Name: tegaki-recognize
Version: 0.3.1.2
Release: 2%{?_dist_release}
Summary: Open-Source Chinese and Japanese Handwriting Recognition
Summary(ja): オープンソースの中国語/日本語手書き認識

License: GPLv2
Group: Applications/System
URL: http://www.tegaki.org/
Source0: http://www.tegaki.org/releases/%{version}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: tegaki-pygtk >= 0.2
Requires: tegaki-model
BuildArch: noarch

%description
Open-Source Chinese and Japanese Handwriting Recognition

%description -l ja
オープンソースの中国語/日本語手書き認識

%prep
%setup -q
%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --prefix %{buildroot}%{_prefix}

%check
%{_bindir}/desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%post
if [ -x %{_bindir}/update-desktop-database ] ; then
    %{_bindir}/update-desktop-database %{_datadir}/applications
fi

%postun
if [ -x %{_bindir}/update-desktop-database ] ; then
    %{_bindir}/update-desktop-database %{_datadir}/applications
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYRIGHT README COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/menu/tegaki-recognize
%{_datadir}/pixmaps/tegaki-recognize.svg
%{python_sitelib}/tegaki_recognize*.egg-info

%changelog
* Fri Jun 19 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.3.1.2-2
- rebuilt on current VineSeed

* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 0.3.1.2-1
- Initial build.


