# -*- coding: utf-8 -*-
%define tegaki_model_dir %{_datadir}/tegaki/models

Summary: Japanese handwriting model for Zinnia
Summary(ja): Zinnia のための日本語手書きモデル
Name: tegaki-zinnia-japanese
Version: 0.3
Release: 2%{?_dist_release}

License: LGPLv2.1
Group: System Environment/Libraries
URL: http://www.tegaki.org/

Source0: http://www.tegaki.org/releases/%{version}/models/%{name}-%{version}.zip

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: unzip
Provides: tegaki-zinnia-model
Provides: tegaki-model

%description
Japanese handwriting model for Zinnia

%description -l ja
Zinnia のための日本語手書きモデル

%prep
%setup -q

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{tegaki_model_dir}/zinnia
%{__install} -m 0644 handwriting-ja.{model,meta} %{buildroot}%{tegaki_model_dir}/zinnia

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README.txt VERSION
%{tegaki_model_dir}/zinnia

%changelog
* Sat Dec 13 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.3-2
- moved to System Environment/Libraries Group

* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 0.3-1
- Initial build.


