%define ver 1.2.2
%define rel 1

Summary: a Gtk based drop down terminal for Linux and Unix
Name: tilda
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: GPLv2
Group: Applications/Accessories
URL: https://github.com/lanoxx/tilda
#https://github.com/lanoxx/tilda/archive/tilda-%{version}.tar.gz
Source0: %{name}-%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gtk3-devel
BuildRequires: vte290-devel
BuildRequires: libconfuse-devel

%description
The specialities of Tilda are that it does not behave like a normal
window but instead it can be pulled up and down from the top of the
screen with a special hotkey. Additionally Tilda is highly configurable.
It is possible to configure the hotkeys for keybindings, change the
appearance and many options that affect the behavior of Tilda.
The screen shots below show some of the options that Tilda provides.

%prep
%setup -q -n %{name}-%{name}-%{version}
./autogen.sh
%configure

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%check
make check

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README.md AUTHORS COPYING ChangeLog HACKING.md NEWS TODO.md
%{_bindir}/tilda
%{_datadir}/applications/tilda.desktop
%{_datadir}/pixmaps/tilda.png

%changelog
* Sun Mar 22 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 1.2.2-1
- Initial build.

