# Basic Information
Name:		translate-toolkit
Version:	1.12.0
Release:	2%{?_dist_release}
License:	GPLv2
Group:		Development/Tools
Source0:	translate-toolkit-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Translate Toolkit
Summary(ja):	翻訳用ツールキット

# Dependency
Requires:	python-lxml
Requires:	python-six
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildArch:	noarch
Obsoletes:	translate-toolkit-doc

%description
The Translate Toolkit is a set of software and documentation designed to help
make the lives of localizers both more productive and less frustrating.
The Toolkit is part of the translate.sourceforge.net project,
hosted at http://translate.sourceforge.net/

%description -l ja
Translate Toolkit は、翻訳者の活動をより生産的で支障がないようにすることを助
けるために設計されたソフトウェアと文書のセットです。
このツールキットは、http://translate.sourceforge.net/ にホスティングされてい
る translate.sourceforge.net プロジェクトの一部です。

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=${RPM_BUILD_ROOT}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING README.rst
/usr/bin/*
%{python_sitelib}/translate_toolkit-%{version}-py*.egg-info
%{python_sitelib}/translate

%changelog
* Sat Sep 20 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.12.0-2
- add python-six to Requires

* Sat Sep 20 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.12.0-1
- new upstream release
- add python-setuptools to BuildRequires

* Tue Jul 29 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.11.0-1
- new upstream release
- remove doc sub package

* Tue Feb 21 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.9.0-2
- rebuild with python-2.7.2

* Mon Sep 19 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.9.0-1
- initial build for Vine Linux

