%define _libtomoe_gtk_ver 0.6.0

Summary:	A tool for providing tomoe support to uim
Summary(ja):	uim で手書き文字入力ができるようにするツール
Name:		uim-tomoe-gtk
Version:	0.6.0
Release:	4%{?_dist_release}

Group:		User Interface/Desktops
License:	LGPL
URL:		http://tomoe.sourceforge.jp/

Source0:	uim-tomoe-gtk-%{version}.tar.gz
Source1:	uim-tomoe-gtk.desktop

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	tomoe-gtk-devel >= %{_libtomoe_gtk_ver}
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:  uim-devel >= 1.4.0
Requires:	tomoe-gtk >= %{_libtomoe_gtk_ver}
Requires:	gtk2 >= 2.4.0
Requires:	uim >= 1.4.0

%description
A tool for providing tomoe support to uim.

%description -l ja
uim で手書き文字入力ができるようにするツール。

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

%__install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/uim-tomoe-gtk.desktop

%clean
%__rm -rf %{buildroot}

%posttrans
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/uim-tomoe-gtk
%{_datadir}/applications/*.desktop

%changelog
* Sun Dec 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.6.0-4
- rebuilt on current VineSeed

* Sat Jul 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.0-3
- rebuild with uim-1.6.1

* Thu Aug 19 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.0-2
- rebuilt with uim-1.6.0

* Sat Oct 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.0-1
- new upstream release
- added %posttrans and %postun section
- applied new versioning policy, spec in UTF-8

* Sat Feb 10 2007 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.5.0-0vl2
- rebuild with uim-1.4.0

* Sun Dec 31 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.5.0-0vl1
- new upstream release
- update required version of libtomoe-gtk

* Fri Nov 24 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.3.0-0vl1
- new upstream release
- update required-version of libtomoe-gtk

* Fri Aug 11 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.1.0-0vl3
- rebuild with uim-1.2.0

* Sun Jun 04 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.1.0-0vl2
- rebuild with uim-1.1.0-beta

* Mon Nov 07 2005 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.1.0-0vl1
- initial release for Vine Linux
