%define ver 0.0.0
%define rel 1
%define gitrev 66ba533c

Summary: a programming language indexing and/or cross-reference tool
Name: universal-ctags
Version: %{ver}
Release: %{rel}.git%{gitrev}%{?_dist_release}
Source0: %{name}-%{version}.git%{gitrev}.tar.xz
License: GPLv2
Group: Development/Tools
URL: http://ctags.io/
Conflicts: ctags
Provides: ctags

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python-docutils

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
Universal-ctags was created to continue the development of Darren Hiebert’s
Exuberant-ctags after activity on that project unfortunately stalled.

%prep
%setup -q -n %{name}-%{version}.git%{gitrev}


%build
./autogen.sh
%configure --enable-iconv
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{__make} install-man DESTDIR=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING README.md
%{_bindir}/ctags
%{_bindir}/readtags
%{_mandir}/man1/ctags.1*
%dir %{_libexecdir}/ctags
%dir %{_libexecdir}/ctags/drivers
%{_libexecdir}/ctags/drivers/coffeetags

%changelog
* Wed May 17 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 0.0.0-1.git66ba533c
- initial build for Vine Linux

