Name:		usb-modeswitch-data
Version:	20160612
Release:	1%{?_dist_release}
Summary:	USB Modeswitch gets 4G cards in operational mode 
Group:		Applications/System
License:	GPLv2+
URL:		http://www.draisberghof.de/usb_modeswitch/

Vendor:         Project Vine
Distribution:   Vine Linux

Source0:	http://www.draisberghof.de/%{name}/%{name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:	udev
Requires:	usb-modeswitch >= 1.1.2

%description
USB Modeswitch brings up your datacard into operational mode. When plugged
in they identify themselves as cdrom and present some non-Linux compatible
installation files. This tool deactivates this cdrom-devices and enables
the real communication device. It supports most devices built and
sold by Huawei, T-Mobile, Vodafone, Option, ZTE, Novatel.

This package contains the data files needed for usb_modeswitch to function.

%prep
%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/usb_modeswitch.d/
mkdir -p $RPM_BUILD_ROOT/lib/udev/rules.d/

install -p -m 644  usb_modeswitch.d/* $RPM_BUILD_ROOT%{_sysconfdir}/usb_modeswitch.d/
install -p -m 644 40-usb_modeswitch.rules $RPM_BUILD_ROOT/lib/udev/rules.d

%clean
rm -rf $RPM_BUILD_ROOT

%post 
udevadm control --reload ||:

%postun
udevadm control --reload ||:

%files
%defattr(-,root,root,-)
%license COPYING
%doc ChangeLog README
/lib/udev/rules.d/40-usb_modeswitch.rules
%{_sysconfdir}/usb_modeswitch.d/

%changelog
* Sat Jul 16 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 20160612-1
- new upstream release.

* Thu Apr 22 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 20100418-1
- initial build for Vine Linux

* Tue Apr 20 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> 20100418-2
- Remove buildroot, make package noarch

* Tue Apr 20 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> 20100418-1
- First build
