Name:		vine-desktop-guide
Version:	6.0.0
Release:	1%{?_dist_release}
License:	GFDL
Group:		Applications/Documentation
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Desktop user guide for Vine Linux
Summary(ja):	Vine Linux デスクトップユーザーガイド

# Dependency
Requires:	vine-manual-base

BuildRequires:	vine-manual-base
BuildRequires:	vine-manual-build

Obsoletes:	Vine-manual

%description
Desktop user guide for Vine Linux

%description -l ja
Vine Linux デスクトップユーザーガイド

# Prepare
%prep
%setup -q

# Build
%build
%configure
%{__make} html

# Install
%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{__make} install-html DESTDIR=${RPM_BUILD_ROOT}

# Clean
%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

# after install
%post 
scrollkeeper-update > /dev/null 2>&1 || :
vine-manual-regist -p 20 %{_docdir}/Vine/desktop-guide/vine-desktop-guide.html
vine-manual-index-update

%postun
if [ $1 -eq 0 ]; then
	scrollkeeper-update > /dev/null 2>&1 || :
	vine-manual-regist -r %{_docdir}/Vine/desktop-guide/vine-desktop-guide.html
	vine-manual-index-update
fi

# File list
%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_docdir}/Vine/desktop-guide
%{_datadir}/omf/vine-desktop-guide

# Change Log
%changelog
* Sat Nov 10 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 6.0.0-1
- new upstream release

* Mon Aug 01 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.4-1
- delete unnecessary part.
- Obsoletes Vine-manual.

* Sat Jul 30 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.3-1
- update about ibus etc.

* Mon Mar 07 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.1-1
- Don't run postun when package was upgrade.

* Mon Mar 07 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.0-1
- written first.

