Summary:	Suspend and hibernation helper for Vine Linux
Summary(ja):	Vine Linux 用サスペンド・ハイバネーションヘルパー
Name:		vine-sleep-helper
Version:	0.0.1
Release:	1%{?_dist_release}
License:	GPLv2
Group:		Applications/System
URL:		http://vinelinux.org/

Source0:	%{name}-%{version}.tar.xz

BuildRequires:	glib2-devel

Requires: pm-utils
Requires: polkit

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This package includes a suspend and hibernation helper tool for desktop environment of Vine Linux.

%description -l ja
このパッケージには Vine Linux のデスクトップ環境用のサスペンド・ハイバネーションヘルパーツールが
含まれております。

%prep
%setup -q

%build
autoreconf -fi
%configure 
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/vine/%{name}
%{_datadir}/polkit-1/actions/org.vine.session.policy


%changelog
* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.1-1
- initial build

