# Basic Information
Name:		virtaal
Version:	0.7.1
Release:	1%{?_dist_release}
License:	GNU General Public License (GPL)
Group:		Applications/Development
URL:		http://translate.sourceforge.net/wiki/%{name}/index
Source0:	http://downloads.sourceforge.net/project/translate/Virtaal/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	A tool to create program translations.
Summary(ja):	プログラムの翻訳を作成するツール

# Dependency
Requires:	translate-toolkit
Requires:	pygtk2-libglade
Requires:	python-pycurl
Requires:	python-lxml
BuildRequires:	python-devel
BuildRequires:	translate-toolkit
BuildRequires:	pygtk2-libglade
BuildRequires:	python-pycurl
BuildRequires:	python-lxml

%description
It uses the Translate Toolkit to get access to translation files and therefore
can edit a variety of files (including PO and XLIFF files).

%description -l ja
Translate Toolkit を利用して PO や XLIFF などの様々な翻訳ファイルにアクセス
し、編集できます。

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}

%{find_lang} %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog LICENSE README
%{_bindir}/%{name}
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info
%{python_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/mimetypes/x-translation.png
%{_datadir}/icons/hicolor/16x16/mimetypes/x-translation.png
%{_datadir}/icons/hicolor/24x24/mimetypes/x-translation.png
%{_datadir}/icons/hicolor/32x32/mimetypes/x-translation.png
%{_datadir}/icons/hicolor/48x48/mimetypes/x-translation.png
%{_datadir}/icons/hicolor/64x64/mimetypes/x-translation.png
%{_datadir}/icons/hicolor/scalable/mimetypes/x-translation.svg
%{_datadir}/icons/%{name}.ico
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/x-translation.ico
%{_datadir}/mime/packages/%{name}-mimetype.xml
%{_datadir}/%{name}

%changelog
* Fri Oct 26 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.7.1-1
- initial build for Vine Linux
