Name:		xfce4-dev-tools
Version:	4.12.0
Release:	1%{?_dist_release}
Summary:	Xfce developer tools
Summary(ja):	Xfce 開発者向けツール集

Group:		Development/Tools
License:	GPLv2
URL:		http://xfce.org/~benny/projects/xfce4-dev-tools/

Source0: 	http://archive.xfce.org/src/xfce/%{name}/4.12/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	glib2-devel >= 2.30.0

Vendor:         Project Vine
Distribution:   Vine Linux

%description
This package contains common tools required by Xfce developers and people
that want to build Xfce from SVN. In addition, this package contains the
Xfce developer's handbook.

%prep
%setup -q

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README
%{_bindir}/xdt-autogen
%{_bindir}/xdt-commit
%{_bindir}/xdt-csource
%{_datadir}/xfce4/dev-tools

%changelog
* Sun Mar  1 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.12.0-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.0-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.0-1
- new upstream release
- add BuildRequires: glib2-devel
- remove BuildArch: noarch

* Sat Apr  2 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.0-1
- new upstream release

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.0-1
- new upstream release
- BuildArch: noarch

* Mon Oct 27 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.0.1-2vl5
- applied new versioning policy

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.0.1-1vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.0-1vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.0-1vl1
- initial release
