Name: xfce4-systemload-plugin
Summary: System Load plugin for Xfce
Summary(ja): Xfce パネル用 システム負荷監視プラグイン
Version: 1.1.2
Release: 2%{?_dist_release}

License: BSD
Group: User Interface/Desktops
URL: http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: http://archive.xfce.org/src/panel-plugins/%{name}/1.1/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libxfce4util-devel >= 4.3.99.1
BuildRequires: libxfce4ui-devel >= 4.7.0
BuildRequires: xfce4-panel-devel >= 4.3.99.1
BuildRequires: upower-devel >= 0.9.0
Requires:      xfce4-panel >= 4.3.99.1

Vendor: Project Vine
Distribution: Vine Linux

%description
A system load plugin for the Xfce4 desktop environment, written by Riccardo
Persichetti. It displays the current CPU load, the memory in use, the swap
space and the system uptime in the Xfce4 panel.

%description -l ja
Riccardo Persichetti が書いた Xfce デスクトップ環境用のシステム負荷監視
プラグインです．CPU負荷、メモリ使用量、スワップスペース、システム稼働時間
を Xfce パネルに表示します．

%prep
%setup -q

%build
%configure --enable-silent-rules --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
chmod +x $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/systemload.desktop

%changelog
* Mon Mar  2 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.1.2-2
- rebuilt with libxfce4util 4.12.1

* Sun Dec 21 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.1.2-1
- new upstream release
- built with upower 0.99.1

* Thu Sep 18 2014 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.1-1
- updated to 1.1.1

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- new upstream release
- remove BuildRequires: libxfcegui4-devel
- add BuildRequires: libxfce4ui-devel

* Sun May 22 2011 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 1.0.0-1
- updated to 1.0.0
- added BR: xfce4-panel-devel

* Mon Oct 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 22 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.2-0vl2
- new upstream release
- build with Xfce 4.4
- cleanup Requires and BuildRequires
- update %%files section

* Mon Jan 24 2005 UECHI Yasumasa <uechi@potaway.net> 0.3.6-0vl2
- new upstream release
- build against Xfce 4.2

* Fri Aug 20 2004 UECHI Yasumasa <uechi@potaway.net> 0.3.4-0vl2
- build for VineSeedPlus

* Fri Aug 20 2004 UECHI Yasumasa <uechi@potaway.net> 0.3.4-0vl1
- build for VinePlus 3.0

