Name: xmlto
Summary: A tool for converting XML files to various formats.
Summary(ja): XML ファイルをさまざまなフォーマットへ変換するためのツール
Version: 0.0.28
Release: 1%{?_dist_release}
Group: publishing
Vendor: Project Vine
Distribution: Vine Linux

License: GPLv2
URL: https://fedorahosted.org/xmlto/
Source0: https://releases.pagure.org/%{name}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: docbook-style-xsl
BuildRequires: libxslt
Requires: docbook-style-xsl
Requires: docbook-dtds
Requires: libxslt

%description
This package includes a tool fot converting XML files to various formats
using XSL stylesheets.

%description -l ja
このパッケージには XML ファイルを XSL スタイルシートを使って様々な
フォーマットへ変換するためのツールが含まれています。


%debug_package


%prep
%setup -q


%build
%configure BASH=/bin/bash
%make_build


%install
rm -rf %{buildroot}
%makeinstall


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%license COPYING
%doc ChangeLog README AUTHORS NEWS
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/xmlto


%changelog
* Sat Feb 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.0.28-1
- new upstream release.

* Mon Sep 15 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.0.26-1
- new upstream release
- updated URL

* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.23-1
- new upstream release
- built with new toolchain

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.18-1
- applied new versioning policy

* Wed Sep 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.18-0vl2
- changed Group to Appliations/Text

* Sun Mar  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.18-0vl1
- initial build for Vine Linux 

* Fri May 23 2003 Tim Waugh <twaugh@redhat.com>
- Be sure to create the xsl directory.
- README.docbook-xsl is no longer shipped.

* Wed Oct  9 2002 Tim Waugh <twaugh@redhat.com>
- Build requires docbook-xsl >= 1.56.0.

* Sun Oct  6 2002 Tim Waugh <twaugh@redhat.com>
- Remove 'BuildArch: noarch' now that we ship a compiled object.
- Run tests.
- Ship xmlif.
- Build requires docbook-xsl >= 1.52.0.

* Fri Aug 30 2002 Tim Waugh <twaugh@redhat.com>
- Bump docbook-xsl requirement to 1.52.0 for manpages.

* Fri Aug  2 2002 Tim Waugh <twaugh@redhat.com>
- The archive is now distributed in .tar.bz2 format.

* Fri Jan 25 2002 Tim Waugh <twaugh@redhat.com>
- Require the DocBook DTDs.

* Fri Jan 18 2002 Tim Waugh <twaugh@redhat.com>
- Ship README.docbook-xsl.

* Fri Nov 23 2001 Tim Waugh <twaugh@redhat.com>
- Initial spec file.
