Name:           xorg-x11-devel
Version:        7.7
Release:        1%{?_dist_release}
Summary:        X.Org X11 R7.6 development virtual package for compatibility
Summary(ja):	X.Org X11 R7.6 開発用バーチャルパッケージ
URL:            www.x.org
License:        X11/MIT
Group:          Development/Libraries

BuildArchitectures: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Provides:	XOrg-devel = %{version}, XFree86-devel = %{version}
Obsoletes:	XOrg-devel, XFree86-devel
Requires:	imake
Requires:       xorg-x11-proto-devel
Requires:	libFS-devel
Requires:	libICE-devel
Requires:	libSM-devel
Requires:	libX11-devel
Requires:	libXau-devel
Requires:	libXaw-devel
Requires:	libXcomposite-devel
Requires:	libXcursor-devel
Requires:	libXdamage-devel
Requires:	libXdmcp-devel
Requires:	libXext-devel
Requires:	libXevie-devel
Requires:	libXfixes-devel
Requires:	libXfont-devel
Requires:	libXfontcache-devel
Requires:	libXft-devel
Requires:	libXi-devel
Requires:	libXinerama-devel
Requires:	libXmu-devel
Requires:	libXp-devel
Requires:	libXpm-devel
Requires:	libXrandr-devel
Requires:	libXrender-devel
Requires:	libXres-devel
Requires:	libXt-devel
Requires:	libXtst-devel
Requires:	libXv-devel
Requires:	libXvMC-devel
Requires:	libfontenc-devel
Requires:	libxcb-devel
Requires:	libxkbfile-devel
Requires:	xorg-x11-xtrans-devel


%description
X.Org X11 R7.6 development virtual package for compatibility.

%files

%changelog
* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.7-1
- bump version to 7.7-1

* Wed Apr 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-1
- bump version to 7.6-1

* Fri May 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-2
- add imake and xorg-x11-xtrans-devel

* Tue Apr 15 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-1
- X.Org X11 R7.3 development virtual package for backward compatibility.
