%define ver 0.6.2
%define rel 2

Summary: client-side implementation of the rsync algorithm
Summary(ja): rsync アルゴリズムのクライアントサイドの実装
Name: zsync
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: Artistic License 2
Group: Applications/Internet
URL: http://zsync.moria.org.uk/
Source0: http://zsync.moria.org.uk/download/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
zsync is a file transfer program. It allows you to download a file from a 
remote server, where you have a copy of an older version of the file on 
your computer already. zsync downloads only the new parts of the file. 
It uses the same algorithm as rsync.

%prep
%setup -q

%build
%configure
make

%install
%__rm -rf %{buildroot}
%makeinstall

%__rm -f %{buildroot}%{_docdir}%{_name}/COPYING
%__rm -f %{buildroot}%{_docdir}%{_name}/README

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/zsync
%{_bindir}/zsyncmake
%{_mandir}/man1/zsync.1*
%{_mandir}/man1/zsyncmake.1*

%changelog
* Sun Jul 17 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 0.6.2-2
- build with current toolchain

* Sun May  1 2011 IWAI, Masaharu <iwai@alib.jp> 0.6.2-1
- Initial build.


